#  LP written by GAMS Convert at 05/24/17 14:04:02
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          5        1        2        2        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          3        3        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#          9        9        0        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(-1000,1000),initialize=0)
m.x2 = Var(within=Reals,bounds=(-100,100),initialize=0)
m.x3 = Var(within=Reals,bounds=(-100,100),initialize=0)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=   m.x1 - 2*m.x2 + m.x3 == 0)

m.c2 = Constraint(expr= - 10*m.x2 + 4*m.x3 <= -5)

m.c3 = Constraint(expr=   m.x2 + 3*m.x3 <= 9)

m.c4 = Constraint(expr=   m.x2 >= 2)

m.c5 = Constraint(expr=   m.x3 >= 3)
