#  NLP written by GAMS Convert at 05/24/17 14:05:34
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         31       21       10        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         41       41        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#       1241     1001      240        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.2,2.86),initialize=0.2)
m.x2 = Var(within=Reals,bounds=(0.89,2.58),initialize=0.89)
m.x3 = Var(within=Reals,bounds=(0.28,2.95),initialize=0.28)
m.x4 = Var(within=Reals,bounds=(0.11,2.08),initialize=0.11)
m.x5 = Var(within=Reals,bounds=(0.53,2.44),initialize=0.53)
m.x6 = Var(within=Reals,bounds=(0.41,2.41),initialize=0.41)
m.x7 = Var(within=Reals,bounds=(0.29,2.6),initialize=0.29)
m.x8 = Var(within=Reals,bounds=(0.67,2.3),initialize=0.67)
m.x9 = Var(within=Reals,bounds=(0.83,2.64),initialize=0.83)
m.x10 = Var(within=Reals,bounds=(0.55,2.51),initialize=0.55)
m.x11 = Var(within=Reals,bounds=(0.2,2.01),initialize=0.2)
m.x12 = Var(within=Reals,bounds=(0.61,2.06),initialize=0.61)
m.x13 = Var(within=Reals,bounds=(0.63,2.57),initialize=0.63)
m.x14 = Var(within=Reals,bounds=(0.96,2.98),initialize=0.96)
m.x15 = Var(within=Reals,bounds=(0.45,2.65),initialize=0.45)
m.x16 = Var(within=Reals,bounds=(0.29,2.88),initialize=0.29)
m.x17 = Var(within=Reals,bounds=(0.46,2.45),initialize=0.46)
m.x18 = Var(within=Reals,bounds=(0.63,2.13),initialize=0.63)
m.x19 = Var(within=Reals,bounds=(0.52,2.92),initialize=0.52)
m.x20 = Var(within=Reals,bounds=(0.93,2.93),initialize=0.93)
m.x21 = Var(within=Reals,bounds=(0.49,2.64),initialize=0.49)
m.x22 = Var(within=Reals,bounds=(0.64,2.04),initialize=0.64)
m.x23 = Var(within=Reals,bounds=(0.17,2.55),initialize=0.17)
m.x24 = Var(within=Reals,bounds=(0.4,2.45),initialize=0.4)
m.x25 = Var(within=Reals,bounds=(0.34,2.38),initialize=0.34)
m.x26 = Var(within=Reals,bounds=(0.1,2.79),initialize=0.1)
m.x27 = Var(within=Reals,bounds=(0.75,2.55),initialize=0.75)
m.x28 = Var(within=Reals,bounds=(0.26,2.77),initialize=0.26)
m.x29 = Var(within=Reals,bounds=(0.92,2.11),initialize=0.92)
m.x30 = Var(within=Reals,bounds=(0.22,2.34),initialize=0.22)
m.x31 = Var(within=Reals,bounds=(0.69,2.92),initialize=0.69)
m.x32 = Var(within=Reals,bounds=(0.87,3),initialize=0.87)
m.x33 = Var(within=Reals,bounds=(0.48,2.36),initialize=0.48)
m.x34 = Var(within=Reals,bounds=(0.5,2.95),initialize=0.5)
m.x35 = Var(within=Reals,bounds=(0.05,2.83),initialize=0.05)
m.x36 = Var(within=Reals,bounds=(0.59,2.3),initialize=0.59)
m.x37 = Var(within=Reals,bounds=(0.76,2.36),initialize=0.76)
m.x38 = Var(within=Reals,bounds=(0.97,2.32),initialize=0.97)
m.x39 = Var(within=Reals,bounds=(0.23,2.54),initialize=0.23)
m.x40 = Var(within=Reals,bounds=(0.19,2.77),initialize=0.19)

m.obj = Objective(expr=4.09*m.x1*m.x3 - 3.03*m.x1 + 1.81*m.x3 + 8.84*m.x1*m.x4 + 9.38*m.x4 + 7.55*m.x1*m.x5 + 0.04*m.x5
                        + 8.88*m.x1*m.x8 + 6.07*m.x8 + 0.37*m.x1*m.x10 + 6.45*m.x10 + 9.22*m.x1*m.x12 - 5.69*m.x12 + 
                       6.87*m.x1*m.x15 + 8.02*m.x15 + 8.41*m.x1*m.x17 + 7.98*m.x17 + 1.07*m.x1*m.x19 + 6.28*m.x19 + 5.02
                       *m.x1*m.x23 + 3.89*m.x23 - 0.83*m.x1*m.x25 - 2.7*m.x25 - 7.11*m.x1*m.x26 + 2.21*m.x26 + 5.9*m.x1*
                       m.x27 - 4.8*m.x27 + 7.78*m.x1*m.x28 + 5.21*m.x28 + 0.45*m.x1*m.x29 + 1.29*m.x29 + 9.6*m.x1*m.x30
                        + 2.16*m.x30 + 5.03*m.x1*m.x33 - 0.48*m.x33 + 5.62*m.x1*m.x35 + 1.65*m.x35 + 8.65*m.x1*m.x36 + 
                       7.59*m.x36 + 9.94*m.x1*m.x38 + 2.97*m.x38 + 5.99*m.x2*m.x3 + 8.15*m.x2 + 5.49*m.x2*m.x5 + 0.25*
                       m.x2*m.x6 + 6.34*m.x6 - 1.97*m.x2*m.x7 - 2.77*m.x7 + 6.84*m.x2*m.x12 + 1.64*m.x2*m.x13 + 4.55*
                       m.x13 + 8.29*m.x2*m.x14 + 1.5*m.x14 + 5.91*m.x2*m.x15 + 5.61*m.x2*m.x17 + 0.36*m.x2*m.x18 - 2.58*
                       m.x18 + 6.55*m.x2*m.x19 + 1.22*m.x2*m.x20 + 2.09*m.x20 + 5.91*m.x2*m.x21 - 2.32*m.x21 + 0.92*m.x2
                       *m.x22 + 8.59*m.x22 + 8.36*m.x2*m.x26 + 5.69*m.x2*m.x27 + 8.91*m.x2*m.x28 + 2.85*m.x2*m.x30 + 
                       1.61*m.x2*m.x31 + 9.57*m.x31 + 0.8*m.x2*m.x32 + 8.07*m.x32 + 1.44*m.x2*m.x34 + 1.61*m.x34 + 9.36*
                       m.x2*m.x35 + 0.07*m.x2*m.x36 + 3.33*m.x2*m.x38 + 0.46*m.x3*m.x5 + 7.11*m.x3*m.x8 + 0.91*m.x3*m.x9
                        + 7.07*m.x9 + 3.18*m.x3*m.x11 + 1.71*m.x11 - 3.67*m.x3*m.x12 + 2.17*m.x3*m.x13 - 8.49*m.x3*m.x15
                        + 7.51*m.x3*m.x16 + 2.92*m.x16 + 6.47*m.x3*m.x17 + 2.24*m.x3*m.x18 + 4.4*m.x3*m.x21 + 1.06*m.x3*
                       m.x22 + 5.1*m.x3*m.x24 + 5.03*m.x24 + 5.14*m.x3*m.x27 + 3.77*m.x3*m.x28 + 2.77*m.x3*m.x29 + 6.06*
                       m.x3*m.x30 + 3.52*m.x3*m.x32 + 7.77*m.x3*m.x33 + 8.65*m.x3*m.x35 - 1.79*m.x3*m.x36 + 5.85*m.x3*
                       m.x37 + 2.3*m.x37 + 2.43*m.x3*m.x39 + 9.94*m.x39 + 0.82*m.x4*m.x5 + 2.54*m.x4*m.x6 + 3.67*m.x4*
                       m.x8 - 3.66*m.x4*m.x10 + 2.93*m.x4*m.x13 + 4.58*m.x4*m.x14 + 4.99*m.x4*m.x16 + 8.56*m.x4*m.x19 - 
                       1.71*m.x4*m.x21 + 4.59*m.x4*m.x23 + 4.1*m.x4*m.x27 + 2.94*m.x4*m.x28 + 4.86*m.x4*m.x29 + 0.34*
                       m.x4*m.x30 + 7.52*m.x4*m.x35 + 5.12*m.x4*m.x37 + 5.13*m.x5*m.x5 + 7.59*m.x5*m.x9 + 6.19*m.x5*
                       m.x11 - 5.96*m.x5*m.x12 + 0.67*m.x5*m.x13 + 3.24*m.x5*m.x14 + 3.99*m.x5*m.x15 + 5.16*m.x5*m.x17
                        + 1.65*m.x5*m.x20 + 4.78*m.x5*m.x23 + 2.47*m.x5*m.x24 + 3.79*m.x5*m.x25 + 3.1*m.x5*m.x27 - 5.95*
                       m.x5*m.x28 + 1.78*m.x5*m.x31 + 3.07*m.x5*m.x36 - 3.99*m.x5*m.x38 + 8.62*m.x5*m.x39 + 7.93*m.x5*
                       m.x40 + 9.22*m.x40 + 9.46*m.x6*m.x7 + 2.62*m.x6*m.x8 + 0.97*m.x6*m.x9 + 6.3*m.x6*m.x12 + 5.86*
                       m.x6*m.x13 + 8.2*m.x6*m.x15 + 1.93*m.x6*m.x16 + 1.27*m.x6*m.x19 + 9.23*m.x6*m.x21 + 8.72*m.x6*
                       m.x22 + 1.8*m.x6*m.x30 + 2.3*m.x6*m.x33 + 4.35*m.x6*m.x35 + 5.01*m.x6*m.x37 + 9.21*m.x6*m.x38 + 
                       6.1*m.x6*m.x40 + 3.85*m.x7*m.x8 + 1.15*m.x7*m.x10 + 4.25*m.x7*m.x13 + 5.1*m.x7*m.x20 + 4.5*m.x7*
                       m.x21 + m.x7*m.x22 + 7.88*m.x7*m.x23 + 2.23*m.x7*m.x25 + 9.77*m.x7*m.x26 + 1.14*m.x7*m.x28 + 7.64
                       *m.x7*m.x31 - 1.83*m.x7*m.x32 + 8.59*m.x7*m.x33 - 9.89*m.x7*m.x36 + 9.51*m.x7*m.x37 + 6.93*m.x7*
                       m.x39 + 0.41*m.x8*m.x11 + 2.71*m.x8*m.x16 + 6.1*m.x8*m.x17 + 2.68*m.x8*m.x18 + 6.5*m.x8*m.x20 + 
                       3.77*m.x8*m.x21 + 1.07*m.x8*m.x24 + 6.13*m.x8*m.x27 + 7.45*m.x8*m.x28 + 3.84*m.x8*m.x30 + 9.78*
                       m.x8*m.x31 + 2.17*m.x8*m.x32 + 6.98*m.x8*m.x35 + 4.37*m.x8*m.x36 - 6.21*m.x8*m.x38 - 5.74*m.x9*
                       m.x11 + 1.99*m.x9*m.x12 - 7.81*m.x9*m.x15 + 6.12*m.x9*m.x17 + 0.36*m.x9*m.x18 + 8.84*m.x9*m.x20
                        + 4.28*m.x9*m.x22 + 6.47*m.x9*m.x24 + 2.83*m.x9*m.x27 + 5.89*m.x9*m.x28 + 4.36*m.x9*m.x29 + 1.09
                       *m.x9*m.x33 + 4.17*m.x9*m.x35 - 2.27*m.x9*m.x36 + 8.24*m.x9*m.x38 + 2.58*m.x9*m.x39 + 6.91*m.x9*
                       m.x40 + 2.97*m.x10*m.x13 + 1.03*m.x10*m.x14 + 0.46*m.x10*m.x18 + 8.54*m.x10*m.x19 + 0.05*m.x10*
                       m.x20 + 4.37*m.x10*m.x28 + 5.64*m.x10*m.x29 + 1.22*m.x10*m.x31 + 0.27*m.x10*m.x33 + 4.31*m.x10*
                       m.x34 + 1.02*m.x10*m.x36 + 7.76*m.x10*m.x38 + 8.8*m.x11*m.x11 + 5.39*m.x11*m.x16 + 8.44*m.x11*
                       m.x17 + 3.89*m.x11*m.x21 - 9.31*m.x11*m.x23 + 0.99*m.x11*m.x24 - 1.84*m.x11*m.x26 + 6.67*m.x11*
                       m.x27 + 0.23*m.x11*m.x32 + 9.94*m.x11*m.x33 + 6.67*m.x11*m.x35 + 9.27*m.x11*m.x36 + 7.33*m.x11*
                       m.x38 + 9.35*m.x11*m.x40 + 5.55*m.x12*m.x14 + 1.93*m.x12*m.x17 + 2.43*m.x12*m.x18 + 3.75*m.x12*
                       m.x21 + 0.18*m.x12*m.x26 + 9.16*m.x12*m.x27 + 8.53*m.x12*m.x29 + 0.41*m.x12*m.x30 + 9.54*m.x12*
                       m.x31 + 3.27*m.x12*m.x35 + 1.05*m.x12*m.x39 - 0.95*m.x12*m.x40 + 4.24*m.x13*m.x13 + 4.03*m.x13*
                       m.x14 + 5.37*m.x13*m.x18 + 9.21*m.x13*m.x21 + 7.25*m.x13*m.x22 + 4.72*m.x13*m.x27 + 0.62*m.x13*
                       m.x29 - 5.3*m.x13*m.x30 + 0.76*m.x13*m.x31 + 4.3*m.x13*m.x33 + 9.73*m.x13*m.x34 + 6.03*m.x13*
                       m.x35 + 9.4*m.x13*m.x40 + 5.91*m.x14*m.x15 + 5.73*m.x14*m.x17 + 1.44*m.x14*m.x19 - 9.58*m.x14*
                       m.x20 + 1.59*m.x14*m.x21 + 4.26*m.x14*m.x23 + 7.67*m.x14*m.x24 - 5.24*m.x14*m.x25 + 3.26*m.x14*
                       m.x26 + 2.36*m.x14*m.x28 + 6.11*m.x14*m.x29 + 9.69*m.x14*m.x33 + 9.94*m.x14*m.x34 + 3.55*m.x14*
                       m.x35 + 8.68*m.x14*m.x37 + 3.82*m.x14*m.x39 - 1.25*m.x15*m.x16 + 9.06*m.x15*m.x18 + 9.48*m.x15*
                       m.x19 + 0.49*m.x15*m.x20 + 7.1*m.x15*m.x21 - 5.42*m.x15*m.x22 + 2.61*m.x15*m.x25 + 5.21*m.x15*
                       m.x26 + 3.7*m.x15*m.x29 + 8.23*m.x15*m.x31 + 6.3*m.x15*m.x32 + 3.05*m.x15*m.x37 + 5.76*m.x15*
                       m.x39 + 2.19*m.x15*m.x40 + 3.25*m.x16*m.x16 + 1.78*m.x16*m.x18 + 4.99*m.x16*m.x20 + 7.38*m.x16*
                       m.x24 + 7.23*m.x16*m.x27 - 1.33*m.x16*m.x30 + 4.8*m.x16*m.x31 - 1.86*m.x16*m.x32 + 5.92*m.x16*
                       m.x37 + 9.41*m.x16*m.x40 + 1.3*m.x17*m.x17 + 0.36*m.x17*m.x18 - 0.05*m.x17*m.x20 + 3.47*m.x17*
                       m.x21 + 0.52*m.x17*m.x22 + 9.43*m.x17*m.x24 + 8.69*m.x17*m.x25 + 8.8*m.x17*m.x26 - 1.89*m.x17*
                       m.x27 + 8.62*m.x17*m.x28 + 0.91*m.x17*m.x29 + 3.01*m.x17*m.x31 + 7.95*m.x17*m.x32 + 8.11*m.x17*
                       m.x35 + 3.6*m.x17*m.x38 + 6.65*m.x18*m.x21 + 0.34*m.x18*m.x22 + 2.45*m.x18*m.x23 + 5.6*m.x18*
                       m.x28 + 0.15*m.x18*m.x31 + 2.03*m.x18*m.x32 + 0.6*m.x18*m.x33 + 7.99*m.x18*m.x35 + 6.97*m.x18*
                       m.x36 + 5.79*m.x18*m.x38 + 2.24*m.x18*m.x39 + 0.78*m.x19*m.x19 + 3.02*m.x19*m.x20 + 8.91*m.x19*
                       m.x21 - 0.3*m.x19*m.x23 - 5.68*m.x19*m.x28 + 2.3*m.x19*m.x32 + 4.2*m.x19*m.x33 + 9.74*m.x19*m.x37
                        + 5.26*m.x19*m.x39 + 8.87*m.x19*m.x40 + 7.18*m.x20*m.x20 + 2.6*m.x20*m.x21 + 8.25*m.x20*m.x23 + 
                       4.96*m.x20*m.x24 + 9.58*m.x20*m.x25 + 9.29*m.x20*m.x27 + 1.19*m.x20*m.x30 - 5.4*m.x20*m.x33 + 
                       9.09*m.x20*m.x34 + 6.11*m.x20*m.x36 + 6.27*m.x20*m.x37 + 8.3*m.x20*m.x39 + 5.29*m.x20*m.x40 + 
                       9.06*m.x21*m.x22 + 5.4*m.x21*m.x23 + 1.95*m.x21*m.x26 - 1.89*m.x21*m.x27 - 3.89*m.x21*m.x29 + 
                       0.58*m.x21*m.x32 + 7.97*m.x21*m.x33 + 5.22*m.x21*m.x34 + 2.35*m.x21*m.x40 + 0.54*m.x22*m.x24 + 
                       0.77*m.x22*m.x25 + 8.96*m.x22*m.x27 + 4.77*m.x22*m.x28 - 3.53*m.x22*m.x29 + 3.15*m.x22*m.x35 + 
                       5.1*m.x22*m.x37 + 8.79*m.x22*m.x40 + 6.45*m.x23*m.x25 + 8.27*m.x23*m.x27 + 1.17*m.x23*m.x32 + 4.5
                       *m.x23*m.x34 + 0.2*m.x23*m.x35 - 7.79*m.x23*m.x40 - 3.72*m.x24*m.x28 + 5.61*m.x24*m.x30 - 1.29*
                       m.x24*m.x33 + 6.28*m.x24*m.x34 + 8.05*m.x24*m.x37 + 7.08*m.x24*m.x40 - 9.69*m.x25*m.x25 + 1.9*
                       m.x25*m.x26 + 4.18*m.x25*m.x27 + 8.88*m.x25*m.x28 + 2.9*m.x25*m.x31 + 3.29*m.x25*m.x32 + 9.09*
                       m.x25*m.x33 + 6*m.x25*m.x34 + 6.35*m.x25*m.x35 + 2.76*m.x25*m.x36 + 5.16*m.x25*m.x37 + 4.78*m.x25
                       *m.x39 + 9.97*m.x26*m.x26 + 5.69*m.x26*m.x27 + 4.96*m.x26*m.x29 + 5.43*m.x26*m.x30 + 1.05*m.x26*
                       m.x31 - 6.19*m.x26*m.x32 + 2.15*m.x26*m.x33 + 0.82*m.x26*m.x35 + 3.33*m.x26*m.x40 + 9.02*m.x27*
                       m.x27 + 8.77*m.x27*m.x30 + 1.54*m.x27*m.x34 + 2.37*m.x27*m.x35 + 7.78*m.x27*m.x38 + 8.69*m.x27*
                       m.x39 + 7.14*m.x28*m.x31 - 7.17*m.x28*m.x38 + 9.27*m.x28*m.x39 - 7.34*m.x28*m.x40 + 3.72*m.x29*
                       m.x29 + 7.95*m.x29*m.x33 + 4.19*m.x29*m.x34 - 7.67*m.x29*m.x35 + 7.7*m.x29*m.x36 + 0.33*m.x29*
                       m.x38 + 4.05*m.x29*m.x39 + 2.41*m.x29*m.x40 + 5.83*m.x30*m.x30 + 5.64*m.x30*m.x32 + 4.33*m.x30*
                       m.x35 + 2.52*m.x30*m.x36 + 1.55*m.x30*m.x39 + 7.53*m.x31*m.x31 + 3.89*m.x31*m.x32 + 1.92*m.x31*
                       m.x33 + 7.46*m.x31*m.x34 + 4.82*m.x31*m.x35 + 0.66*m.x31*m.x37 - 8.49*m.x31*m.x38 + 4.13*m.x31*
                       m.x39 + 0.6*m.x32*m.x32 + 3.5*m.x32*m.x34 + 1.25*m.x32*m.x36 + 5.15*m.x32*m.x37 + 7.6*m.x32*m.x39
                        + 0.42*m.x33*m.x33 + 3.9*m.x33*m.x38 + 8.43*m.x33*m.x39 + 9.77*m.x33*m.x40 + 2.97*m.x34*m.x37 + 
                       4.48*m.x34*m.x38 + 3.69*m.x34*m.x39 + 0.13*m.x34*m.x40 + 6.9*m.x35*m.x38 + 1.4*m.x35*m.x40 + 6.31
                       *m.x36*m.x36 + 4.88*m.x36*m.x38 + 9.08*m.x36*m.x40 + 5.62*m.x37*m.x37 + 7.33*m.x37*m.x39 + 3.77*
                       m.x37*m.x40 + 0.66*m.x39*m.x39 + 9.18*m.x39*m.x40, sense=minimize)

m.c1 = Constraint(expr=   2.44*m.x1 + 8.84*m.x2 + 7.6*m.x3 - 8.25*m.x4 - 6.45*m.x5 - 5.84*m.x6 + 8.81*m.x7 + 9.68*m.x8
                        + 7.98*m.x9 + 6.09*m.x10 + 2.97*m.x11 + 6.32*m.x12 + 5.38*m.x13 + 3.99*m.x14 + 4.2*m.x15
                        + 1.34*m.x16 + 9.87*m.x17 + 3.82*m.x18 + 2.99*m.x19 + 1.76*m.x20 + m.x21 + 1.91*m.x22
                        + 4.25*m.x23 + 6.62*m.x24 + 3.74*m.x25 + 0.8*m.x26 + 6.49*m.x27 + 6.01*m.x28 + 1.61*m.x29
                        + 9.41*m.x30 + 9.2*m.x31 + 1.63*m.x32 - 3.55*m.x33 - 3.85*m.x34 + 4.46*m.x35 + 8.25*m.x36
                        + 2.04*m.x37 + 3.33*m.x38 - 2.82*m.x39 + 0.7*m.x40 == 211.85)

m.c2 = Constraint(expr=   7.49*m.x1 + 7.66*m.x2 + 7.21*m.x3 + 0.37*m.x4 + 6.91*m.x5 - 0.81*m.x6 + 9.19*m.x7 + 6.58*m.x8
                        + 1.58*m.x9 + 1.95*m.x10 + 8.99*m.x11 + 1.33*m.x12 - 8.15*m.x13 + 4.23*m.x14 + 1.18*m.x15
                        + 2.7*m.x16 + 0.9*m.x17 + 7.04*m.x18 + 7.7*m.x19 + 7.73*m.x20 + 7.38*m.x21 - 5*m.x22
                        - 1.53*m.x23 + 6.31*m.x24 + 3.77*m.x25 + 8.28*m.x26 + 1.03*m.x27 + 5.44*m.x28 + 3.73*m.x29
                        + 1.83*m.x30 - 7.69*m.x31 + 7.82*m.x32 + 5.54*m.x33 + 1.77*m.x34 + 5.41*m.x35 + 9.99*m.x36
                        + 5.81*m.x37 - 4.1*m.x38 + 4.69*m.x39 + 3.89*m.x40 == 222.749)

m.c3 = Constraint(expr=   8.46*m.x1 - 0.48*m.x2 + 4.18*m.x3 + 3.83*m.x4 + 8.33*m.x5 + 6.49*m.x6 + 8.82*m.x7 + 1.62*m.x8
                        + 2.1*m.x9 + 4.67*m.x10 + 6.53*m.x11 - 2.78*m.x12 + 9.34*m.x13 + 4.28*m.x14 + 4.4*m.x15
                        + 2.11*m.x16 + 6.51*m.x17 + 3.02*m.x18 + 7.49*m.x19 + 8.57*m.x20 + 9.6*m.x21 + 5.18*m.x22
                        + 6.06*m.x23 + 0.71*m.x24 + 1.71*m.x25 + 5.02*m.x26 + 3.17*m.x27 + 9.47*m.x28 + 5.51*m.x29
                        + 1.59*m.x30 - 5.26*m.x31 + 4.04*m.x32 + 8.88*m.x33 + 2.47*m.x34 + 1.43*m.x35 + 4.73*m.x36
                        - 8.75*m.x37 + 7.13*m.x38 + 8.57*m.x39 + 5.56*m.x40 == 263.646)

m.c4 = Constraint(expr=   6.57*m.x1 + 4.32*m.x2 + 6.68*m.x3 + 9.75*m.x4 - 3.95*m.x5 + 1.83*m.x6 + 5.01*m.x7 + 8.02*m.x8
                        - 0.19*m.x9 + 2.78*m.x10 + 8.76*m.x11 + 5.39*m.x12 + m.x13 + 4.85*m.x14 + 8.88*m.x15
                        + 9.07*m.x16 + 0.49*m.x17 - 1.27*m.x18 + 3.22*m.x19 + 9.78*m.x20 + 4.46*m.x21 + 3.36*m.x22
                        + 4.26*m.x23 + 5.5*m.x24 + 5.34*m.x25 + 2.42*m.x26 + 6.31*m.x27 + 3.74*m.x28 + 2.51*m.x29
                        + 1.83*m.x30 + 7.16*m.x31 + 8.64*m.x32 + 9.3*m.x33 + 0.08*m.x34 + 8.49*m.x35 + 3.13*m.x36
                        + 6.51*m.x37 + 4.25*m.x38 + 9.33*m.x39 + 4.7*m.x40 == 293.198)

m.c5 = Constraint(expr=   4.02*m.x1 + 0.98*m.x2 + 4.53*m.x3 + 3.6*m.x4 + 7.1*m.x5 + 5.12*m.x6 + 8.98*m.x7 + 9.32*m.x8
                        + 8.58*m.x9 - 3.65*m.x10 - 0.2*m.x11 - 8.83*m.x12 + 4.13*m.x13 + 5.8*m.x14 - 4.05*m.x15
                        - 4.67*m.x16 - 6.37*m.x17 - 0.65*m.x18 + 3.78*m.x19 + 1.95*m.x20 + 3.89*m.x21 + 0.44*m.x22
                        + 3.58*m.x23 + 6.8*m.x24 + 4.4*m.x25 + 5.31*m.x26 + 9.38*m.x27 + 5.9*m.x28 + 1.49*m.x29
                        + 5.72*m.x30 + 1.13*m.x31 + 0.47*m.x32 - 3.05*m.x33 + 5.97*m.x34 + 2.98*m.x35 + 3.59*m.x36
                        + 6.44*m.x37 + 3.31*m.x38 - 7.46*m.x39 + 4.1*m.x40 == 163.945)

m.c6 = Constraint(expr=   8.27*m.x1 + 5.56*m.x2 + 1.19*m.x3 + 3.74*m.x4 + 2.02*m.x5 + 3.35*m.x6 + 9.96*m.x7 + 8.9*m.x8
                        + 6.35*m.x9 + 0.55*m.x10 + 4.56*m.x11 + 3.92*m.x12 - 5.11*m.x13 + 4.77*m.x14 + 5.32*m.x15
                        + 8.92*m.x16 + 8.54*m.x17 + 4.85*m.x18 + 3.54*m.x19 - 2.41*m.x20 - 2.3*m.x21 + 0.26*m.x22
                        + 8.26*m.x23 + 2.1*m.x24 + 0.65*m.x25 + 7.17*m.x26 - 3.07*m.x27 + 4.49*m.x28 + 9.64*m.x29
                        + 5.52*m.x30 + 1.42*m.x31 - 9.43*m.x32 + 3.3*m.x33 + 9.66*m.x34 + 5.43*m.x35 + 8.01*m.x36
                        + 0.98*m.x37 + 3.14*m.x38 + 9.53*m.x39 + 6.03*m.x40 == 229.444)

m.c7 = Constraint(expr=   4.87*m.x1 + 4.85*m.x2 + 0.35*m.x3 + 2.15*m.x4 + 6.93*m.x5 + 0.27*m.x6 + 2.52*m.x7 + 4.8*m.x8
                        + 6.67*m.x9 + 1.85*m.x10 + 7.51*m.x11 + 7.87*m.x12 + 8.85*m.x13 + 0.79*m.x14 - 8.47*m.x15
                        + 4.98*m.x16 + 3.16*m.x17 + 3.37*m.x18 + 6.97*m.x19 - 4.42*m.x20 + 9.71*m.x21 + 1.7*m.x22
                        + 8.09*m.x23 + 9.7*m.x24 + 2.61*m.x25 + 2.06*m.x26 + 9.12*m.x27 + 1.36*m.x28 + 0.63*m.x29
                        + 4.73*m.x30 + 10*m.x31 + 6.37*m.x32 + 3.57*m.x33 + 5.86*m.x34 + 4.66*m.x35 + 9.16*m.x36
                        - 5.83*m.x37 + 6.03*m.x38 + 0.91*m.x39 + 9.66*m.x40 == 251.446)

m.c8 = Constraint(expr=   0.32*m.x1 - 8.19*m.x2 + 6.21*m.x3 + 9.82*m.x4 + 7.54*m.x5 + 7.46*m.x6 + 1.51*m.x7 + 2.68*m.x8
                        + 5.24*m.x9 + 1.76*m.x10 + 8.95*m.x11 + 2.76*m.x12 + 5.45*m.x13 + 9.94*m.x14 + 4.71*m.x15
                        + 0.36*m.x16 + 6.82*m.x17 - 9.98*m.x18 + 2.7*m.x19 - 5.9*m.x20 + 7.6*m.x21 + 5.42*m.x22
                        - 0.01*m.x23 - 0.97*m.x24 + 4.43*m.x25 + 8.45*m.x26 + 2.53*m.x27 + 5.79*m.x28 + 4.17*m.x29
                        + 3.81*m.x30 + 3.12*m.x31 + 4.23*m.x32 + 5.91*m.x33 + 2.06*m.x34 + 2.04*m.x35 + 0.98*m.x36
                        + 0.96*m.x37 + 2.76*m.x38 + 3.35*m.x39 + 2.36*m.x40 == 190.302)

m.c9 = Constraint(expr=   1.01*m.x1 + 9.31*m.x2 + 3.8*m.x3 + 5.36*m.x4 + 0.19*m.x5 + 1.72*m.x6 + 3.92*m.x7 + 7.74*m.x8
                        + 7.47*m.x9 + 7.21*m.x10 + 5.61*m.x11 + 8.71*m.x12 + 2.15*m.x13 + 4.63*m.x14 - 8.99*m.x15
                        + 4.47*m.x16 + 0.33*m.x17 + 8.52*m.x18 + 9.97*m.x19 + 0.37*m.x20 + 5.98*m.x21 + 1.23*m.x22
                        + 6.1*m.x23 + 7.77*m.x24 + 1.73*m.x25 + 2.62*m.x26 + 5.07*m.x27 + 0.8*m.x28 + 6.51*m.x29
                        - 5.99*m.x30 + 6.48*m.x31 + 1.21*m.x32 + 0.93*m.x33 + 5.38*m.x34 + 0.15*m.x35 + 4.05*m.x36
                        + 1.11*m.x37 + 7.74*m.x38 + 7.09*m.x39 + 6.81*m.x40 == 240.557)

m.c10 = Constraint(expr=   0.37*m.x1 + 6.16*m.x2 + 6.09*m.x3 + 9.21*m.x4 + 4.01*m.x5 + 5.34*m.x6 - 2.51*m.x7 + 5.87*m.x8
                         + 1.77*m.x9 + 1.56*m.x10 + 7.58*m.x11 + 6.34*m.x12 + 9.53*m.x13 + 8.56*m.x14 + 7.08*m.x15
                         + 7.45*m.x16 + 1.83*m.x17 - 6.07*m.x18 + 1.61*m.x19 + 9.62*m.x20 + 0.87*m.x21 + 1.79*m.x22
                         + 5.27*m.x23 - 4.85*m.x24 + 3.27*m.x25 + 4.31*m.x26 + 7.37*m.x27 + 6.56*m.x28 + 1.7*m.x29
                         + 2.17*m.x30 + 7.25*m.x31 - 6.07*m.x32 - 3.12*m.x33 + 0.97*m.x34 + 6.58*m.x35 + 4.42*m.x36
                         + 9.07*m.x37 + 2.89*m.x38 + 2.98*m.x39 + 1.6*m.x40 == 224.549)

m.c11 = Constraint(expr=   7.94*m.x1 + 6.62*m.x2 + 5.94*m.x3 + 5.09*m.x4 + 3.55*m.x5 + 1.89*m.x6 + 5.66*m.x7 + 5.58*m.x8
                         + 7.43*m.x9 - 0.8*m.x10 + 9.4*m.x11 + 4.28*m.x12 + 1.14*m.x13 + 1.96*m.x14 + 7.34*m.x15
                         + 8.53*m.x16 + 9.84*m.x17 + 6.77*m.x18 + 1.51*m.x19 + 8.46*m.x20 + 0.08*m.x21 + 1.18*m.x22
                         + 2.76*m.x23 + 3.95*m.x24 + 1.93*m.x25 + 2.75*m.x26 + 6.34*m.x27 + 9.63*m.x28 + 9.2*m.x29
                         + 5.57*m.x30 + 5.83*m.x31 - 8.02*m.x32 + 1.38*m.x33 + 2.64*m.x34 + 1.87*m.x35 + 7.1*m.x36
                         + 0.21*m.x37 + 9.88*m.x38 + 4.51*m.x39 - 6.42*m.x40 == 255.738)

m.c12 = Constraint(expr= - 5.18*m.x1 + 0.48*m.x2 + 8.47*m.x3 + 0.78*m.x4 + 8.75*m.x5 - 3.55*m.x6 + 7.35*m.x7 + 6.12*m.x8
                         - 7.87*m.x9 + 1.27*m.x10 + 3.58*m.x11 + 9.02*m.x12 + 2.45*m.x13 + 9.57*m.x14 + 8.03*m.x15
                         + 4.21*m.x16 + 5.02*m.x17 + 0.39*m.x18 + 8.25*m.x19 + 9.06*m.x20 + 4.59*m.x21 + 5.61*m.x22
                         + 7.04*m.x23 + 3.57*m.x24 + 9.79*m.x25 + 4.1*m.x26 + 2.54*m.x27 + 1.2*m.x28 + 3.95*m.x29
                         + 9.75*m.x30 + 7.21*m.x31 + 5.81*m.x32 + 5.56*m.x33 + 1.22*m.x34 + 1.27*m.x35 + 6.7*m.x36
                         + 5.74*m.x37 + 6.59*m.x38 + 3.89*m.x39 + 1.85*m.x40 == 267.596)

m.c13 = Constraint(expr= - 7.56*m.x1 + 1.67*m.x2 + 0.8*m.x3 + 2.68*m.x4 + 1.13*m.x5 + 8.69*m.x6 + 1.69*m.x7 + 3.37*m.x8
                         + 2.06*m.x9 + 2.27*m.x10 - 7.34*m.x11 + 9.19*m.x12 + 1.44*m.x13 + 3.25*m.x14 + 5.6*m.x15
                         - 1.83*m.x16 + 9.25*m.x17 + 7.42*m.x18 - 6.06*m.x19 + 8.46*m.x20 + 0.45*m.x21 + 1.8*m.x22
                         + 9.97*m.x23 + 8.18*m.x24 + 3.19*m.x25 + 6.2*m.x26 + 4.27*m.x27 + 6.27*m.x28 + 7.19*m.x29
                         - 8.35*m.x30 + 4.37*m.x31 - 6.69*m.x32 - 1.69*m.x33 + 2.55*m.x34 + 8.08*m.x35 + 1.41*m.x36
                         + 2.53*m.x37 - 3.18*m.x38 + 9.5*m.x39 + 2.54*m.x40 == 156.854)

m.c14 = Constraint(expr=   7.58*m.x1 + 4.95*m.x2 + 0.48*m.x3 + 5.77*m.x4 + 4.18*m.x5 + 0.74*m.x6 + 1.59*m.x7 + 0.09*m.x8
                         + 6.51*m.x9 + 7.01*m.x10 + 9.54*m.x11 + 9.01*m.x12 + 9.34*m.x13 + 6.43*m.x14 + 3.03*m.x15
                         + 7.97*m.x16 + 8.92*m.x17 + 4.48*m.x18 + 8.49*m.x19 + 6.74*m.x20 + 0.86*m.x21 - 3.47*m.x22
                         + 9.37*m.x23 + 5.08*m.x24 + 1.39*m.x25 + 4.68*m.x26 + 3.36*m.x27 + 2.07*m.x28 + 6.42*m.x29
                         - 0.84*m.x30 + 4.98*m.x31 + 5.03*m.x32 + 5.82*m.x33 + 0.46*m.x34 + 1.35*m.x35 + 9.42*m.x36
                         + 8.21*m.x37 + 1.34*m.x38 + 0.12*m.x39 + 1.05*m.x40 == 275.993)

m.c15 = Constraint(expr=   4.65*m.x1 + 4.9*m.x2 + 0.41*m.x3 + 5.11*m.x4 + 6.98*m.x5 + 4.82*m.x6 + 0.94*m.x7 + 5.33*m.x8
                         - 0.34*m.x9 + 6.32*m.x10 - 7.04*m.x11 + 1.33*m.x12 + 4.47*m.x13 - 4.5*m.x14 + 8.8*m.x15
                         - 2.59*m.x16 + 2.79*m.x17 + 2.69*m.x18 + 2.99*m.x19 + 4.93*m.x20 + 1.74*m.x21 + 9.98*m.x22
                         + 10*m.x23 + 4.24*m.x24 - 9.32*m.x25 + 7.28*m.x26 + 4.66*m.x27 + 8.82*m.x28 + 1.86*m.x29
                         + 9.47*m.x30 + 1.71*m.x31 + 5.56*m.x32 + 6.78*m.x33 + 1.67*m.x34 + 6.6*m.x35 + 8.4*m.x36
                         + 9.9*m.x37 + 8.75*m.x38 + 9.13*m.x39 + 5.93*m.x40 == 250.464)

m.c16 = Constraint(expr=   6.43*m.x1 + 0.49*m.x2 + 6.1*m.x3 + 9.54*m.x4 + 6.35*m.x5 + 2.09*m.x6 + 6.32*m.x7 + 8.42*m.x8
                         + 1.8*m.x9 + 9.38*m.x10 - 0.36*m.x11 + 4.16*m.x12 + 2.47*m.x13 + 4.71*m.x14 + 7.18*m.x15
                         + 5.48*m.x16 - 7.88*m.x17 - 7.26*m.x18 - 6.63*m.x19 + 6.91*m.x20 + 0.75*m.x21 + 9.92*m.x22
                         + 2.82*m.x23 + 7.21*m.x24 + 5.22*m.x25 + 8.94*m.x26 + 1.02*m.x27 + 3.63*m.x28 + 6.39*m.x29
                         + 7.62*m.x30 + 9.65*m.x31 + 9.84*m.x32 + 7.62*m.x33 + 3.44*m.x34 + 3.86*m.x35 + 8.03*m.x36
                         + 3.2*m.x37 + 9.5*m.x38 + 3.96*m.x39 + 9.91*m.x40 == 287.479)

m.c17 = Constraint(expr=   9.84*m.x1 + 1.82*m.x2 + 5.49*m.x3 + 10*m.x4 + 9.89*m.x5 + 7.9*m.x6 + 1.76*m.x7 + 7.5*m.x8
                         + 2.66*m.x9 + 8.42*m.x10 + 9.57*m.x11 + 0.79*m.x12 + 5.46*m.x13 + 8.84*m.x14 + 4.8*m.x15
                         + 8.17*m.x16 + 0.17*m.x17 + 9.94*m.x18 + 5.6*m.x19 + 5.62*m.x20 + 1.02*m.x21 + 8.63*m.x22
                         + 7.37*m.x23 + 0.01*m.x24 + 8.57*m.x25 + 2.61*m.x26 + 9.86*m.x27 + 2.42*m.x28 + 3.26*m.x29
                         + 3.99*m.x30 + 0.89*m.x31 + 7.46*m.x32 + 8.01*m.x33 + 6.64*m.x34 + 6.44*m.x35 + m.x36
                         - 1.42*m.x37 + 9.32*m.x38 + 7.51*m.x39 - 5.66*m.x40 == 320.981)

m.c18 = Constraint(expr=   1.1*m.x1 + 6.31*m.x2 + 2.36*m.x3 - 4.37*m.x4 + 6.39*m.x5 - 8.3*m.x6 + 7.63*m.x7 + 8.17*m.x8
                         + 0.29*m.x9 + 3.29*m.x10 + 3.02*m.x11 + 5.21*m.x12 + 1.86*m.x13 + 3.95*m.x14 + 4.18*m.x15
                         - 1.26*m.x16 + 8.02*m.x17 + 3.86*m.x18 + 3.22*m.x19 + 9.3*m.x20 + 2.56*m.x21 + 0.53*m.x22
                         + 5.7*m.x23 + 1.85*m.x24 + 6.49*m.x25 - 5.73*m.x26 + 9.29*m.x27 + 2.29*m.x28 + 4.5*m.x29
                         + 0.9*m.x30 + 4.84*m.x31 + 2.68*m.x32 + 9.87*m.x33 + 4.39*m.x34 + 1.75*m.x35 + 8.42*m.x36
                         + 5.03*m.x37 + 0.19*m.x38 + 9.41*m.x39 + 8.36*m.x40 == 230.334)

m.c19 = Constraint(expr=   1.43*m.x1 + 4.29*m.x2 + 8.26*m.x3 - 5.05*m.x4 + 2.31*m.x5 + 1.74*m.x6 + 7.41*m.x7 + 2.48*m.x8
                         + 0.92*m.x9 + 0.59*m.x10 + 3.5*m.x11 + 2.38*m.x12 + 7.39*m.x13 + 5.1*m.x14 + 6.34*m.x15
                         + 2.85*m.x16 + 7.25*m.x17 + 2.13*m.x18 + 5.35*m.x19 + 2.97*m.x20 + 8.64*m.x21 + 9.23*m.x22
                         + 8.06*m.x23 + 4.56*m.x24 + 5.33*m.x25 + 2.14*m.x26 + 0.08*m.x27 + 3.4*m.x28 + 8.37*m.x29
                         - 1.96*m.x30 + 4.14*m.x31 - 1.08*m.x32 - 3.83*m.x33 + 9.15*m.x34 + 0.88*m.x35 - 2.87*m.x36
                         - 8.17*m.x37 + 6.55*m.x38 + 6.28*m.x39 + 1.42*m.x40 == 202.719)

m.c20 = Constraint(expr=   6.76*m.x1 + 6.08*m.x2 + 2.41*m.x3 - 4.15*m.x4 + 7.56*m.x5 + 3.56*m.x6 + 5.37*m.x7 + 8.76*m.x8
                         + 7.85*m.x9 - 7.3*m.x10 + 9.67*m.x11 + 0.63*m.x12 - 4.81*m.x13 + 3.63*m.x14 + 3.46*m.x15
                         + 0.91*m.x16 + 8.09*m.x17 + 4.63*m.x18 + 5.97*m.x19 + 7.65*m.x20 + 0.13*m.x21 + 4.08*m.x22
                         + 9.07*m.x23 + 4.09*m.x24 - 9.15*m.x25 + 5.04*m.x26 + 0.93*m.x27 + 2.62*m.x28 + 7.17*m.x29
                         + 9.37*m.x30 + 6.48*m.x31 + 7.36*m.x32 + 0.18*m.x33 + 7.33*m.x34 + 2.18*m.x35 + 4.69*m.x36
                         + 8.7*m.x37 + 9.47*m.x38 + 9.73*m.x39 + 4.38*m.x40 == 265.58)

m.c21 = Constraint(expr=   0.53*m.x1 + 0.93*m.x2 + 7.74*m.x3 + 4.53*m.x4 + 9.96*m.x5 + 4.5*m.x6 + 6.8*m.x7 + 8.61*m.x8
                         + 0.71*m.x9 + 0.47*m.x10 + 7.95*m.x11 + 0.73*m.x12 + 2.04*m.x13 + 0.25*m.x14 + 4.87*m.x15
                         + 3.09*m.x16 + 5.95*m.x17 + 2.06*m.x18 + 5.03*m.x19 + 4.71*m.x20 + 8.39*m.x21 + 2.53*m.x22
                         + 4.16*m.x23 + 1.17*m.x24 + 6.88*m.x25 - 4.56*m.x26 + 6.86*m.x27 + 0.59*m.x28 + 4.24*m.x29
                         - 1.41*m.x30 + 3.54*m.x31 + 5.85*m.x32 + 8.63*m.x33 + 7.08*m.x34 + 3.6*m.x35 + 3.07*m.x36
                         + 9.89*m.x37 + 2.86*m.x38 + 4.81*m.x39 + 6.32*m.x40 >= 252.178)

m.c22 = Constraint(expr=0.82*m.x1*m.x3 + 2.02*m.x1 + 8.99*m.x3 - 0.26*m.x1*m.x4 + 8.64*m.x4 + 0.16*m.x1*m.x5 + 2.01*m.x5
                         + 5.24*m.x1*m.x8 + 9.21*m.x8 + 4.7*m.x1*m.x10 + 7.43*m.x10 + 5.16*m.x1*m.x12 + 6.88*m.x12 + 
                        3.63*m.x1*m.x15 + 2.2*m.x15 - 0.46*m.x1*m.x17 + 3.17*m.x17 + 9.52*m.x1*m.x19 + 5.66*m.x19 + 2.05
                        *m.x1*m.x23 + 7.68*m.x23 + 0.7*m.x1*m.x25 + 2.45*m.x25 + 5.2*m.x1*m.x26 + 8.64*m.x26 + 8.53*m.x1
                        *m.x27 + 3.3*m.x27 + 7.87*m.x1*m.x28 + 2.47*m.x28 - 5.01*m.x1*m.x29 + 5.28*m.x29 + 1.35*m.x1*
                        m.x30 + 9.38*m.x30 + 0.92*m.x1*m.x33 + 8.94*m.x33 + 5.94*m.x1*m.x35 + 4.75*m.x35 + 9.81*m.x1*
                        m.x36 + 5.55*m.x36 + 9.64*m.x1*m.x38 + 6.37*m.x38 + 8.2*m.x2*m.x3 + 0.25*m.x2 - 2.49*m.x2*m.x5
                         + 7.33*m.x2*m.x6 + 9.98*m.x6 + 4.43*m.x2*m.x7 - 3.91*m.x7 + 6.65*m.x2*m.x12 + 9.57*m.x2*m.x13
                         + 4.86*m.x13 + 4.49*m.x2*m.x14 + 4.22*m.x14 + 4.61*m.x2*m.x15 + 6.16*m.x2*m.x17 - 4.14*m.x2*
                        m.x18 + 6.02*m.x18 + 4.8*m.x2*m.x19 + 0.87*m.x2*m.x20 + 1.67*m.x20 + 5.28*m.x2*m.x21 + 1.55*
                        m.x21 + 3.37*m.x2*m.x22 + 6.69*m.x22 + 6.52*m.x2*m.x26 + 9.19*m.x2*m.x27 + 2.46*m.x2*m.x28 - 
                        6.31*m.x2*m.x30 + 7.06*m.x2*m.x31 + 6.28*m.x31 + 0.53*m.x2*m.x32 + 6.59*m.x32 + 3.62*m.x2*m.x34
                         + 4.42*m.x34 + 1.72*m.x2*m.x35 + 3.7*m.x2*m.x36 + 6.82*m.x2*m.x38 + 5.97*m.x3*m.x5 - 2.15*m.x3*
                        m.x8 - 0.41*m.x3*m.x9 + 4.86*m.x9 + 3.19*m.x3*m.x11 + 1.5*m.x11 + 7.97*m.x3*m.x12 + 4.31*m.x3*
                        m.x13 + 1.13*m.x3*m.x15 + 6.47*m.x3*m.x16 + 9.85*m.x16 + 5.69*m.x3*m.x17 + 5.66*m.x3*m.x18 + 
                        9.06*m.x3*m.x21 + 9.86*m.x3*m.x22 + 5.32*m.x3*m.x24 + 3.49*m.x24 + 7.29*m.x3*m.x27 + 2.44*m.x3*
                        m.x28 + 3.95*m.x3*m.x29 + 1.95*m.x3*m.x30 + 2.98*m.x3*m.x32 + 6.37*m.x3*m.x33 - 3.94*m.x3*m.x35
                         + 4.64*m.x3*m.x36 + 4.59*m.x3*m.x37 + 0.62*m.x37 + 1.04*m.x3*m.x39 + 3.1*m.x39 + 3.12*m.x4*m.x5
                         + 7.69*m.x4*m.x6 + 3.62*m.x4*m.x8 + 6.12*m.x4*m.x10 + 2.57*m.x4*m.x13 + 8.15*m.x4*m.x14 + 9.13*
                        m.x4*m.x16 + 1.4*m.x4*m.x19 - 7.17*m.x4*m.x21 - 9.68*m.x4*m.x23 + 1.74*m.x4*m.x27 + 3.74*m.x4*
                        m.x28 + 7.8*m.x4*m.x29 + 2.51*m.x4*m.x30 + 4.08*m.x4*m.x35 + 0.24*m.x4*m.x37 + 9.85*m.x5*m.x5 + 
                        9.8*m.x5*m.x9 - 7.35*m.x5*m.x11 + 7.59*m.x5*m.x12 - 7.89*m.x5*m.x13 + 0.12*m.x5*m.x14 + 4.15*
                        m.x5*m.x15 + 7.83*m.x5*m.x17 + 6.72*m.x5*m.x20 + 6.28*m.x5*m.x23 + 7.61*m.x5*m.x24 + 0.17*m.x5*
                        m.x25 + 8.53*m.x5*m.x27 + 0.35*m.x5*m.x28 + 6.75*m.x5*m.x31 + 9.23*m.x5*m.x36 + 6.42*m.x5*m.x38
                         + 4.94*m.x5*m.x39 + 8.05*m.x5*m.x40 + 8.05*m.x40 + 9.41*m.x6*m.x7 + 4.1*m.x6*m.x8 + 0.78*m.x6*
                        m.x9 + 3.34*m.x6*m.x12 + 5.54*m.x6*m.x13 + 1.9*m.x6*m.x15 - 0.46*m.x6*m.x16 + 3.84*m.x6*m.x19 - 
                        9.86*m.x6*m.x21 + 8.94*m.x6*m.x22 + 8.48*m.x6*m.x30 + 0.6*m.x6*m.x33 + 5.13*m.x6*m.x35 + 1.67*
                        m.x6*m.x37 - 7.59*m.x6*m.x38 - 1.01*m.x6*m.x40 - 4.04*m.x7*m.x8 + 8.56*m.x7*m.x10 + 1.24*m.x7*
                        m.x13 + 1.73*m.x7*m.x20 + 4.91*m.x7*m.x21 + 1.07*m.x7*m.x22 + 2.46*m.x7*m.x23 + 7.74*m.x7*m.x25
                         + 3.58*m.x7*m.x26 + 0.91*m.x7*m.x28 - 8.82*m.x7*m.x31 + 7.69*m.x7*m.x32 + 1.57*m.x7*m.x33 + 
                        3.49*m.x7*m.x36 + 3.77*m.x7*m.x37 + 5.56*m.x7*m.x39 + 0.54*m.x8*m.x11 + 7.65*m.x8*m.x16 + 4.19*
                        m.x8*m.x17 + 8.44*m.x8*m.x18 + 2.86*m.x8*m.x20 + 1.65*m.x8*m.x21 + 4.1*m.x8*m.x24 + 0.67*m.x8*
                        m.x27 + 8.64*m.x8*m.x28 + 5.38*m.x8*m.x30 + 4.81*m.x8*m.x31 + 4.18*m.x8*m.x32 + 8.79*m.x8*m.x35
                         + 8.83*m.x8*m.x36 + 1.1*m.x8*m.x38 + 5.1*m.x9*m.x11 + 4.51*m.x9*m.x12 + 6.87*m.x9*m.x15 + 3.85*
                        m.x9*m.x17 + 6.62*m.x9*m.x18 + 2.91*m.x9*m.x20 + 0.14*m.x9*m.x22 - 8.77*m.x9*m.x24 + 8.06*m.x9*
                        m.x27 + 8.94*m.x9*m.x28 + 2.35*m.x9*m.x29 + 1.47*m.x9*m.x33 + 0.25*m.x9*m.x35 + 3.56*m.x9*m.x36
                         + 3.72*m.x9*m.x38 + 8.73*m.x9*m.x39 + 7.1*m.x9*m.x40 + 8.13*m.x10*m.x13 + 0.73*m.x10*m.x14 + 
                        6.04*m.x10*m.x18 + 3.52*m.x10*m.x19 + 5.1*m.x10*m.x20 - 2.07*m.x10*m.x28 + 1.42*m.x10*m.x29 + 
                        9.42*m.x10*m.x31 + 4.93*m.x10*m.x33 + 0.88*m.x10*m.x34 + 5.4*m.x10*m.x36 + 0.16*m.x10*m.x38 - 
                        9.21*m.x11*m.x11 + 3.24*m.x11*m.x16 + 7.39*m.x11*m.x17 + 3.08*m.x11*m.x21 + 0.12*m.x11*m.x23 + 
                        2.85*m.x11*m.x24 + 8.13*m.x11*m.x26 + 0.4*m.x11*m.x27 + 6.07*m.x11*m.x32 + 2.07*m.x11*m.x33 - 
                        8.54*m.x11*m.x35 + 8.3*m.x11*m.x36 + 3.63*m.x11*m.x38 + 9.12*m.x11*m.x40 + 4.74*m.x12*m.x14 + 
                        2.24*m.x12*m.x17 + 5.67*m.x12*m.x18 + 1.51*m.x12*m.x21 + 9.36*m.x12*m.x26 + 8.63*m.x12*m.x27 + 
                        5.79*m.x12*m.x29 + 5.87*m.x12*m.x30 + 9.03*m.x12*m.x31 + 2.65*m.x12*m.x35 - 9*m.x12*m.x39 + 3.81
                        *m.x12*m.x40 + 8.2*m.x13*m.x13 + 2.31*m.x13*m.x14 + 8.61*m.x13*m.x18 + 4.23*m.x13*m.x21 + 9.21*
                        m.x13*m.x22 + 8.87*m.x13*m.x27 + 9.38*m.x13*m.x29 + 1.77*m.x13*m.x30 + 8.5*m.x13*m.x31 + 3.41*
                        m.x13*m.x33 + 6.99*m.x13*m.x34 + 1.52*m.x13*m.x35 + 9.24*m.x13*m.x40 - 9.66*m.x14*m.x15 + 3.64*
                        m.x14*m.x17 + 0.02*m.x14*m.x19 + 0.04*m.x14*m.x20 + 3.14*m.x14*m.x21 + 0.01*m.x14*m.x23 + 2.48*
                        m.x14*m.x24 + 0.06*m.x14*m.x25 + 6.5*m.x14*m.x26 + 3.39*m.x14*m.x28 + 6.26*m.x14*m.x29 - 0.22*
                        m.x14*m.x33 + 1.11*m.x14*m.x34 - 2.14*m.x14*m.x35 + 0.57*m.x14*m.x37 + 0.81*m.x14*m.x39 + 4.92*
                        m.x15*m.x16 + 6.29*m.x15*m.x18 + 2.5*m.x15*m.x19 + 5.26*m.x15*m.x20 + 6.54*m.x15*m.x21 + 4.53*
                        m.x15*m.x22 + 9.18*m.x15*m.x25 + 0.14*m.x15*m.x26 + 5.65*m.x15*m.x29 + 7.29*m.x15*m.x31 + 6.32*
                        m.x15*m.x32 + 1.49*m.x15*m.x37 + 9.53*m.x15*m.x39 + 6.22*m.x15*m.x40 + 2.89*m.x16*m.x16 + 7.37*
                        m.x16*m.x18 + 5.96*m.x16*m.x20 + 9.84*m.x16*m.x24 + 2.12*m.x16*m.x27 + 6.6*m.x16*m.x30 + 2.31*
                        m.x16*m.x31 + 5.43*m.x16*m.x32 + 8.71*m.x16*m.x37 + 3.84*m.x16*m.x40 + 0.88*m.x17*m.x17 - 7.22*
                        m.x17*m.x18 + 2.35*m.x17*m.x20 - 0.86*m.x17*m.x21 + 0.5*m.x17*m.x22 - 0.78*m.x17*m.x24 + 7.37*
                        m.x17*m.x25 - 4.08*m.x17*m.x26 + 4.41*m.x17*m.x27 + 3.72*m.x17*m.x28 - 8.79*m.x17*m.x29 + 8.39*
                        m.x17*m.x31 + 4.32*m.x17*m.x32 + 2.55*m.x17*m.x35 + 4.51*m.x17*m.x38 + 7.12*m.x18*m.x21 + 0.82*
                        m.x18*m.x22 + 5.91*m.x18*m.x23 + 3.8*m.x18*m.x28 + 8.41*m.x18*m.x31 + 9.91*m.x18*m.x32 + 3.93*
                        m.x18*m.x33 + 1.99*m.x18*m.x35 - 7.69*m.x18*m.x36 + 5.91*m.x18*m.x38 + 3.92*m.x18*m.x39 + 1.52*
                        m.x19*m.x19 + 6.5*m.x19*m.x20 + 0.51*m.x19*m.x21 + 2.28*m.x19*m.x23 + 9.08*m.x19*m.x28 + 7.51*
                        m.x19*m.x32 + 8.19*m.x19*m.x33 + 2.64*m.x19*m.x37 + 9.18*m.x19*m.x39 + 5.82*m.x19*m.x40 + 7.74*
                        m.x20*m.x20 + 0.34*m.x20*m.x21 + 3.78*m.x20*m.x23 + 6.5*m.x20*m.x24 - 0.2*m.x20*m.x25 + 3.01*
                        m.x20*m.x27 + 8.33*m.x20*m.x30 + 8.39*m.x20*m.x33 + 2.86*m.x20*m.x34 + 7.55*m.x20*m.x36 + 3.99*
                        m.x20*m.x37 + 4.09*m.x20*m.x39 + 9.73*m.x20*m.x40 + 3.25*m.x21*m.x22 + 6.08*m.x21*m.x23 + 6.31*
                        m.x21*m.x26 + 8.01*m.x21*m.x27 + 1.24*m.x21*m.x29 + 8.84*m.x21*m.x32 + 0.38*m.x21*m.x33 + 1.07*
                        m.x21*m.x34 + 0.12*m.x21*m.x40 - 6.36*m.x22*m.x24 + 3.05*m.x22*m.x25 + 7.44*m.x22*m.x27 - 7.9*
                        m.x22*m.x28 + 9.86*m.x22*m.x29 - 7.5*m.x22*m.x35 + 6.26*m.x22*m.x37 + 0.15*m.x22*m.x40 + 1.15*
                        m.x23*m.x25 + 4.66*m.x23*m.x27 - 8.81*m.x23*m.x32 + 4.42*m.x23*m.x34 + 2.32*m.x23*m.x35 + 0.76*
                        m.x23*m.x40 + 6.37*m.x24*m.x28 - 0.92*m.x24*m.x30 + 1.76*m.x24*m.x33 + 1.06*m.x24*m.x34 + 4.37*
                        m.x24*m.x37 + 9.39*m.x24*m.x40 + 6.39*m.x25*m.x25 + 9.96*m.x25*m.x26 + 2.69*m.x25*m.x27 + 2.29*
                        m.x25*m.x28 + 0.08*m.x25*m.x31 + 7.24*m.x25*m.x32 + 2.28*m.x25*m.x33 + 4.25*m.x25*m.x34 + 8.45*
                        m.x25*m.x35 + 0.62*m.x25*m.x36 + 8.02*m.x25*m.x37 + 7.67*m.x25*m.x39 + 9.79*m.x26*m.x26 + 4.55*
                        m.x26*m.x27 - 7.82*m.x26*m.x29 + 4.66*m.x26*m.x30 + 2.32*m.x26*m.x31 + 5.23*m.x26*m.x32 + 7.94*
                        m.x26*m.x33 + 5.22*m.x26*m.x35 + 7.65*m.x26*m.x40 + 1.94*m.x27*m.x27 + 4.65*m.x27*m.x30 + 1.65*
                        m.x27*m.x34 + 0.51*m.x27*m.x35 + 4.52*m.x27*m.x38 - 2.01*m.x27*m.x39 + 9.17*m.x28*m.x31 + 4.73*
                        m.x28*m.x38 + 7.2*m.x28*m.x39 - 6.04*m.x28*m.x40 - 2.92*m.x29*m.x29 + 5.47*m.x29*m.x33 + 8.66*
                        m.x29*m.x34 + 5.04*m.x29*m.x35 + 1.02*m.x29*m.x36 + 7.68*m.x29*m.x38 + 8.24*m.x29*m.x39 + 6.18*
                        m.x29*m.x40 - 4.09*m.x30*m.x30 + 0.84*m.x30*m.x32 + 8.57*m.x30*m.x35 + 8.37*m.x30*m.x36 + 0.81*
                        m.x30*m.x39 + 9.95*m.x31*m.x31 + 4.29*m.x31*m.x32 + 1.35*m.x31*m.x33 + 9.92*m.x31*m.x34 - 2.72*
                        m.x31*m.x35 + 7.13*m.x31*m.x37 + 1.06*m.x31*m.x38 + 8.35*m.x31*m.x39 + 3.07*m.x32*m.x32 + 7.19*
                        m.x32*m.x34 + 1.22*m.x32*m.x36 + 5.62*m.x32*m.x37 + 0.86*m.x32*m.x39 + 0.46*m.x33*m.x33 + 1.2*
                        m.x33*m.x38 + 4.51*m.x33*m.x39 + 7.87*m.x33*m.x40 - 2.63*m.x34*m.x37 + 0.1*m.x34*m.x38 + 8.01*
                        m.x34*m.x39 + 10*m.x34*m.x40 + 9.12*m.x35*m.x38 + 7.12*m.x35*m.x40 + 2.43*m.x36*m.x36 + 5.77*
                        m.x36*m.x38 + 1.38*m.x36*m.x40 + 8.17*m.x37*m.x37 + 6.85*m.x37*m.x39 + 1.04*m.x37*m.x40 + 9.42*
                        m.x39*m.x39 + 8.67*m.x39*m.x40 >= 5652.872)

m.c23 = Constraint(expr=   8.78*m.x1 + 9.99*m.x2 + 0.59*m.x3 + 2.73*m.x4 + 6.06*m.x5 + 2.33*m.x6 + 4.63*m.x7 + 8.44*m.x8
                         + 5.03*m.x9 + 6.81*m.x10 + 4.98*m.x11 + 9.48*m.x12 + 4.95*m.x13 + 0.91*m.x14 + 6.26*m.x15
                         + 3.02*m.x16 + 8.68*m.x17 + 6.84*m.x18 + 8.12*m.x19 + 3.74*m.x20 + 9.53*m.x21 + 3.77*m.x22
                         - 5.26*m.x23 + 4.26*m.x24 + 4.5*m.x25 + 6.26*m.x26 + 3.7*m.x27 + 1.69*m.x28 + 3.66*m.x29
                         + 9.07*m.x30 - 3.34*m.x31 + 0.52*m.x32 + 5.82*m.x33 + 8.05*m.x34 + 6.74*m.x35 + 1.68*m.x36
                         - 0.42*m.x37 + 7.43*m.x38 + 4.15*m.x39 - 7.91*m.x40 >= 265.715)

m.c24 = Constraint(expr=5.43*m.x1*m.x3 + 5.74*m.x1 + 4.84*m.x3 + 9.83*m.x1*m.x4 + 5.39*m.x4 + 7.55*m.x1*m.x5 + 3.27*m.x5
                         + 3.6*m.x1*m.x8 - 1.54*m.x8 - 6.28*m.x1*m.x10 + 2.28*m.x10 + 9.04*m.x1*m.x12 + 9.17*m.x12 - 5.3
                        *m.x1*m.x15 + 6.02*m.x15 + 0.03*m.x1*m.x17 + 0.22*m.x17 + 7.59*m.x1*m.x19 + 7.25*m.x19 - 6.99*
                        m.x1*m.x23 + 5.51*m.x23 + 9.09*m.x1*m.x25 + 1.17*m.x25 + 2.21*m.x1*m.x26 + 7.28*m.x26 + 8.88*
                        m.x1*m.x27 - 1.03*m.x27 + 3.66*m.x1*m.x28 + 2.9*m.x28 + 6.1*m.x1*m.x29 + 5.38*m.x29 + 0.19*m.x1*
                        m.x30 + 9.29*m.x30 - 9.06*m.x1*m.x33 + 5.97*m.x33 + 5.82*m.x1*m.x35 + 1.35*m.x35 + 6.79*m.x1*
                        m.x36 + 9.9*m.x36 + 6.09*m.x1*m.x38 + 5.15*m.x38 + 8.3*m.x2*m.x3 + 3.27*m.x2 + 4.17*m.x2*m.x5 + 
                        9.96*m.x2*m.x6 + 3.17*m.x6 + 9.49*m.x2*m.x7 + 4.59*m.x7 + 6.22*m.x2*m.x12 + 6.9*m.x2*m.x13 + 
                        7.33*m.x13 - 4.03*m.x2*m.x14 + 5.52*m.x14 + 8.98*m.x2*m.x15 + 6.29*m.x2*m.x17 + 9.38*m.x2*m.x18
                         + 6.03*m.x18 + 4.56*m.x2*m.x19 + 0.07*m.x2*m.x20 + 5.22*m.x20 + 6.49*m.x2*m.x21 + 0.63*m.x21 + 
                        0.14*m.x2*m.x22 + 9.93*m.x22 - 8.07*m.x2*m.x26 + 9.24*m.x2*m.x27 + 6.25*m.x2*m.x28 + 3.1*m.x2*
                        m.x30 + 2.05*m.x2*m.x31 + 7.12*m.x31 + 4.33*m.x2*m.x32 + 2.32*m.x32 + 9.58*m.x2*m.x34 + 1.83*
                        m.x34 + 6.02*m.x2*m.x35 - 1.26*m.x2*m.x36 + 1.11*m.x2*m.x38 + 4.51*m.x3*m.x5 + 5.28*m.x3*m.x8 + 
                        0.28*m.x3*m.x9 + 8.4*m.x9 - 6.17*m.x3*m.x11 + 9.5*m.x11 + 8.73*m.x3*m.x12 + 6.81*m.x3*m.x13 + 
                        2.29*m.x3*m.x15 + 5.97*m.x3*m.x16 + 6.78*m.x16 + 1.54*m.x3*m.x17 + 3.34*m.x3*m.x18 + 4.1*m.x3*
                        m.x21 + 2.25*m.x3*m.x22 - 1.96*m.x3*m.x24 - 0.5*m.x24 + 7.87*m.x3*m.x27 + 7.45*m.x3*m.x28 + 3.57
                        *m.x3*m.x29 + 3.22*m.x3*m.x30 + 3.38*m.x3*m.x32 + 6.56*m.x3*m.x33 + 3.22*m.x3*m.x35 + 3.34*m.x3*
                        m.x36 + 8.86*m.x3*m.x37 + 9.18*m.x37 + 1.88*m.x3*m.x39 + 3.14*m.x39 + 3.29*m.x4*m.x5 + 2.1*m.x4*
                        m.x6 + 1.45*m.x4*m.x8 - 0.19*m.x4*m.x10 + 5.01*m.x4*m.x13 + 4.2*m.x4*m.x14 + 5.02*m.x4*m.x16 + 
                        0.82*m.x4*m.x19 + 5.38*m.x4*m.x21 + 8.64*m.x4*m.x23 + 4.79*m.x4*m.x27 + 8.25*m.x4*m.x28 + 0.02*
                        m.x4*m.x29 + 4.43*m.x4*m.x30 - 8.4*m.x4*m.x35 + 0.85*m.x4*m.x37 + 2.24*m.x5*m.x5 + 2.46*m.x5*
                        m.x9 - 3.07*m.x5*m.x11 + 5.96*m.x5*m.x12 + 8.43*m.x5*m.x13 + 3.69*m.x5*m.x14 + 9.12*m.x5*m.x15
                         + 1.15*m.x5*m.x17 + 9.64*m.x5*m.x20 + 3.58*m.x5*m.x23 + 9.67*m.x5*m.x24 + 1.78*m.x5*m.x25 - 
                        9.42*m.x5*m.x27 + 2.69*m.x5*m.x28 + 6.62*m.x5*m.x31 + 4.77*m.x5*m.x36 + 7.96*m.x5*m.x38 + 3.69*
                        m.x5*m.x39 + 2.89*m.x5*m.x40 + 5.87*m.x40 + 8.63*m.x6*m.x7 - 2.41*m.x6*m.x8 + 4.42*m.x6*m.x9 + 
                        0.88*m.x6*m.x12 + 9.81*m.x6*m.x13 + 3.49*m.x6*m.x15 + 7.38*m.x6*m.x16 + 7.23*m.x6*m.x19 + 5.16*
                        m.x6*m.x21 + 8.33*m.x6*m.x22 + 5.38*m.x6*m.x30 - 3.74*m.x6*m.x33 + 0.76*m.x6*m.x35 - 9.62*m.x6*
                        m.x37 + 3.43*m.x6*m.x38 + 4.64*m.x6*m.x40 + 6.97*m.x7*m.x8 + 0.88*m.x7*m.x10 + 6.9*m.x7*m.x13 + 
                        0.07*m.x7*m.x20 + 9.7*m.x7*m.x21 + 8.14*m.x7*m.x22 + 5.98*m.x7*m.x23 + 5.76*m.x7*m.x25 + 7.92*
                        m.x7*m.x26 + 7.74*m.x7*m.x28 + 6.31*m.x7*m.x31 + 9.07*m.x7*m.x32 + 7.53*m.x7*m.x33 + 0.46*m.x7*
                        m.x36 + 5.88*m.x7*m.x37 + 1.16*m.x7*m.x39 + 1.32*m.x8*m.x11 + 1.86*m.x8*m.x16 + 8.23*m.x8*m.x17
                         + 5.51*m.x8*m.x18 + 5.29*m.x8*m.x20 + 8.87*m.x8*m.x21 + 1.85*m.x8*m.x24 + 2.61*m.x8*m.x27 + 1.2
                        *m.x8*m.x28 + 2.68*m.x8*m.x30 + 5.84*m.x8*m.x31 + 0.96*m.x8*m.x32 + 5.33*m.x8*m.x35 + 7.79*m.x8*
                        m.x36 - 1.8*m.x8*m.x38 + 4.31*m.x9*m.x11 + 3.56*m.x9*m.x12 + 7.41*m.x9*m.x15 - 2.07*m.x9*m.x17
                         + 5.09*m.x9*m.x18 + 2.62*m.x9*m.x20 + 5.03*m.x9*m.x22 + 4.04*m.x9*m.x24 + 4.18*m.x9*m.x27 + 
                        7.65*m.x9*m.x28 + 2.26*m.x9*m.x29 + 0.91*m.x9*m.x33 + 6.85*m.x9*m.x35 + 5.98*m.x9*m.x36 + 2.99*
                        m.x9*m.x38 - 8.54*m.x9*m.x39 + 5.04*m.x9*m.x40 + 7.17*m.x10*m.x13 - 3.69*m.x10*m.x14 + 8.63*
                        m.x10*m.x18 + 5.78*m.x10*m.x19 + 9.3*m.x10*m.x20 - 10*m.x10*m.x28 + 8.16*m.x10*m.x29 + 5.95*
                        m.x10*m.x31 + 1.53*m.x10*m.x33 + 9.65*m.x10*m.x34 + 5.03*m.x10*m.x36 + 3.22*m.x10*m.x38 + 2.86*
                        m.x11*m.x11 + 1.49*m.x11*m.x16 + 9.96*m.x11*m.x17 + 3.36*m.x11*m.x21 + 7.15*m.x11*m.x23 + 0.87*
                        m.x11*m.x24 + 4.69*m.x11*m.x26 + 3.59*m.x11*m.x27 + 4.49*m.x11*m.x32 + 1.26*m.x11*m.x33 + 6.38*
                        m.x11*m.x35 + 2.44*m.x11*m.x36 + 8.65*m.x11*m.x38 + 2.07*m.x11*m.x40 + 8.25*m.x12*m.x14 + 5.62*
                        m.x12*m.x17 - 0.91*m.x12*m.x18 + 2.77*m.x12*m.x21 + 6.52*m.x12*m.x26 - 8.31*m.x12*m.x27 + 0.11*
                        m.x12*m.x29 + 3.23*m.x12*m.x30 + 3.6*m.x12*m.x31 - 3.61*m.x12*m.x35 - 8.91*m.x12*m.x39 + 0.33*
                        m.x12*m.x40 + 7.42*m.x13*m.x13 + 7.26*m.x13*m.x14 + 6.35*m.x13*m.x18 + 0.82*m.x13*m.x21 + 7.19*
                        m.x13*m.x22 + 8.66*m.x13*m.x27 + 6.64*m.x13*m.x29 + 0.4*m.x13*m.x30 + 5.25*m.x13*m.x31 + 8.04*
                        m.x13*m.x33 - 4.17*m.x13*m.x34 + 9.08*m.x13*m.x35 + 5.25*m.x13*m.x40 + 9.97*m.x14*m.x15 - 4.84*
                        m.x14*m.x17 + 2.8*m.x14*m.x19 + 6.59*m.x14*m.x20 + 3.07*m.x14*m.x21 + 3.58*m.x14*m.x23 + 1.25*
                        m.x14*m.x24 - 5.05*m.x14*m.x25 + 6.02*m.x14*m.x26 + 8.12*m.x14*m.x28 + 1.99*m.x14*m.x29 - 9.71*
                        m.x14*m.x33 + 9.73*m.x14*m.x34 + 9.06*m.x14*m.x35 + 0.81*m.x14*m.x37 + 6.13*m.x14*m.x39 + 5.87*
                        m.x15*m.x16 + 6.15*m.x15*m.x18 + 8.32*m.x15*m.x19 + 5.75*m.x15*m.x20 + 1.58*m.x15*m.x21 + 0.82*
                        m.x15*m.x22 + 2.77*m.x15*m.x25 + 1.57*m.x15*m.x26 + 0.42*m.x15*m.x29 - 4.98*m.x15*m.x31 - 9.24*
                        m.x15*m.x32 - 0.04*m.x15*m.x37 + 9.63*m.x15*m.x39 + 6.04*m.x15*m.x40 + 4.88*m.x16*m.x16 + 9.25*
                        m.x16*m.x18 + 3.6*m.x16*m.x20 + 8.24*m.x16*m.x24 + 0.6*m.x16*m.x27 + 3.31*m.x16*m.x30 + 3.58*
                        m.x16*m.x31 + 0.13*m.x16*m.x32 + 8.87*m.x16*m.x37 + 3.06*m.x16*m.x40 + 3.68*m.x17*m.x17 + 8.41*
                        m.x17*m.x18 + 7.87*m.x17*m.x20 + 2.95*m.x17*m.x21 + 3.07*m.x17*m.x22 + 7.96*m.x17*m.x24 + 1.78*
                        m.x17*m.x25 + 4.2*m.x17*m.x26 + 4.48*m.x17*m.x27 + 8.08*m.x17*m.x28 + 7.41*m.x17*m.x29 - 4.26*
                        m.x17*m.x31 + 8.92*m.x17*m.x32 - 5.12*m.x17*m.x35 + 7.09*m.x17*m.x38 + 2.4*m.x18*m.x21 + 6.65*
                        m.x18*m.x22 + 1.18*m.x18*m.x23 + 7.71*m.x18*m.x28 + 1.69*m.x18*m.x31 + 4.41*m.x18*m.x32 + 9.19*
                        m.x18*m.x33 + 6.09*m.x18*m.x35 + 7.15*m.x18*m.x36 + 8.9*m.x18*m.x38 + 4.22*m.x18*m.x39 + 0.61*
                        m.x19*m.x19 + 0.14*m.x19*m.x20 + 6.5*m.x19*m.x21 + 0.97*m.x19*m.x23 - 9.03*m.x19*m.x28 + 9.02*
                        m.x19*m.x32 + 9.25*m.x19*m.x33 + 7.59*m.x19*m.x37 + 2.61*m.x19*m.x39 + 6.11*m.x19*m.x40 + 7.1*
                        m.x20*m.x20 + 5.72*m.x20*m.x21 + 6.45*m.x20*m.x23 - 0.82*m.x20*m.x24 + 6.31*m.x20*m.x25 + 6.76*
                        m.x20*m.x27 + 6.08*m.x20*m.x30 + 9.05*m.x20*m.x33 + 4.29*m.x20*m.x34 + 4.42*m.x20*m.x36 + 0.36*
                        m.x20*m.x37 + 8.92*m.x20*m.x39 + 0.49*m.x20*m.x40 + 3.54*m.x21*m.x22 + 0.52*m.x21*m.x23 + 2.58*
                        m.x21*m.x26 + 3.63*m.x21*m.x27 + 5.05*m.x21*m.x29 + 5.55*m.x21*m.x32 + 4.47*m.x21*m.x33 + 5.25*
                        m.x21*m.x34 + 7.35*m.x21*m.x40 + 3.8*m.x22*m.x24 + 5.69*m.x22*m.x25 + 9.34*m.x22*m.x27 + 3.78*
                        m.x22*m.x28 - 0.81*m.x22*m.x29 + 4.66*m.x22*m.x35 + 8.39*m.x22*m.x37 + 6.45*m.x22*m.x40 + 3.42*
                        m.x23*m.x25 + 4.05*m.x23*m.x27 + 5.58*m.x23*m.x32 + 6.27*m.x23*m.x34 + 0.16*m.x23*m.x35 + 3.95*
                        m.x23*m.x40 + 3.28*m.x24*m.x28 + 9.22*m.x24*m.x30 + 7.78*m.x24*m.x33 + 1.26*m.x24*m.x34 + 7.73*
                        m.x24*m.x37 + 8.91*m.x24*m.x40 + 4.16*m.x25*m.x25 + 5.36*m.x25*m.x26 + 0.08*m.x25*m.x27 + 5.35*
                        m.x25*m.x28 + 7.38*m.x25*m.x31 + 0.05*m.x25*m.x32 + 3.58*m.x25*m.x33 + 0.03*m.x25*m.x34 + 1.1*
                        m.x25*m.x35 + 1.67*m.x25*m.x36 - 7.04*m.x25*m.x37 + 7.16*m.x25*m.x39 + 6.12*m.x26*m.x26 - 3.57*
                        m.x26*m.x27 + 4.62*m.x26*m.x29 - 1.23*m.x26*m.x30 + 8.28*m.x26*m.x31 + 6.72*m.x26*m.x32 + 1.73*
                        m.x26*m.x33 + 0.8*m.x26*m.x35 + 2.51*m.x26*m.x40 + 6.64*m.x27*m.x27 + 7.3*m.x27*m.x30 + 8.55*
                        m.x27*m.x34 + 3.25*m.x27*m.x35 + 6.6*m.x27*m.x38 + 2.26*m.x27*m.x39 + 7.53*m.x28*m.x31 + 0.96*
                        m.x28*m.x38 + 6.98*m.x28*m.x39 + 4.24*m.x28*m.x40 + 3.75*m.x29*m.x29 + 5.07*m.x29*m.x33 + 0.97*
                        m.x29*m.x34 - 8.57*m.x29*m.x35 + 4.93*m.x29*m.x36 - 3*m.x29*m.x38 + 6.47*m.x29*m.x39 + 5.51*
                        m.x29*m.x40 + 5.58*m.x30*m.x30 - 5.56*m.x30*m.x32 + 4.26*m.x30*m.x35 + 3.69*m.x30*m.x36 + 8.22*
                        m.x30*m.x39 + 8.53*m.x31*m.x31 + 2.41*m.x31*m.x32 + 9.87*m.x31*m.x33 + m.x31*m.x34 + 0.52*m.x31*
                        m.x35 + 6.94*m.x31*m.x37 + 4.92*m.x31*m.x38 + 1.44*m.x31*m.x39 + 7.09*m.x32*m.x32 + 8.75*m.x32*
                        m.x34 + 6.02*m.x32*m.x36 + 6.46*m.x32*m.x37 + 1.04*m.x32*m.x39 - 6.75*m.x33*m.x33 - 5.16*m.x33*
                        m.x38 + 8.73*m.x33*m.x39 + 9.09*m.x33*m.x40 + 7.34*m.x34*m.x37 + 3.85*m.x34*m.x38 + 9.12*m.x34*
                        m.x39 + 4.68*m.x34*m.x40 + 9.99*m.x35*m.x38 + 4.11*m.x35*m.x40 + 5.57*m.x36*m.x36 + 7.08*m.x36*
                        m.x38 + 9.22*m.x36*m.x40 + 5.7*m.x37*m.x37 + 8.1*m.x37*m.x39 + 6.76*m.x37*m.x40 + 2.72*m.x39*
                        m.x39 + 9.56*m.x39*m.x40 >= 5870.38)

m.c25 = Constraint(expr=   0.07*m.x1 + 6.98*m.x2 + 5.81*m.x3 + 7.59*m.x4 + 5.77*m.x5 + 1.63*m.x6 + 2.06*m.x7 + 8.59*m.x8
                         + 4.16*m.x9 + 9.35*m.x10 - 0.22*m.x11 + 0.5*m.x12 + 8.95*m.x13 - 3.87*m.x14 + 7.39*m.x15
                         + 8.86*m.x16 + 4.87*m.x17 - 0.61*m.x18 + 8.44*m.x19 + 1.58*m.x20 - 0.2*m.x21 + 9.56*m.x22
                         + 1.65*m.x23 + 9.84*m.x24 - 5.58*m.x25 + 4.33*m.x26 + 0.64*m.x27 + 5.42*m.x28 + 9.03*m.x29
                         + 7.55*m.x30 + 2.54*m.x31 - 4.07*m.x32 + 7.27*m.x33 + 2.44*m.x34 + 2.39*m.x35 + 5.32*m.x36
                         + 3.21*m.x37 + 0.68*m.x38 + 3.82*m.x39 + 8.41*m.x40 >= 240.74)

m.c26 = Constraint(expr=5.19*m.x1*m.x3 + 9.77*m.x1 + 5.93*m.x3 + 2.68*m.x1*m.x4 + 4.52*m.x4 + 2.33*m.x1*m.x5 + 9.94*m.x5
                         + 6.46*m.x1*m.x8 + 5.27*m.x8 + 5.18*m.x1*m.x10 - 8.99*m.x10 + 6.48*m.x1*m.x12 + 7.44*m.x12 + 
                        4.85*m.x1*m.x15 - 0.19*m.x15 + 9.45*m.x1*m.x17 + 8.25*m.x17 + 1.88*m.x1*m.x19 + 8.11*m.x19 + 
                        2.16*m.x1*m.x23 + 4.21*m.x23 + 3.98*m.x1*m.x25 + 9.36*m.x25 + 3.52*m.x1*m.x26 + 0.85*m.x26 + 
                        6.83*m.x1*m.x27 + 5.76*m.x27 + 4.18*m.x1*m.x28 + 5.57*m.x28 + 3.21*m.x1*m.x29 + 5.99*m.x29 + 
                        1.57*m.x1*m.x30 + 1.76*m.x30 - 0.9*m.x1*m.x33 + 4.07*m.x33 + 3.19*m.x1*m.x35 - 5.74*m.x35 + 4.54
                        *m.x1*m.x36 + 6.85*m.x36 + 5.87*m.x1*m.x38 + 0.96*m.x38 + 1.8*m.x2*m.x3 - 6.51*m.x2 + 3.94*m.x2*
                        m.x5 + 9.2*m.x2*m.x6 + 7.06*m.x6 + 4.03*m.x2*m.x7 + 6.51*m.x7 + 7.86*m.x2*m.x12 - 9.35*m.x2*
                        m.x13 + 7.16*m.x13 + 4.52*m.x2*m.x14 + 1.3*m.x14 + 1.26*m.x2*m.x15 + 8.09*m.x2*m.x17 + 0.89*m.x2
                        *m.x18 + 4.45*m.x18 + 7.13*m.x2*m.x19 + 8.79*m.x2*m.x20 + 0.94*m.x20 + 8.47*m.x2*m.x21 - 4.8*
                        m.x21 + 5.14*m.x2*m.x22 + 5.74*m.x22 + 2.35*m.x2*m.x26 + 8.65*m.x2*m.x27 + 4.44*m.x2*m.x28 + 
                        6.68*m.x2*m.x30 + 9.86*m.x2*m.x31 + 8.95*m.x31 + 4.61*m.x2*m.x32 + 5.01*m.x32 + 9.77*m.x2*m.x34
                         + 0.78*m.x34 + 7.16*m.x2*m.x35 + 5.62*m.x2*m.x36 + 9.44*m.x2*m.x38 + 1.54*m.x3*m.x5 + 0.69*m.x3
                        *m.x8 + 0.03*m.x3*m.x9 + 3*m.x9 + 8.34*m.x3*m.x11 + 1.4*m.x11 + 1.43*m.x3*m.x12 + 5.39*m.x3*
                        m.x13 + 2.33*m.x3*m.x15 + 8.72*m.x3*m.x16 - 3.91*m.x16 + 3.3*m.x3*m.x17 + 1.31*m.x3*m.x18 + 1.29
                        *m.x3*m.x21 + 6.12*m.x3*m.x22 + 6.94*m.x3*m.x24 + 1.61*m.x24 + 4.45*m.x3*m.x27 + 2.12*m.x3*m.x28
                         + 6.51*m.x3*m.x29 + 8.12*m.x3*m.x30 + 7.19*m.x3*m.x32 + 9.61*m.x3*m.x33 + 4.68*m.x3*m.x35 + 
                        4.89*m.x3*m.x36 + 4.83*m.x3*m.x37 + 8.34*m.x37 + 7.57*m.x3*m.x39 + 7.09*m.x39 + 9.04*m.x4*m.x5
                         + 0.11*m.x4*m.x6 + 8.49*m.x4*m.x8 + 4.48*m.x4*m.x10 + 2.55*m.x4*m.x13 + 0.23*m.x4*m.x14 + 4.16*
                        m.x4*m.x16 + 5.4*m.x4*m.x19 + 9.97*m.x4*m.x21 + 0.36*m.x4*m.x23 + 8.1*m.x4*m.x27 - 0.16*m.x4*
                        m.x28 + 1.32*m.x4*m.x29 + 5.51*m.x4*m.x30 + 8.43*m.x4*m.x35 + 7.75*m.x4*m.x37 + 1.65*m.x5*m.x5
                         + 8.18*m.x5*m.x9 + 2.95*m.x5*m.x11 + 6.98*m.x5*m.x12 + 6.93*m.x5*m.x13 - 2.11*m.x5*m.x14 + 3.27
                        *m.x5*m.x15 + 3.41*m.x5*m.x17 + 6.38*m.x5*m.x20 + 2.34*m.x5*m.x23 + 5.18*m.x5*m.x24 + 2.52*m.x5*
                        m.x25 + 0.85*m.x5*m.x27 + 1.51*m.x5*m.x28 + 5.2*m.x5*m.x31 + 9.1*m.x5*m.x36 + 7.64*m.x5*m.x38 + 
                        2.37*m.x5*m.x39 + 3.48*m.x5*m.x40 + 1.29*m.x40 + 2.92*m.x6*m.x7 + 1.39*m.x6*m.x8 + 6.56*m.x6*
                        m.x9 + 2.86*m.x6*m.x12 + 0.67*m.x6*m.x13 + 1.37*m.x6*m.x15 + 9.72*m.x6*m.x16 + 4.26*m.x6*m.x19
                         + 4.1*m.x6*m.x21 + 4.91*m.x6*m.x22 + 2.69*m.x6*m.x30 + 8.25*m.x6*m.x33 + 4.41*m.x6*m.x35 + 7.18
                        *m.x6*m.x37 + 9.1*m.x6*m.x38 + 2.94*m.x6*m.x40 + 2.99*m.x7*m.x8 + 7.1*m.x7*m.x10 + 9.17*m.x7*
                        m.x13 + 8.03*m.x7*m.x20 + 8.26*m.x7*m.x21 + 9.63*m.x7*m.x22 - 9.69*m.x7*m.x23 + 5.2*m.x7*m.x25
                         - 8.85*m.x7*m.x26 + 4.21*m.x7*m.x28 + 0.38*m.x7*m.x31 + 4.72*m.x7*m.x32 + 3.05*m.x7*m.x33 + 
                        9.48*m.x7*m.x36 + 6.38*m.x7*m.x37 + 8.24*m.x7*m.x39 + 4.44*m.x8*m.x11 + 4.29*m.x8*m.x16 + 7.06*
                        m.x8*m.x17 + 7.97*m.x8*m.x18 + 3.81*m.x8*m.x20 + 4.92*m.x8*m.x21 + 1.04*m.x8*m.x24 + 1.98*m.x8*
                        m.x27 + 7.32*m.x8*m.x28 + 8.5*m.x8*m.x30 + 7.51*m.x8*m.x31 + 5.82*m.x8*m.x32 + 0.94*m.x8*m.x35
                         + 2.83*m.x8*m.x36 + 3.76*m.x8*m.x38 + 0.36*m.x9*m.x11 + 1.07*m.x9*m.x12 + 2.27*m.x9*m.x15 + 
                        8.92*m.x9*m.x17 + 5.92*m.x9*m.x18 - 1.52*m.x9*m.x20 + 0.04*m.x9*m.x22 + 4.09*m.x9*m.x24 + 2.59*
                        m.x9*m.x27 + 6.59*m.x9*m.x28 - 6.63*m.x9*m.x29 + 8.55*m.x9*m.x33 + 6.83*m.x9*m.x35 + 0.55*m.x9*
                        m.x36 + 4.57*m.x9*m.x38 + 2.34*m.x9*m.x39 + 4.35*m.x9*m.x40 + 3.27*m.x10*m.x13 + 9.4*m.x10*m.x14
                         + 5.02*m.x10*m.x18 + 9.2*m.x10*m.x19 + 2.16*m.x10*m.x20 + 6.88*m.x10*m.x28 + 0.75*m.x10*m.x29
                         + 9.11*m.x10*m.x31 + 0.32*m.x10*m.x33 + 6.48*m.x10*m.x34 + 9.54*m.x10*m.x36 + 7.09*m.x10*m.x38
                         + 0.93*m.x11*m.x11 + 1.11*m.x11*m.x16 + 4.81*m.x11*m.x17 + 9.31*m.x11*m.x21 - 7.96*m.x11*m.x23
                         + 3.09*m.x11*m.x24 + 7.17*m.x11*m.x26 + 9.17*m.x11*m.x27 + 3.06*m.x11*m.x32 + 6.37*m.x11*m.x33
                         + 4.47*m.x11*m.x35 + 7.67*m.x11*m.x36 + 8.72*m.x11*m.x38 + 5.02*m.x11*m.x40 + 8.07*m.x12*m.x14
                         + 10*m.x12*m.x17 - 7.69*m.x12*m.x18 + 7.93*m.x12*m.x21 - 5.41*m.x12*m.x26 + 8.4*m.x12*m.x27 + 
                        8.65*m.x12*m.x29 + 9.85*m.x12*m.x30 + 8.75*m.x12*m.x31 + 1.26*m.x12*m.x35 + 8.11*m.x12*m.x39 + 
                        8.52*m.x12*m.x40 + 0.27*m.x13*m.x13 + 8.47*m.x13*m.x14 + 8.58*m.x13*m.x18 + 8.25*m.x13*m.x21 + 
                        3.32*m.x13*m.x22 + 3.02*m.x13*m.x27 + 3*m.x13*m.x29 + 9.56*m.x13*m.x30 + 9.94*m.x13*m.x31 + 8.85
                        *m.x13*m.x33 - 5.39*m.x13*m.x34 + 5.21*m.x13*m.x35 + 4.71*m.x13*m.x40 + 4.96*m.x14*m.x15 - 7.75*
                        m.x14*m.x17 + 2.4*m.x14*m.x19 + 4.75*m.x14*m.x20 + 5.77*m.x14*m.x21 + 3.24*m.x14*m.x23 + 1.26*
                        m.x14*m.x24 + 5.99*m.x14*m.x25 + 7.67*m.x14*m.x26 + 5.6*m.x14*m.x28 + 9.59*m.x14*m.x29 - 5.77*
                        m.x14*m.x33 + 1.96*m.x14*m.x34 + 4.81*m.x14*m.x35 + 3.79*m.x14*m.x37 - 1.56*m.x14*m.x39 + 3.85*
                        m.x15*m.x16 + 9*m.x15*m.x18 + 6.12*m.x15*m.x19 + 6.04*m.x15*m.x20 + 7.89*m.x15*m.x21 + 2.6*m.x15
                        *m.x22 + 8.2*m.x15*m.x25 + 8.39*m.x15*m.x26 + 9.56*m.x15*m.x29 + 0.78*m.x15*m.x31 + 0.68*m.x15*
                        m.x32 + 1.82*m.x15*m.x37 - 3.07*m.x15*m.x39 - 0.1*m.x15*m.x40 + 9.26*m.x16*m.x16 + 7.35*m.x16*
                        m.x18 + 5.52*m.x16*m.x20 + 5.44*m.x16*m.x24 + 6.89*m.x16*m.x27 + 3.86*m.x16*m.x30 + 7.23*m.x16*
                        m.x31 + 3.12*m.x16*m.x32 + 2.27*m.x16*m.x37 + 4.37*m.x16*m.x40 + 8.32*m.x17*m.x17 + 0.39*m.x17*
                        m.x18 - 4.56*m.x17*m.x20 + 8.59*m.x17*m.x21 + 1.61*m.x17*m.x22 + m.x17*m.x24 + 4.36*m.x17*m.x25
                         + 1.73*m.x17*m.x26 + 1.67*m.x17*m.x27 + 7.2*m.x17*m.x28 - 0.95*m.x17*m.x29 + 9.47*m.x17*m.x31
                         + 0.22*m.x17*m.x32 + 7.85*m.x17*m.x35 + 5.73*m.x17*m.x38 + 9.32*m.x18*m.x21 + 7.68*m.x18*m.x22
                         + 2.86*m.x18*m.x23 + 2*m.x18*m.x28 + 8.14*m.x18*m.x31 + 1.06*m.x18*m.x32 + 3.83*m.x18*m.x33 + 
                        0.89*m.x18*m.x35 + 5.88*m.x18*m.x36 - 8.05*m.x18*m.x38 + m.x18*m.x39 + 3.61*m.x19*m.x19 + 5.72*
                        m.x19*m.x20 + 7.38*m.x19*m.x21 + 6.37*m.x19*m.x23 + 9.92*m.x19*m.x28 + 0.24*m.x19*m.x32 + 5.4*
                        m.x19*m.x33 + 3.17*m.x19*m.x37 + 2.86*m.x19*m.x39 - 4.06*m.x19*m.x40 + 8.95*m.x20*m.x20 + 1.46*
                        m.x20*m.x21 + 9.71*m.x20*m.x23 + 2.57*m.x20*m.x24 + 4.45*m.x20*m.x25 + 0.08*m.x20*m.x27 + 9.26*
                        m.x20*m.x30 + 6.99*m.x20*m.x33 + 3.27*m.x20*m.x34 + 4.84*m.x20*m.x36 + 5.23*m.x20*m.x37 + 5.65*
                        m.x20*m.x39 + 3.32*m.x20*m.x40 + 2.86*m.x21*m.x22 + 6.04*m.x21*m.x23 + 1.55*m.x21*m.x26 + 6.88*
                        m.x21*m.x27 + 3.32*m.x21*m.x29 + 0.75*m.x21*m.x32 + 6.11*m.x21*m.x33 + 4.75*m.x21*m.x34 + 4.29*
                        m.x21*m.x40 + 1.34*m.x22*m.x24 - 9.26*m.x22*m.x25 + 6.55*m.x22*m.x27 + 5.97*m.x22*m.x28 + 1.12*
                        m.x22*m.x29 + 5.67*m.x22*m.x35 - 7.35*m.x22*m.x37 + 0.05*m.x22*m.x40 + 9.51*m.x23*m.x25 + 7.35*
                        m.x23*m.x27 + 0.54*m.x23*m.x32 + 5.41*m.x23*m.x34 + 2.99*m.x23*m.x35 - 2.39*m.x23*m.x40 + 6.88*
                        m.x24*m.x28 + 0.01*m.x24*m.x30 + 2.34*m.x24*m.x33 + 0.03*m.x24*m.x34 - 9.89*m.x24*m.x37 + 9.04*
                        m.x24*m.x40 + 6.1*m.x25*m.x25 + 1.94*m.x25*m.x26 + 7.45*m.x25*m.x27 + 9.41*m.x25*m.x28 + 0.31*
                        m.x25*m.x31 - 9.75*m.x25*m.x32 + 9.64*m.x25*m.x33 + 0.3*m.x25*m.x34 + 4.48*m.x25*m.x35 + 8.84*
                        m.x25*m.x36 + 2.83*m.x25*m.x37 - 0.18*m.x25*m.x39 + 3.84*m.x26*m.x26 - 8.4*m.x26*m.x27 + 0.07*
                        m.x26*m.x29 + 9.9*m.x26*m.x30 + 7.75*m.x26*m.x31 + 7.7*m.x26*m.x32 - 7.65*m.x26*m.x33 + 2.16*
                        m.x26*m.x35 - 4.53*m.x26*m.x40 + 8.62*m.x27*m.x27 + 7.98*m.x27*m.x30 + 7.11*m.x27*m.x34 + 2.34*
                        m.x27*m.x35 + 4.48*m.x27*m.x38 - 8.67*m.x27*m.x39 + 4.33*m.x28*m.x31 - 6.45*m.x28*m.x38 + 5.01*
                        m.x28*m.x39 + 7.91*m.x28*m.x40 + 0.96*m.x29*m.x29 + 2.73*m.x29*m.x33 + 7.73*m.x29*m.x34 + 6.03*
                        m.x29*m.x35 + 6.1*m.x29*m.x36 + 7.34*m.x29*m.x38 - 5.4*m.x29*m.x39 + 3.4*m.x29*m.x40 + 1.52*
                        m.x30*m.x30 + 2.73*m.x30*m.x32 + 9.86*m.x30*m.x35 + 4.51*m.x30*m.x36 + 8.53*m.x30*m.x39 + 9.87*
                        m.x31*m.x31 + 2.08*m.x31*m.x32 - 8.28*m.x31*m.x33 + 1.16*m.x31*m.x34 + 6.72*m.x31*m.x35 + 8.38*
                        m.x31*m.x37 + 4.75*m.x31*m.x38 + 5.59*m.x31*m.x39 + 2.94*m.x32*m.x32 - 3.07*m.x32*m.x34 + 7.84*
                        m.x32*m.x36 + 5.78*m.x32*m.x37 + 0.9*m.x32*m.x39 + 7.14*m.x33*m.x33 + 4.53*m.x33*m.x38 + 5.42*
                        m.x33*m.x39 + 2.86*m.x33*m.x40 + 3.36*m.x34*m.x37 + 0.14*m.x34*m.x38 + 6.06*m.x34*m.x39 + 4.51*
                        m.x34*m.x40 + 7.57*m.x35*m.x38 + 0.01*m.x35*m.x40 + 1.56*m.x36*m.x36 + 4.64*m.x36*m.x38 + 6.18*
                        m.x36*m.x40 + 7.26*m.x37*m.x37 + 8.71*m.x37*m.x39 + 1.14*m.x37*m.x40 - 9.99*m.x39*m.x39 + 6.98*
                        m.x39*m.x40 >= 5962.674)

m.c27 = Constraint(expr=   4.2*m.x1 + 3.23*m.x2 + 4.21*m.x3 - 6.51*m.x4 + 7.74*m.x5 + 9.92*m.x6 + 4.77*m.x7 + 2.09*m.x8
                         + 1.47*m.x9 + 4.77*m.x10 + 0.86*m.x11 + 1.71*m.x12 + 5.68*m.x13 + 6.81*m.x14 + 3.67*m.x15
                         + 4.16*m.x16 + 0.64*m.x17 - 7.84*m.x18 + 1.51*m.x19 + 4.44*m.x20 + 4.85*m.x21 + 5.84*m.x22
                         + 1.02*m.x23 + 5.34*m.x24 - 9.39*m.x25 - 4.74*m.x26 + 4.77*m.x27 + 5.29*m.x28 + 8.61*m.x29
                         - 0.35*m.x30 + 5.01*m.x31 + 2.45*m.x32 + 7.06*m.x33 + 2.66*m.x34 + 3.72*m.x35 - 5.08*m.x36
                         + 2.61*m.x37 + 4.24*m.x38 + 8.92*m.x39 + 8.15*m.x40 >= 191.474)

m.c28 = Constraint(expr=7.92*m.x1*m.x3 + 5.91*m.x1 + 7.17*m.x3 + 3.6*m.x1*m.x4 + 6.17*m.x4 + 7.89*m.x1*m.x5 + 6.02*m.x5
                         + 5.54*m.x1*m.x8 + 2.27*m.x8 + 0.42*m.x1*m.x10 + 2.67*m.x10 + 9.74*m.x1*m.x12 + 3.63*m.x12 + 
                        1.94*m.x1*m.x15 + 2.63*m.x15 + 8.91*m.x1*m.x17 + 8.21*m.x17 + 1.63*m.x1*m.x19 + 8.85*m.x19 + 
                        8.39*m.x1*m.x23 + 5.74*m.x23 + 1.08*m.x1*m.x25 + 1.97*m.x25 + 5.19*m.x1*m.x26 + 1.94*m.x26 + 8.5
                        *m.x1*m.x27 + 4.55*m.x27 + 8.77*m.x1*m.x28 + 9.34*m.x28 + 7.96*m.x1*m.x29 + 3.78*m.x29 + 6.23*
                        m.x1*m.x30 + 1.57*m.x30 - 8.79*m.x1*m.x33 + 0.02*m.x33 + 9.84*m.x1*m.x35 + 2.17*m.x35 + 5.61*
                        m.x1*m.x36 + 2.79*m.x36 + 9.61*m.x1*m.x38 + 8.3*m.x38 + 4.22*m.x2*m.x3 + 5.02*m.x2 + 8.82*m.x2*
                        m.x5 + 3.69*m.x2*m.x6 + 3.23*m.x6 + 5.24*m.x2*m.x7 + 2.38*m.x7 + 9.91*m.x2*m.x12 + 5.89*m.x2*
                        m.x13 + 2.81*m.x13 - 1.05*m.x2*m.x14 + 6.12*m.x14 + 8.18*m.x2*m.x15 + 0.03*m.x2*m.x17 + 5.16*
                        m.x2*m.x18 + 5.15*m.x18 + 4.53*m.x2*m.x19 + 7.78*m.x2*m.x20 + 6.57*m.x20 + 9.71*m.x2*m.x21 + 
                        2.96*m.x21 - 1.91*m.x2*m.x22 + 6.01*m.x22 + 3.97*m.x2*m.x26 + 3.01*m.x2*m.x27 + 3.19*m.x2*m.x28
                         + 6.09*m.x2*m.x30 + 3.52*m.x2*m.x31 + 7.88*m.x31 + 4.06*m.x2*m.x32 - 6.38*m.x32 + 8.28*m.x2*
                        m.x34 + 3.72*m.x34 + 1.99*m.x2*m.x35 + 9.15*m.x2*m.x36 + 0.23*m.x2*m.x38 + 6.97*m.x3*m.x5 + 4.26
                        *m.x3*m.x8 + 2.49*m.x3*m.x9 + 2.35*m.x9 + 3.95*m.x3*m.x11 + 0.88*m.x11 + 2.38*m.x3*m.x12 - 0.13*
                        m.x3*m.x13 + 0.82*m.x3*m.x15 + 1.23*m.x3*m.x16 + 2.99*m.x16 + 1.93*m.x3*m.x17 + 7.87*m.x3*m.x18
                         + 3.41*m.x3*m.x21 + 8.17*m.x3*m.x22 + 6.71*m.x3*m.x24 + 8.13*m.x24 + 1.54*m.x3*m.x27 + 3.98*
                        m.x3*m.x28 + 3.89*m.x3*m.x29 - 7.18*m.x3*m.x30 + 1.95*m.x3*m.x32 + 9.58*m.x3*m.x33 + 9.58*m.x3*
                        m.x35 + 5.08*m.x3*m.x36 + 3.87*m.x3*m.x37 + 1.06*m.x37 + 5.56*m.x3*m.x39 + 6.57*m.x39 - 3.86*
                        m.x4*m.x5 + 1.59*m.x4*m.x6 + 9.57*m.x4*m.x8 + 6.9*m.x4*m.x10 + 4.4*m.x4*m.x13 + 1.75*m.x4*m.x14
                         + 8.46*m.x4*m.x16 + 5.73*m.x4*m.x19 + 5.77*m.x4*m.x21 + 5.1*m.x4*m.x23 + 3.14*m.x4*m.x27 + 5.12
                        *m.x4*m.x28 + 3.51*m.x4*m.x29 + 2.62*m.x4*m.x30 + 1.58*m.x4*m.x35 + 9.13*m.x4*m.x37 + 4.52*m.x5*
                        m.x5 + 9.89*m.x5*m.x9 + 5.63*m.x5*m.x11 + 9.09*m.x5*m.x12 + 3.65*m.x5*m.x13 + 6.51*m.x5*m.x14 + 
                        5.71*m.x5*m.x15 + 6.13*m.x5*m.x17 - 6.52*m.x5*m.x20 + 1.73*m.x5*m.x23 + 1.82*m.x5*m.x24 + 9.99*
                        m.x5*m.x25 + 8.69*m.x5*m.x27 + 6.39*m.x5*m.x28 + 0.75*m.x5*m.x31 + 4.06*m.x5*m.x36 + 0.93*m.x5*
                        m.x38 - 1.12*m.x5*m.x39 + 9.57*m.x5*m.x40 + 8.58*m.x40 - 6.64*m.x6*m.x7 + 0.88*m.x6*m.x8 + 0.66*
                        m.x6*m.x9 + 5.32*m.x6*m.x12 + 8.49*m.x6*m.x13 + 0.89*m.x6*m.x15 - 4.63*m.x6*m.x16 + 1.04*m.x6*
                        m.x19 + 6.65*m.x6*m.x21 + 2.1*m.x6*m.x22 + 4.36*m.x6*m.x30 + 7.96*m.x6*m.x33 + 4.44*m.x6*m.x35
                         + 4.83*m.x6*m.x37 + 6.1*m.x6*m.x38 + 3.98*m.x6*m.x40 + 7.77*m.x7*m.x8 + 5.12*m.x7*m.x10 - 0.44*
                        m.x7*m.x13 + 8.4*m.x7*m.x20 + 7.68*m.x7*m.x21 + 7.66*m.x7*m.x22 - 7.92*m.x7*m.x23 + 2.92*m.x7*
                        m.x25 + 9.09*m.x7*m.x26 + 4.82*m.x7*m.x28 + 1.02*m.x7*m.x31 + 8.82*m.x7*m.x32 + 5.92*m.x7*m.x33
                         - 2.05*m.x7*m.x36 + 2.25*m.x7*m.x37 + 0.49*m.x7*m.x39 + 2.29*m.x8*m.x11 + 9.46*m.x8*m.x16 + 
                        8.63*m.x8*m.x17 + 5.1*m.x8*m.x18 + 0.12*m.x8*m.x20 + 9.68*m.x8*m.x21 + 2.3*m.x8*m.x24 + 8.62*
                        m.x8*m.x27 + 2.89*m.x8*m.x28 + 1.94*m.x8*m.x30 + 7.46*m.x8*m.x31 + 8.03*m.x8*m.x32 + 5.7*m.x8*
                        m.x35 + 2.47*m.x8*m.x36 + 3.54*m.x8*m.x38 + 9.81*m.x9*m.x11 + 1.52*m.x9*m.x12 + 1.05*m.x9*m.x15
                         + 4.6*m.x9*m.x17 + 4.64*m.x9*m.x18 + 3.8*m.x9*m.x20 - 3.87*m.x9*m.x22 + 5*m.x9*m.x24 + 8.38*
                        m.x9*m.x27 + 5.17*m.x9*m.x28 + 2.67*m.x9*m.x29 + 1.32*m.x9*m.x33 + 9.35*m.x9*m.x35 + 2.55*m.x9*
                        m.x36 + 0.05*m.x9*m.x38 + 0.49*m.x9*m.x39 - 1.72*m.x9*m.x40 + 8.4*m.x10*m.x13 + 1.1*m.x10*m.x14
                         + 4.27*m.x10*m.x18 + 5.3*m.x10*m.x19 + 8.28*m.x10*m.x20 + 1.21*m.x10*m.x28 + 9.85*m.x10*m.x29
                         + 1.51*m.x10*m.x31 + 4.63*m.x10*m.x33 + 0.24*m.x10*m.x34 + 6.79*m.x10*m.x36 - 5.58*m.x10*m.x38
                         + 6.81*m.x11*m.x11 + 2.79*m.x11*m.x16 + 0.2*m.x11*m.x17 + 5.03*m.x11*m.x21 + 7.39*m.x11*m.x23
                         + 4.88*m.x11*m.x24 + 0.12*m.x11*m.x26 + 4.44*m.x11*m.x27 + 4.67*m.x11*m.x32 + 6.75*m.x11*m.x33
                         + 7.21*m.x11*m.x35 + 6.36*m.x11*m.x36 + 1.53*m.x11*m.x38 + 1.95*m.x11*m.x40 - 4.65*m.x12*m.x14
                         + 8.6*m.x12*m.x17 + 0.38*m.x12*m.x18 + 2.77*m.x12*m.x21 + 6.32*m.x12*m.x26 + 7.65*m.x12*m.x27
                         + 4.52*m.x12*m.x29 + 1.75*m.x12*m.x30 + 1.19*m.x12*m.x31 + 8.46*m.x12*m.x35 + 5.66*m.x12*m.x39
                         + 9.57*m.x12*m.x40 + 4.02*m.x13*m.x13 + 0.37*m.x13*m.x14 - 7.68*m.x13*m.x18 + 9.19*m.x13*m.x21
                         - 2.22*m.x13*m.x22 + 9.36*m.x13*m.x27 + 6.72*m.x13*m.x29 + 6.12*m.x13*m.x30 - 9.07*m.x13*m.x31
                         + 6.53*m.x13*m.x33 - 7.41*m.x13*m.x34 + 5.09*m.x13*m.x35 + 3.1*m.x13*m.x40 + 2.83*m.x14*m.x15
                         + 5.48*m.x14*m.x17 + 2.87*m.x14*m.x19 + 3.77*m.x14*m.x20 + 10*m.x14*m.x21 + 6.47*m.x14*m.x23 + 
                        7.38*m.x14*m.x24 + 3.38*m.x14*m.x25 + 7.85*m.x14*m.x26 - 0.84*m.x14*m.x28 + 3.04*m.x14*m.x29 + 
                        5.22*m.x14*m.x33 + 7.69*m.x14*m.x34 + 5.21*m.x14*m.x35 + 2.37*m.x14*m.x37 + 8.01*m.x14*m.x39 + 
                        2.09*m.x15*m.x16 + 9.93*m.x15*m.x18 + 3.85*m.x15*m.x19 + 6.54*m.x15*m.x20 + 0.83*m.x15*m.x21 + 
                        2.84*m.x15*m.x22 + 6.01*m.x15*m.x25 + 8.6*m.x15*m.x26 + 3.15*m.x15*m.x29 + 9.33*m.x15*m.x31 - 
                        7.78*m.x15*m.x32 + 8.13*m.x15*m.x37 + 6.21*m.x15*m.x39 + 8.65*m.x15*m.x40 + 5.12*m.x16*m.x16 + 
                        4.66*m.x16*m.x18 + 9.83*m.x16*m.x20 + 6.38*m.x16*m.x24 + 3.81*m.x16*m.x27 + 8.94*m.x16*m.x30 + 
                        7.45*m.x16*m.x31 + 3.29*m.x16*m.x32 + 8.64*m.x16*m.x37 + 4.88*m.x16*m.x40 - 3.37*m.x17*m.x17 + 
                        0.35*m.x17*m.x18 + 8.68*m.x17*m.x20 + 7.69*m.x17*m.x21 + 6.22*m.x17*m.x22 + 0.01*m.x17*m.x24 + 
                        8.92*m.x17*m.x25 + 8.34*m.x17*m.x26 + 8.7*m.x17*m.x27 + 3.76*m.x17*m.x28 + 8.12*m.x17*m.x29 + 
                        4.16*m.x17*m.x31 + 3.54*m.x17*m.x32 + 5.9*m.x17*m.x35 + 2.9*m.x17*m.x38 + 5.8*m.x18*m.x21 + 5.71
                        *m.x18*m.x22 + 3.59*m.x18*m.x23 + 8.11*m.x18*m.x28 + 0.38*m.x18*m.x31 + 0.95*m.x18*m.x32 + 3.15*
                        m.x18*m.x33 + 3.43*m.x18*m.x35 + 0.91*m.x18*m.x36 + 0.44*m.x18*m.x38 + 2.56*m.x18*m.x39 + 6.17*
                        m.x19*m.x19 + 1.94*m.x19*m.x20 + 1.83*m.x19*m.x21 + 0.29*m.x19*m.x23 + 0.46*m.x19*m.x28 + 1.49*
                        m.x19*m.x32 + 6.42*m.x19*m.x33 + 0.34*m.x19*m.x37 + 2.53*m.x19*m.x39 + 9.22*m.x19*m.x40 + 2.64*
                        m.x20*m.x20 + 3.47*m.x20*m.x21 + 2.35*m.x20*m.x23 + 0.79*m.x20*m.x24 + 5.83*m.x20*m.x25 + 4.83*
                        m.x20*m.x27 + 1.46*m.x20*m.x30 + 8.6*m.x20*m.x33 + 4.14*m.x20*m.x34 + 7.67*m.x20*m.x36 + 7.07*
                        m.x20*m.x37 - 8.68*m.x20*m.x39 + 0.82*m.x20*m.x40 + 3.42*m.x21*m.x22 + 2.45*m.x21*m.x23 + 3.8*
                        m.x21*m.x26 + 2.65*m.x21*m.x27 + 7.96*m.x21*m.x29 + 3.47*m.x21*m.x32 + 2.96*m.x21*m.x33 + 4.71*
                        m.x21*m.x34 + 4.19*m.x21*m.x40 + 1.52*m.x22*m.x24 + 7.02*m.x22*m.x25 + 1.32*m.x22*m.x27 + 0.78*
                        m.x22*m.x28 + 2.54*m.x22*m.x29 + 0.6*m.x22*m.x35 + 3.28*m.x22*m.x37 + 7.23*m.x22*m.x40 + 2.43*
                        m.x23*m.x25 + 0.28*m.x23*m.x27 - 1.35*m.x23*m.x32 + 5.15*m.x23*m.x34 + 8.63*m.x23*m.x35 + 8.97*
                        m.x23*m.x40 + 5.99*m.x24*m.x28 - 5.82*m.x24*m.x30 + 7.96*m.x24*m.x33 + 6.62*m.x24*m.x34 + 3.28*
                        m.x24*m.x37 + 3.95*m.x24*m.x40 + 0.73*m.x25*m.x25 + 7.1*m.x25*m.x26 + 7.24*m.x25*m.x27 + 7.74*
                        m.x25*m.x28 + 1.12*m.x25*m.x31 + 1.38*m.x25*m.x32 + 8.21*m.x25*m.x33 + 5.15*m.x25*m.x34 + 3.72*
                        m.x25*m.x35 - 6.93*m.x25*m.x36 + 7.63*m.x25*m.x37 + 6.46*m.x25*m.x39 + 6.44*m.x26*m.x26 + 3.41*
                        m.x26*m.x27 + 9.03*m.x26*m.x29 + 3.06*m.x26*m.x30 - 9.59*m.x26*m.x31 + 4.56*m.x26*m.x32 + 5.21*
                        m.x26*m.x33 + 2.45*m.x26*m.x35 + 1.2*m.x26*m.x40 + 6.38*m.x27*m.x27 + 1.74*m.x27*m.x30 + 9.6*
                        m.x27*m.x34 + 8.71*m.x27*m.x35 + 1.51*m.x27*m.x38 + 6.69*m.x27*m.x39 + 4.41*m.x28*m.x31 + 6.7*
                        m.x28*m.x38 + 9.95*m.x28*m.x39 + 6.61*m.x28*m.x40 + 5.54*m.x29*m.x29 + 1.09*m.x29*m.x33 - 5.94*
                        m.x29*m.x34 + 8.75*m.x29*m.x35 + 0.47*m.x29*m.x36 + 9.45*m.x29*m.x38 + 1.11*m.x29*m.x39 + 9.52*
                        m.x29*m.x40 + 1.74*m.x30*m.x30 + 7.62*m.x30*m.x32 + 3.93*m.x30*m.x35 + 9.25*m.x30*m.x36 + 9.53*
                        m.x30*m.x39 + 2.52*m.x31*m.x31 + 5.36*m.x31*m.x32 + 3.13*m.x31*m.x33 + 0.41*m.x31*m.x34 + 1.3*
                        m.x31*m.x35 + 0.74*m.x31*m.x37 + 8.48*m.x31*m.x38 + 2.43*m.x31*m.x39 + 6.68*m.x32*m.x32 - 7.99*
                        m.x32*m.x34 + 8.19*m.x32*m.x36 + 6.36*m.x32*m.x37 - 8.54*m.x32*m.x39 + 2.01*m.x33*m.x33 + 0.46*
                        m.x33*m.x38 + 3.26*m.x33*m.x39 + 1.76*m.x33*m.x40 + 5.33*m.x34*m.x37 + 4.77*m.x34*m.x38 + 8.24*
                        m.x34*m.x39 + 0.35*m.x34*m.x40 + 5.05*m.x35*m.x38 + 4.11*m.x35*m.x40 + 0.55*m.x36*m.x36 + 7.79*
                        m.x36*m.x38 + 5.98*m.x36*m.x40 + 3.47*m.x37*m.x37 + 9.81*m.x37*m.x39 - 3.62*m.x37*m.x40 + 0.08*
                        m.x39*m.x39 - 4.56*m.x39*m.x40 >= 5919.257)

m.c29 = Constraint(expr=   8.58*m.x1 + 6.33*m.x2 + 2.1*m.x3 + 6.76*m.x4 + 1.16*m.x5 + 2.4*m.x6 + 1.49*m.x7 + 4.37*m.x8
                         + 8.59*m.x9 + 1.7*m.x10 + 0.61*m.x11 + 0.12*m.x12 + 9.99*m.x13 + 9.08*m.x14 + 9.08*m.x15
                         + 4.82*m.x16 + 0.05*m.x17 + 2.22*m.x18 + 4.49*m.x19 + 3.4*m.x20 + 2.85*m.x21 + 5.71*m.x22
                         + 9.29*m.x23 + 7.1*m.x24 + 1.9*m.x25 + 1.45*m.x26 + 3.97*m.x27 + 1.97*m.x28 + 6.39*m.x29
                         - 5.2*m.x30 + 6.48*m.x31 - 3.59*m.x32 + 3.79*m.x33 - 9.46*m.x34 - 7.86*m.x35 + 8.05*m.x36
                         + 8.59*m.x37 + 2.59*m.x38 + 4.19*m.x39 + 9.15*m.x40 >= 223.234)

m.c30 = Constraint(expr=3.18*m.x1*m.x3 + 7.36*m.x1 + 4.73*m.x3 + 0.68*m.x1*m.x4 + 1.91*m.x4 + 6.11*m.x1*m.x5 - 0.04*m.x5
                         + 9.65*m.x1*m.x8 + 2.29*m.x8 + 6.02*m.x1*m.x10 + 2.17*m.x10 + 8.6*m.x1*m.x12 + 3.14*m.x12 + 
                        7.63*m.x1*m.x15 + 8.53*m.x15 + 6.02*m.x1*m.x17 + 3.44*m.x17 + 9.1*m.x1*m.x19 + 8.08*m.x19 + 1.09
                        *m.x1*m.x23 + 9.26*m.x23 + 6.3*m.x1*m.x25 + 0.33*m.x25 + 5.16*m.x1*m.x26 - 8.5*m.x26 + 8.31*m.x1
                        *m.x27 + 1.9*m.x27 + 3.87*m.x1*m.x28 + 0.16*m.x28 + 9.52*m.x1*m.x29 + 1.01*m.x29 + 7.91*m.x1*
                        m.x30 + 6.57*m.x30 + 8.38*m.x1*m.x33 + 0.16*m.x33 + 5.01*m.x1*m.x35 - 5.83*m.x35 + 8.44*m.x1*
                        m.x36 + 2.96*m.x36 + 1.23*m.x1*m.x38 + 1.14*m.x38 + 1.71*m.x2*m.x3 + 4.09*m.x2 + 4.05*m.x2*m.x5
                         + 9.86*m.x2*m.x6 + 6.3*m.x6 + 5.42*m.x2*m.x7 + 6.34*m.x7 + 3.42*m.x2*m.x12 + 7.31*m.x2*m.x13 + 
                        5.18*m.x13 + 4.4*m.x2*m.x14 + 9.39*m.x14 + 7.65*m.x2*m.x15 + 2.59*m.x2*m.x17 + 9.57*m.x2*m.x18
                         + 0.77*m.x18 + 0.89*m.x2*m.x19 + 1.62*m.x2*m.x20 + 1.9*m.x20 + 9.86*m.x2*m.x21 + 3.54*m.x21 + 
                        1.85*m.x2*m.x22 + 0.8*m.x22 + 7.06*m.x2*m.x26 + 3.56*m.x2*m.x27 + 1.17*m.x2*m.x28 + 5.53*m.x2*
                        m.x30 + 6.46*m.x2*m.x31 - 1.19*m.x31 + 4.49*m.x2*m.x32 + 4.08*m.x32 + 7.81*m.x2*m.x34 - 6.69*
                        m.x34 + 2.74*m.x2*m.x35 + 1.6*m.x2*m.x36 + 8.64*m.x2*m.x38 - 2.75*m.x3*m.x5 + 2.89*m.x3*m.x8 + 
                        3.37*m.x3*m.x9 + 7.47*m.x9 + 8.23*m.x3*m.x11 - 4.17*m.x11 + 3.11*m.x3*m.x12 - 5.6*m.x3*m.x13 + 
                        6.72*m.x3*m.x15 + 4.4*m.x3*m.x16 + 6.47*m.x16 - 9.01*m.x3*m.x17 + 9.74*m.x3*m.x18 + 2.56*m.x3*
                        m.x21 + 4.47*m.x3*m.x22 + 8.56*m.x3*m.x24 + 1.37*m.x24 + 8.81*m.x3*m.x27 + 5.93*m.x3*m.x28 + 5.4
                        *m.x3*m.x29 + 9.2*m.x3*m.x30 + 2.54*m.x3*m.x32 + 0.39*m.x3*m.x33 + 3.52*m.x3*m.x35 + 5.19*m.x3*
                        m.x36 + 4.74*m.x3*m.x37 + 1.06*m.x37 + 8.74*m.x3*m.x39 + 2.41*m.x39 + 0.53*m.x4*m.x5 + 1.43*m.x4
                        *m.x6 + 7.4*m.x4*m.x8 + 9.88*m.x4*m.x10 + 5.67*m.x4*m.x13 + 3.5*m.x4*m.x14 + 1.04*m.x4*m.x16 + 
                        1.98*m.x4*m.x19 + 4.24*m.x4*m.x21 + 3.91*m.x4*m.x23 + 1.3*m.x4*m.x27 + 1.94*m.x4*m.x28 + 2.35*
                        m.x4*m.x29 + 4.71*m.x4*m.x30 + 1.83*m.x4*m.x35 + 0.99*m.x4*m.x37 + 7.82*m.x5*m.x5 + 6.19*m.x5*
                        m.x9 + 3.34*m.x5*m.x11 - 6.66*m.x5*m.x12 + 7.47*m.x5*m.x13 + 2.02*m.x5*m.x14 + 9*m.x5*m.x15 + 
                        0.91*m.x5*m.x17 + 0.58*m.x5*m.x20 + 0.43*m.x5*m.x23 + 6.01*m.x5*m.x24 + 4.54*m.x5*m.x25 + 8.61*
                        m.x5*m.x27 + 1.84*m.x5*m.x28 + 3.45*m.x5*m.x31 + 7.9*m.x5*m.x36 + 1.19*m.x5*m.x38 + 2.61*m.x5*
                        m.x39 - 6.42*m.x5*m.x40 - 0.38*m.x40 + 7.74*m.x6*m.x7 + 8.31*m.x6*m.x8 + 5.08*m.x6*m.x9 + 6.33*
                        m.x6*m.x12 - 0.43*m.x6*m.x13 + 8.86*m.x6*m.x15 + 3.85*m.x6*m.x16 + 7.56*m.x6*m.x19 + 1.33*m.x6*
                        m.x21 + 5.29*m.x6*m.x22 + 8.34*m.x6*m.x30 + 0.29*m.x6*m.x33 + 0.48*m.x6*m.x35 + 4.63*m.x6*m.x37
                         + 1.57*m.x6*m.x38 + 9.57*m.x6*m.x40 + 4.52*m.x7*m.x8 + 5.7*m.x7*m.x10 + 5.21*m.x7*m.x13 + 0.73*
                        m.x7*m.x20 + 4.82*m.x7*m.x21 + 2.6*m.x7*m.x22 + 0.83*m.x7*m.x23 + 0.93*m.x7*m.x25 + 1.95*m.x7*
                        m.x26 + 4.41*m.x7*m.x28 + 7.49*m.x7*m.x31 + 7.06*m.x7*m.x32 + 6.28*m.x7*m.x33 + 1.19*m.x7*m.x36
                         + 5.51*m.x7*m.x37 + 9.78*m.x7*m.x39 - 4.93*m.x8*m.x11 + 6.2*m.x8*m.x16 + 6.48*m.x8*m.x17 + 3.95
                        *m.x8*m.x18 + 4.93*m.x8*m.x20 + 4.38*m.x8*m.x21 + 9.6*m.x8*m.x24 + 5.14*m.x8*m.x27 + 2.65*m.x8*
                        m.x28 + 7.07*m.x8*m.x30 + 4.18*m.x8*m.x31 + 2.56*m.x8*m.x32 + 9.42*m.x8*m.x35 + 2.98*m.x8*m.x36
                         + 8.44*m.x8*m.x38 + 8.13*m.x9*m.x11 + 3.49*m.x9*m.x12 + 5.44*m.x9*m.x15 + 4.56*m.x9*m.x17 + 
                        1.81*m.x9*m.x18 + 8.17*m.x9*m.x20 + 5.85*m.x9*m.x22 + 9.95*m.x9*m.x24 + 3.27*m.x9*m.x27 + 6.23*
                        m.x9*m.x28 + 3.43*m.x9*m.x29 - 4.82*m.x9*m.x33 + 9.64*m.x9*m.x35 + 0.61*m.x9*m.x36 + 1.17*m.x9*
                        m.x38 + 5.92*m.x9*m.x39 + 9.71*m.x9*m.x40 + 1.29*m.x10*m.x13 + 8.1*m.x10*m.x14 + 6.64*m.x10*
                        m.x18 + 4.22*m.x10*m.x19 + 8.48*m.x10*m.x20 + 7.71*m.x10*m.x28 + 3.23*m.x10*m.x29 + 2.47*m.x10*
                        m.x31 + 2.03*m.x10*m.x33 - 2.71*m.x10*m.x34 + 7.41*m.x10*m.x36 + 5.22*m.x10*m.x38 + 7.07*m.x11*
                        m.x11 + 6.01*m.x11*m.x16 + 5.1*m.x11*m.x17 + 3.72*m.x11*m.x21 + 5.95*m.x11*m.x23 + 7.94*m.x11*
                        m.x24 + 1.5*m.x11*m.x26 - 5.1*m.x11*m.x27 + 6.42*m.x11*m.x32 + 9.72*m.x11*m.x33 + 2.35*m.x11*
                        m.x35 + 3.97*m.x11*m.x36 + 5.98*m.x11*m.x38 + 3.19*m.x11*m.x40 + 1.5*m.x12*m.x14 + 0.28*m.x12*
                        m.x17 + 2.63*m.x12*m.x18 + 6.79*m.x12*m.x21 + 4.66*m.x12*m.x26 + 3.4*m.x12*m.x27 + 1.69*m.x12*
                        m.x29 + 7.78*m.x12*m.x30 + 9.47*m.x12*m.x31 + 2.47*m.x12*m.x35 + 9.06*m.x12*m.x39 + 0.73*m.x12*
                        m.x40 + 1.78*m.x13*m.x13 + 3.04*m.x13*m.x14 + 0.57*m.x13*m.x18 + 2.22*m.x13*m.x21 + 8.2*m.x13*
                        m.x22 + 9.86*m.x13*m.x27 + 7.65*m.x13*m.x29 + 1.87*m.x13*m.x30 + 4.85*m.x13*m.x31 + 6.06*m.x13*
                        m.x33 + 9.26*m.x13*m.x34 + 9.49*m.x13*m.x35 + 2.45*m.x13*m.x40 + 8.41*m.x14*m.x15 + 0.07*m.x14*
                        m.x17 - 8.61*m.x14*m.x19 + 7.57*m.x14*m.x20 + 9*m.x14*m.x21 + 4.83*m.x14*m.x23 + 6.22*m.x14*
                        m.x24 + 0.2*m.x14*m.x25 + 3.07*m.x14*m.x26 + 9.07*m.x14*m.x28 + 8.68*m.x14*m.x29 + 7.51*m.x14*
                        m.x33 + 3.06*m.x14*m.x34 + 6*m.x14*m.x35 + 4.01*m.x14*m.x37 + 3.9*m.x14*m.x39 + 9.04*m.x15*m.x16
                         + 9.67*m.x15*m.x18 + 0.34*m.x15*m.x19 + 7.31*m.x15*m.x20 + 5.28*m.x15*m.x21 + 4.39*m.x15*m.x22
                         + 0.64*m.x15*m.x25 + 1.73*m.x15*m.x26 + 3.06*m.x15*m.x29 + 0.4*m.x15*m.x31 + 3.7*m.x15*m.x32 + 
                        6*m.x15*m.x37 + 9.84*m.x15*m.x39 + 5.79*m.x15*m.x40 + 1.34*m.x16*m.x16 + 8.84*m.x16*m.x18 + 4.58
                        *m.x16*m.x20 + 4.62*m.x16*m.x24 - 1.92*m.x16*m.x27 + 0.17*m.x16*m.x30 + 9.32*m.x16*m.x31 + 1.4*
                        m.x16*m.x32 + 0.02*m.x16*m.x37 + 8.6*m.x16*m.x40 + 7.07*m.x17*m.x17 + 1.69*m.x17*m.x18 + 2.48*
                        m.x17*m.x20 + 5.28*m.x17*m.x21 + 5.9*m.x17*m.x22 + 9.08*m.x17*m.x24 + 0.55*m.x17*m.x25 + 3.86*
                        m.x17*m.x26 + 9.27*m.x17*m.x27 + 8.28*m.x17*m.x28 + 8.43*m.x17*m.x29 + 6.87*m.x17*m.x31 + 2.66*
                        m.x17*m.x32 + 4.59*m.x17*m.x35 + 7.97*m.x17*m.x38 + 8.18*m.x18*m.x21 + 6.4*m.x18*m.x22 + 9.57*
                        m.x18*m.x23 - 9.64*m.x18*m.x28 + 1.84*m.x18*m.x31 + 4.79*m.x18*m.x32 + 2.88*m.x18*m.x33 - 9.77*
                        m.x18*m.x35 + 7.1*m.x18*m.x36 + 1.44*m.x18*m.x38 + 0.54*m.x18*m.x39 + 4.03*m.x19*m.x19 + 9.69*
                        m.x19*m.x20 + 0.87*m.x19*m.x21 + 9.28*m.x19*m.x23 + 7.14*m.x19*m.x28 + 9.39*m.x19*m.x32 + 6.38*
                        m.x19*m.x33 + 7.21*m.x19*m.x37 + 8.85*m.x19*m.x39 - 3.76*m.x19*m.x40 + 4.13*m.x20*m.x20 + 0.78*
                        m.x20*m.x21 + 6.19*m.x20*m.x23 + 8.27*m.x20*m.x24 + 3.47*m.x20*m.x25 + 7.88*m.x20*m.x27 + 1.91*
                        m.x20*m.x30 + 2.5*m.x20*m.x33 - 3.63*m.x20*m.x34 + 7.31*m.x20*m.x36 + 9.24*m.x20*m.x37 + 2.72*
                        m.x20*m.x39 + 6.45*m.x20*m.x40 + 4.38*m.x21*m.x22 + 2.84*m.x21*m.x23 + 0.68*m.x21*m.x26 - 5.6*
                        m.x21*m.x27 - 2.92*m.x21*m.x29 + 6.05*m.x21*m.x32 + 8.65*m.x21*m.x33 + 1.82*m.x21*m.x34 + 3.33*
                        m.x21*m.x40 + 4.34*m.x22*m.x24 + 0.69*m.x22*m.x25 + 4.63*m.x22*m.x27 + 7.1*m.x22*m.x28 + 5.07*
                        m.x22*m.x29 - 0.22*m.x22*m.x35 + 0.08*m.x22*m.x37 + 7.38*m.x22*m.x40 + 3.42*m.x23*m.x25 + 3.77*
                        m.x23*m.x27 + 4.95*m.x23*m.x32 + 5.98*m.x23*m.x34 + 4.68*m.x23*m.x35 + 1.06*m.x23*m.x40 + 7*
                        m.x24*m.x28 + 6.48*m.x24*m.x30 + 2.66*m.x24*m.x33 + 1.25*m.x24*m.x34 + 1.65*m.x24*m.x37 + 3.63*
                        m.x24*m.x40 + 4.47*m.x25*m.x25 + 5.52*m.x25*m.x26 + 4.82*m.x25*m.x27 + 9.09*m.x25*m.x28 - 1.45*
                        m.x25*m.x31 - 5.81*m.x25*m.x32 + 1.98*m.x25*m.x33 + 3.25*m.x25*m.x34 + 6.45*m.x25*m.x35 - 9.91*
                        m.x25*m.x36 + 3.56*m.x25*m.x37 - 3.47*m.x25*m.x39 + 7.26*m.x26*m.x26 + 2.72*m.x26*m.x27 + 6.54*
                        m.x26*m.x29 + 8.46*m.x26*m.x30 + 6.34*m.x26*m.x31 + 3.79*m.x26*m.x32 + 2.25*m.x26*m.x33 + 8.93*
                        m.x26*m.x35 + 6.85*m.x26*m.x40 + 1.11*m.x27*m.x27 + 0.57*m.x27*m.x30 + 4.54*m.x27*m.x34 + 4.8*
                        m.x27*m.x35 + 1.16*m.x27*m.x38 + 0.16*m.x27*m.x39 + 7.04*m.x28*m.x31 + 7.58*m.x28*m.x38 - 5.19*
                        m.x28*m.x39 + 5.18*m.x28*m.x40 + 9.69*m.x29*m.x29 + 8.67*m.x29*m.x33 + 1.76*m.x29*m.x34 + 8.06*
                        m.x29*m.x35 + 2.92*m.x29*m.x36 + 8.61*m.x29*m.x38 + 5.54*m.x29*m.x39 - 8.64*m.x29*m.x40 + 6.25*
                        m.x30*m.x30 + 2.24*m.x30*m.x32 + 2.32*m.x30*m.x35 + 9.49*m.x30*m.x36 + 6.46*m.x30*m.x39 + 2.16*
                        m.x31*m.x31 + 0.33*m.x31*m.x32 + 7.56*m.x31*m.x33 + 1.99*m.x31*m.x34 + 8.48*m.x31*m.x35 + 7.76*
                        m.x31*m.x37 + 1.98*m.x31*m.x38 + 3.6*m.x31*m.x39 - 4.77*m.x32*m.x32 + 6.56*m.x32*m.x34 + 8.19*
                        m.x32*m.x36 + 1.32*m.x32*m.x37 + 0.32*m.x32*m.x39 + 2.48*m.x33*m.x33 + 8.31*m.x33*m.x38 + 7.57*
                        m.x33*m.x39 + 8.57*m.x33*m.x40 + 1.35*m.x34*m.x37 - 7.68*m.x34*m.x38 + 6.59*m.x34*m.x39 + 1.87*
                        m.x34*m.x40 + 1.63*m.x35*m.x38 + 7.78*m.x35*m.x40 + 0.12*m.x36*m.x36 + 2.46*m.x36*m.x38 + 3.17*
                        m.x36*m.x40 + 5.28*m.x37*m.x37 + 9.28*m.x37*m.x39 + 9.68*m.x37*m.x40 + 2.29*m.x39*m.x39 + 7.44*
                        m.x39*m.x40 >= 6171.267)
