#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       91       30        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.99,2.14),initialize=0.99)
m.x2 = Var(within=Reals,bounds=(0.83,2.69),initialize=0.83)
m.x3 = Var(within=Reals,bounds=(0.89,2.74),initialize=0.89)
m.x4 = Var(within=Reals,bounds=(0.21,2.93),initialize=0.21)
m.x5 = Var(within=Reals,bounds=(0.34,2.95),initialize=0.34)
m.x6 = Var(within=Reals,bounds=(0.58,2.73),initialize=0.58)
m.x7 = Var(within=Reals,bounds=(0.39,2.79),initialize=0.39)
m.x8 = Var(within=Reals,bounds=(0.88,2.81),initialize=0.88)
m.x9 = Var(within=Reals,bounds=(0.83,2.57),initialize=0.83)
m.x10 = Var(within=Reals,bounds=(0.77,2.99),initialize=0.77)
m.x11 = Var(within=Reals,bounds=(0.32,2.53),initialize=0.32)
m.x12 = Var(within=Reals,bounds=(0.27,2.39),initialize=0.27)

m.obj = Objective(expr=4.56*m.x1*m.x1*m.x7*m.x11 + 3.77*m.x1 + 0.33*m.x7 + 2.35*m.x11 + 9.5*m.x1*m.x4*m.x9*m.x12 + 4.58*
                       m.x4 + 1.79*m.x9 - 3.42*m.x12 + 4.83*m.x1*m.x10*m.x10*m.x12 + 5.14*m.x10 + 9.8*m.x3*m.x3*m.x11*
                       m.x12 + 7.66*m.x3 + 9*m.x1*m.x5*m.x7*m.x8*m.x9 + 8.9*m.x5 - 5.06*m.x8 + 9.99*m.x2*m.x4*m.x9*m.x10
                       *m.x11 + 4.41*m.x2 + 4.43*m.x6, sense=minimize)

m.c1 = Constraint(expr=   6.47*m.x1 + 0.79*m.x2 + 1.65*m.x3 + 2.62*m.x4 + 4.54*m.x5 - 6.27*m.x6 + 3.5*m.x7 + 7.03*m.x8
                        + 3.34*m.x9 + 3.21*m.x10 + 1.83*m.x11 + 4.64*m.x12 == 54.743)

m.c2 = Constraint(expr=   0.94*m.x1 + 1.24*m.x2 + 4.4*m.x3 - 5.02*m.x4 + 4.84*m.x5 + 5.56*m.x6 + 2.65*m.x7 + 5.88*m.x8
                        + 8.79*m.x9 + 7.13*m.x10 + 4.71*m.x11 + 3.57*m.x12 == 75.791)

m.c3 = Constraint(expr=   6.01*m.x1 + 3.31*m.x2 + 5.89*m.x3 + 2.77*m.x4 + 8.08*m.x5 + 6.85*m.x6 + 5.4*m.x7 + 9.71*m.x8
                        + 3.88*m.x9 + 0.55*m.x10 + 6.18*m.x11 + 3.53*m.x12 == 102.531)

m.c4 = Constraint(expr=   8.26*m.x1 - 7.91*m.x2 + 4.43*m.x3 - 2.86*m.x4 + 9.32*m.x5 + 8.51*m.x6 + 1.5*m.x7 + 9.34*m.x8
                        + 7.26*m.x9 + 7.45*m.x10 + 6.48*m.x11 + 8.4*m.x12 >= 98.342)

m.c5 = Constraint(expr=   6.76*m.x1 + 0.15*m.x2 + 7.14*m.x3 + 9.52*m.x4 - 8.13*m.x5 + 4.94*m.x6 + 9.61*m.x7 + 9.82*m.x8
                        - 3.06*m.x9 + 5.37*m.x10 + 9.81*m.x11 + 7.08*m.x12 >= 95.238)

m.c6 = Constraint(expr=   1.76*m.x1 + 3.89*m.x2 + 6.17*m.x3 + 4.04*m.x4 + 1.21*m.x5 + 6.75*m.x6 + 3.55*m.x7 + 3.82*m.x8
                        + 4.81*m.x9 + 0.06*m.x10 + 8.41*m.x11 + 6.76*m.x12 >= 82.261)

m.c7 = Constraint(expr=2.45*m.x1*m.x1*m.x7*m.x11 + 3.14*m.x1 - 4.66*m.x7 + 1.44*m.x11 + 5.46*m.x1*m.x4*m.x9*m.x12 + 8.4*
                       m.x4 - 5.94*m.x9 + 2.65*m.x12 + 5.64*m.x1*m.x10*m.x10*m.x12 + 6.33*m.x10 + 1.87*m.x3*m.x3*m.x11*
                       m.x12 + 5.34*m.x3 + 7.23*m.x2 + 6.04*m.x5 + 7.61*m.x6 + 8.71*m.x8 >= 396.008)

m.c8 = Constraint(expr=7.97*m.x1*m.x1*m.x7*m.x11 - 8.14*m.x1 + 0.65*m.x7 + 5.23*m.x11 + 8.67*m.x1*m.x4*m.x9*m.x12 + 7.78
                       *m.x4 + 5.93*m.x9 + 0.66*m.x12 + 3.89*m.x1*m.x10*m.x10*m.x12 + 8.84*m.x10 + 3.63*m.x3*m.x3*m.x11*
                       m.x12 + 3.58*m.x3 + 9.45*m.x1*m.x5*m.x7*m.x8*m.x9 + 5.63*m.x5 + 5.75*m.x8 + 0.44*m.x2*m.x4*m.x9*
                       m.x10*m.x11 + 6.39*m.x2 + 3.46*m.x6 >= 1182.287)

m.c9 = Constraint(expr=   7.85*m.x1 + 0.05*m.x2 + 8.9*m.x3 + 1.61*m.x4 + 0.65*m.x5 + 8.81*m.x6 + 9*m.x7 + 9.53*m.x8
                        + 7.13*m.x9 + 2.84*m.x10 + 1.15*m.x11 + 2.51*m.x12 >= 101.034)
