#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       76       45        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.8,2.84),initialize=0.8)
m.x2 = Var(within=Reals,bounds=(0.65,2.13),initialize=0.65)
m.x3 = Var(within=Reals,bounds=(0.39,2.55),initialize=0.39)
m.x4 = Var(within=Reals,bounds=(0.81,2.64),initialize=0.81)
m.x5 = Var(within=Reals,bounds=(0.49,2.69),initialize=0.49)
m.x6 = Var(within=Reals,bounds=(0.02,2.01),initialize=0.02)
m.x7 = Var(within=Reals,bounds=(0.44,2.37),initialize=0.44)
m.x8 = Var(within=Reals,bounds=(0.19,2.51),initialize=0.19)
m.x9 = Var(within=Reals,bounds=(0.06,2.87),initialize=0.06)
m.x10 = Var(within=Reals,bounds=(0.73,2.57),initialize=0.73)
m.x11 = Var(within=Reals,bounds=(0.49,2.73),initialize=0.49)
m.x12 = Var(within=Reals,bounds=(0.53,2.5),initialize=0.53)

m.obj = Objective(expr=5.64*m.x1*m.x1*m.x2 - 8.23*m.x1 + 2.01*m.x2 + 5.74*m.x1*m.x5*m.x5 + 0.76*m.x5 + 9.05*m.x6*m.x7*
                       m.x7 + 7.65*m.x6 + 1.42*m.x7 - 7.51*m.x7*m.x10*m.x11 + 8.99*m.x10 + 0.91*m.x11 + 2.52*m.x9*m.x12*
                       m.x12 + 6.63*m.x9 + 0.41*m.x12 + 4.67*m.x2*m.x5*m.x7*m.x11 + 3.86*m.x2*m.x7*m.x9*m.x10 - 3.95*
                       m.x3*m.x4*m.x4*m.x4 + 8.34*m.x3 + 8.75*m.x4 + 2.62*m.x5*m.x8*m.x8*m.x12 + 5.22*m.x8 + 0.51*m.x1*
                       m.x1*m.x3*m.x4*m.x7 - 7.88*m.x1*m.x1*m.x4*m.x7*m.x8 + 0.47*m.x1*m.x2*m.x3*m.x4*m.x5 + 3.8*m.x1*
                       m.x6*m.x8*m.x9*m.x9 + 3.26*m.x1*m.x7*m.x7*m.x7*m.x8 + 3.21*m.x1*m.x8*m.x9*m.x11*m.x12 + 6.54*m.x1
                       *m.x10*m.x10*m.x12*m.x12 + 4.62*m.x2*m.x2*m.x6*m.x7*m.x10 + 1.6*m.x2*m.x3*m.x5*m.x6*m.x9 + 2.86*
                       m.x2*m.x4*m.x6*m.x9*m.x10 + 1.9*m.x2*m.x6*m.x8*m.x8*m.x8 + 8.76*m.x2*m.x6*m.x8*m.x8*m.x12 + 2.67*
                       m.x3*m.x3*m.x3*m.x5*m.x9 + 8.19*m.x3*m.x4*m.x4*m.x5*m.x5 + 4.41*m.x3*m.x4*m.x4*m.x5*m.x12 + 5.65*
                       m.x3*m.x7*m.x7*m.x8*m.x9 - 7.99*m.x4*m.x4*m.x6*m.x7*m.x7 + 2.81*m.x4*m.x4*m.x11*m.x11*m.x11 + 
                       4.21*m.x4*m.x5*m.x7*m.x7*m.x8 + 7.39*m.x5*m.x5*m.x5*m.x5*m.x9 + 5.73*m.x5*m.x7*m.x7*m.x7*m.x12 + 
                       2.51*m.x6*m.x7*m.x9*m.x9*m.x9, sense=minimize)

m.c1 = Constraint(expr=   2.32*m.x1 + 9.84*m.x2 - 9.19*m.x3 + 4.4*m.x4 + 1.59*m.x5 + 4.54*m.x6 + 2.55*m.x7 + 4.76*m.x8
                        + 6.96*m.x9 + 6.44*m.x10 - 7.23*m.x11 + 7.09*m.x12 == 49.049)

m.c2 = Constraint(expr=   0.98*m.x1 + 0.26*m.x2 + 5.38*m.x3 + 7.85*m.x4 + 3.27*m.x5 + 3.81*m.x6 + 2.69*m.x7 + 3.25*m.x8
                        + 8.83*m.x9 - 8.79*m.x10 + 3.75*m.x11 + 9.54*m.x12 == 59.751)

m.c3 = Constraint(expr=   8.86*m.x1 + 0.72*m.x2 + 8.76*m.x3 + 5.7*m.x4 + 3.4*m.x5 + 7.32*m.x6 + 7.32*m.x7 + 9.45*m.x8
                        - 6.66*m.x9 + 3.62*m.x10 + 7.77*m.x11 + 4.4*m.x12 == 91.105)

m.c4 = Constraint(expr= - 3.65*m.x1 + 7.46*m.x2 + 9.06*m.x3 + 3.45*m.x4 + 1.09*m.x5 + 7.34*m.x6 + 5.55*m.x7 + 2.4*m.x8
                        + 0.25*m.x9 + 2.41*m.x10 + 1.1*m.x11 + 9.38*m.x12 >= 63.541)

m.c5 = Constraint(expr=   4.81*m.x1 + 9.92*m.x2 + 8.29*m.x3 + 2.93*m.x4 + 0.31*m.x5 + 6.39*m.x6 + 5.48*m.x7 + 6.21*m.x8
                        + 6.07*m.x9 + 4.8*m.x10 + 1.85*m.x11 + 2.29*m.x12 >= 86.106)

m.c6 = Constraint(expr=2.34*m.x1*m.x1*m.x2 + 3.34*m.x1 + 8.1*m.x2 + 4.23*m.x1*m.x5*m.x5 + 9.74*m.x5 + 9.07*m.x6*m.x7*
                       m.x7 + 8.93*m.x6 + 7.02*m.x7 + 8.84*m.x7*m.x10*m.x11 + 5.58*m.x10 + 1.18*m.x11 + 2.77*m.x9*m.x12*
                       m.x12 + 9.88*m.x9 + 4.65*m.x12 + 8.71*m.x3 + 5.8*m.x4 + 0.75*m.x8 >= 322.932)

m.c7 = Constraint(expr=7.42*m.x1 - 8.13*m.x1*m.x1*m.x2 - 8.34*m.x2 + 4.71*m.x1*m.x5*m.x5 + 8.78*m.x5 - 4.77*m.x6*m.x7*
                       m.x7 + 8.97*m.x6 + 8.59*m.x7 + 7.81*m.x7*m.x10*m.x11 + 2.03*m.x10 + 6.72*m.x11 - 8.88*m.x9*m.x12*
                       m.x12 + 4.02*m.x9 + 6.3*m.x12 + 1.65*m.x2*m.x5*m.x7*m.x11 - 7.32*m.x2*m.x7*m.x9*m.x10 + 0.26*m.x3
                       *m.x4*m.x4*m.x4 - 5.13*m.x3 + 3.33*m.x4 + 6.51*m.x5*m.x8*m.x8*m.x12 + 8.36*m.x8 >= 50.737)

m.c8 = Constraint(expr=1.87*m.x1*m.x1*m.x2 + 2.46*m.x1 + 6.17*m.x2 - 6.4*m.x1*m.x5*m.x5 + 5.48*m.x5 + 1.76*m.x6*m.x7*
                       m.x7 + 4.42*m.x6 - 0.88*m.x7 + 8.2*m.x7*m.x10*m.x11 + 6.83*m.x10 + 4.32*m.x11 + 7.33*m.x9*m.x12*
                       m.x12 + 7.87*m.x9 + 0.05*m.x12 + 7.28*m.x2*m.x5*m.x7*m.x11 + 8.84*m.x2*m.x7*m.x9*m.x10 + 9.92*
                       m.x3*m.x4*m.x4*m.x4 + 8.31*m.x3 + 9.77*m.x4 + 0.54*m.x5*m.x8*m.x8*m.x12 + 8.08*m.x8 + 3.79*m.x1*
                       m.x1*m.x3*m.x4*m.x7 + 5.62*m.x1*m.x1*m.x4*m.x7*m.x8 + 4.69*m.x1*m.x2*m.x3*m.x4*m.x5 + 9.2*m.x1*
                       m.x6*m.x8*m.x9*m.x9 + 5.83*m.x1*m.x7*m.x7*m.x7*m.x8 + 4.68*m.x1*m.x8*m.x9*m.x11*m.x12 + 7.6*m.x1*
                       m.x10*m.x10*m.x12*m.x12 + 3.78*m.x2*m.x2*m.x6*m.x7*m.x10 + 0.47*m.x2*m.x3*m.x5*m.x6*m.x9 + 5.62*
                       m.x2*m.x4*m.x6*m.x9*m.x10 + 9.03*m.x2*m.x6*m.x8*m.x8*m.x8 + 5.04*m.x2*m.x6*m.x8*m.x8*m.x12 + 9.78
                       *m.x3*m.x3*m.x3*m.x5*m.x9 + 5.65*m.x3*m.x4*m.x4*m.x5*m.x5 + 0.65*m.x3*m.x4*m.x4*m.x5*m.x12 + 7.77
                       *m.x3*m.x7*m.x7*m.x8*m.x9 + 4.96*m.x4*m.x4*m.x6*m.x7*m.x7 + 6.57*m.x4*m.x4*m.x11*m.x11*m.x11 + 
                       7.66*m.x4*m.x5*m.x7*m.x7*m.x8 + 0.9*m.x5*m.x5*m.x5*m.x5*m.x9 + 6.68*m.x5*m.x7*m.x7*m.x7*m.x12 + 
                       7.87*m.x6*m.x7*m.x9*m.x9*m.x9 >= 7302.306)

m.c9 = Constraint(expr=   7.21*m.x1 + 3.74*m.x2 + 1.67*m.x3 + 6.2*m.x4 + 3.2*m.x5 - 8.55*m.x6 + 5.58*m.x7 + 0.99*m.x8
                        + 7.21*m.x9 + 9.31*m.x10 + 2.11*m.x11 + 6.39*m.x12 >= 76.059)
