#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         19       19        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         19       19        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         71       51       20        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x2 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x3 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x4 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x5 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x6 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x7 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x8 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x9 = Var(within=Reals,bounds=(-5,5),initialize=-3)
m.x10 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x11 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x12 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x13 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x14 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x15 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x16 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x17 = Var(within=Reals,bounds=(-10,10),initialize=0)
m.x18 = Var(within=Reals,bounds=(-8,8),initialize=1)
m.x19 = Var(within=Reals,bounds=(-8,8),initialize=1)

m.obj = Objective(expr=m.x13**2 + m.x17**2, sense=maximize)

m.c1 = Constraint(expr=-(0.1*(m.x3**2 - 2*m.x3) - 3.2247*m.x3) - 4.1394*m.x2 + 1.1678*m.x4 - 0.2532*m.x5 - 0.1*m.x18
                        == 0)

m.c2 = Constraint(expr=-(0.1*(m.x4**2 - 2*m.x4) - 0.7753*m.x4) + 1.7394*m.x2 - 3.5678*m.x3 + 1.0532*m.x5 - 0.1*m.x18
                        == 0)

m.c3 = Constraint(expr=-(0.1*(m.x5**2 - 2*m.x5) - 5*m.x5) - 3*m.x2 + 5.532*m.x3 - 7.532*m.x4 - 0.1*m.x18 == 0)

m.c4 = Constraint(expr=-(0.1*(m.x7**2 - 2*m.x7) - 3.2247*m.x7) - 4.1394*m.x6 + 1.1678*m.x8 - 0.2532*m.x9 - 0.1*m.x19
                        == 0)

m.c5 = Constraint(expr=-(0.1*(m.x8**2 - 2*m.x8) - 0.7753*m.x8) + 1.7394*m.x6 - 3.5678*m.x7 + 1.0532*m.x9 - 0.1*m.x19
                        == 0)

m.c6 = Constraint(expr=-(0.1*(m.x9**2 - 2*m.x9) - 5*m.x9) - 3*m.x6 + 5.532*m.x7 - 7.532*m.x8 - 0.1*m.x19 == 0)

m.c7 = Constraint(expr=-(0.1*(-(2 - 2*m.x3)*m.x11 - m.x3) - 3.2247*m.x11) - 4.1394*m.x10 + 1.1678*m.x12 - 0.2532*m.x13
                        == 0)

m.c8 = Constraint(expr=-(0.1*(-(2 - 2*m.x4)*m.x12 - m.x4) - 0.7753*m.x12) + 1.7394*m.x10 - 3.5678*m.x11 + 1.0532*m.x13
                        == 0)

m.c9 = Constraint(expr=-(0.1*(-(2 - 2*m.x5)*m.x13 - m.x5) - 5*m.x13) - 3*m.x10 + 5.532*m.x11 - 7.532*m.x12 == 0)

m.c10 = Constraint(expr=-(0.1*(-(2 - 2*m.x7)*m.x15 - m.x7) - 3.2247*m.x15) - 4.1394*m.x14 + 1.1678*m.x16 - 0.2532*m.x17
                         == 0)

m.c11 = Constraint(expr=-(0.1*(-(2 - 2*m.x8)*m.x16 - m.x8) - 0.7753*m.x16) + 1.7394*m.x14 - 3.5678*m.x15 + 1.0532*m.x17
                         == 0)

m.c12 = Constraint(expr=-(0.1*(-(2 - 2*m.x9)*m.x17 - m.x9) - 5*m.x17) - 3*m.x14 + 5.532*m.x15 - 7.532*m.x16 == 0)

m.c13 = Constraint(expr= - m.x2 == 4)

m.c14 = Constraint(expr= - m.x10 == 0)

m.c15 = Constraint(expr= - m.x5 + m.x6 == 0)

m.c16 = Constraint(expr= - m.x9 == 0)

m.c17 = Constraint(expr= - m.x13 + m.x14 == 0)

m.c18 = Constraint(expr= - m.x17 == 0)
