#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         17        1       16        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         15       15        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        239      133      106        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.46,2.08),initialize=0.46)
m.x2 = Var(within=Reals,bounds=(0.6,2.89),initialize=0.6)
m.x3 = Var(within=Reals,bounds=(0.12,2.49),initialize=0.12)
m.x4 = Var(within=Reals,bounds=(0.67,2.34),initialize=0.67)
m.x5 = Var(within=Reals,bounds=(0.83,2.93),initialize=0.83)
m.x6 = Var(within=Reals,bounds=(0.53,2.71),initialize=0.53)
m.x7 = Var(within=Reals,bounds=(0.67,2.26),initialize=0.67)
m.x8 = Var(within=Reals,bounds=(0.69,2.47),initialize=0.69)
m.x9 = Var(within=Reals,bounds=(0.57,2.26),initialize=0.57)
m.x10 = Var(within=Reals,bounds=(0.71,2.73),initialize=0.71)
m.x11 = Var(within=Reals,bounds=(0.38,2.46),initialize=0.38)
m.x12 = Var(within=Reals,bounds=(0.36,2.85),initialize=0.36)
m.x13 = Var(within=Reals,bounds=(0.54,2.24),initialize=0.54)
m.x14 = Var(within=Reals,bounds=(0.74,2.13),initialize=0.74)

m.obj = Objective(expr=4.26*m.x3*m.x11 + 0.44*m.x3 + 2.14*m.x11 + 8.19*m.x1*m.x11*m.x14 + 4.41*m.x1 + 5.95*m.x14 - 8.84*
                       m.x6*m.x8*m.x12 + 0.31*m.x6 + 6.53*m.x8 + 0.04*m.x12 + 8.3*m.x1*m.x1*m.x6*m.x11 + 6.55*m.x1*m.x8*
                       m.x11*m.x12 + 7.33*m.x2*m.x5*m.x5*m.x14 + 5.15*m.x2 + 5.62*m.x5 + 2.8*m.x2*m.x5*m.x6*m.x8 + 9.75*
                       m.x2*m.x6*m.x8*m.x8 - 8.7*m.x2*m.x6*m.x9*m.x11 + 2.64*m.x9 + 1.75*m.x2*m.x9*m.x9*m.x12 + 7.53*
                       m.x2*m.x9*m.x11*m.x11 + 2.7*m.x3*m.x3*m.x6*m.x14 + 1.07*m.x3*m.x9*m.x9*m.x11 - 4.11*m.x3*m.x10*
                       m.x11*m.x13 + 4.55*m.x10 + 4.62*m.x13 + 2.13*m.x4*m.x4*m.x4*m.x12 + 9.89*m.x4 + 4.91*m.x4*m.x4*
                       m.x13*m.x14 + 4.88*m.x4*m.x7*m.x8*m.x12 + 2.19*m.x7 + 7.25*m.x4*m.x7*m.x9*m.x14 + 9.65*m.x4*m.x8*
                       m.x11*m.x14 + 1.89*m.x4*m.x8*m.x13*m.x13 + 3.63*m.x4*m.x12*m.x12*m.x12 + 7.15*m.x4*m.x13*m.x13*
                       m.x14 + 4.11*m.x5*m.x5*m.x11*m.x13 + 0.56*m.x5*m.x7*m.x11*m.x14 + 5.81*m.x5*m.x10*m.x12*m.x14 + 
                       7.24*m.x6*m.x6*m.x6*m.x13 + 8.83*m.x6*m.x7*m.x13*m.x13 + 4.1*m.x6*m.x13*m.x13*m.x14 + 8.85*m.x8*
                       m.x13*m.x14*m.x14 + 3.87*m.x10*m.x11*m.x13*m.x13, sense=minimize)

m.c1 = Constraint(expr=   6.03*m.x1 + 8.08*m.x2 + 4.32*m.x3 + 3.06*m.x4 + 7.62*m.x5 + 7.88*m.x6 + 4.37*m.x7 + 8.55*m.x8
                        + 7.26*m.x9 + 7.28*m.x10 + 9.4*m.x11 + 1.03*m.x12 + 3.73*m.x13 + 8.37*m.x14 >= 167.201)

m.c2 = Constraint(expr=2.22*m.x3*m.x11 + 5.45*m.x3 + 2.8*m.x11 + 7.06*m.x1 + 8.66*m.x2 + 2.68*m.x4 + 2.38*m.x5
                        + 8.79*m.x6 + 6.32*m.x7 + 3.55*m.x8 - 9.27*m.x9 - 1.03*m.x10 + 9.76*m.x12 + 3.2*m.x13
                        + 1.45*m.x14 >= 118.539)

m.c3 = Constraint(expr=7.14*m.x3*m.x11 + 8.14*m.x3 + 4.39*m.x11 + 7.1*m.x1*m.x11*m.x14 + 0.45*m.x1 + 8.7*m.x14 + 0.59*
                       m.x6*m.x8*m.x12 + 6.66*m.x6 + 2.17*m.x8 + 4.09*m.x12 + 5.11*m.x2 + 2.33*m.x4 + 1.21*m.x5
                        + 7.93*m.x7 + 1.48*m.x9 + 6.65*m.x10 + 3.17*m.x13 >= 212.381)

m.c4 = Constraint(expr=3.99*m.x3*m.x11 + 1.43*m.x3 + 7.28*m.x11 + 4.34*m.x1*m.x11*m.x14 + 0.22*m.x1 + 7.06*m.x14 + 7.42*
                       m.x6*m.x8*m.x12 + 4.28*m.x6 + 9.58*m.x8 + 8*m.x12 + 1.41*m.x1*m.x1*m.x6*m.x11 + 0.33*m.x1*m.x8*
                       m.x11*m.x12 + 6.69*m.x2*m.x5*m.x5*m.x14 + 2.3*m.x2 + 2.59*m.x5 + 3.4*m.x2*m.x5*m.x6*m.x8 + 1.96*
                       m.x2*m.x6*m.x8*m.x8 + 4.94*m.x2*m.x6*m.x9*m.x11 + 2.62*m.x9 + 1.07*m.x2*m.x9*m.x9*m.x12 - 1.14*
                       m.x2*m.x9*m.x11*m.x11 + 4.64*m.x3*m.x3*m.x6*m.x14 + 1.35*m.x3*m.x9*m.x9*m.x11 - 0.03*m.x3*m.x10*
                       m.x11*m.x13 + 8.79*m.x10 + 5.24*m.x13 + 9.96*m.x4*m.x4*m.x4*m.x12 + 1.5*m.x4 - 0.48*m.x4*m.x4*
                       m.x13*m.x14 + 1.33*m.x4*m.x7*m.x8*m.x12 - 4.37*m.x7 + 2.57*m.x4*m.x7*m.x9*m.x14 + 9.55*m.x4*m.x8*
                       m.x11*m.x14 + 6.08*m.x4*m.x8*m.x13*m.x13 + 9.41*m.x4*m.x12*m.x12*m.x12 + 5.22*m.x4*m.x13*m.x13*
                       m.x14 + 0.14*m.x5*m.x5*m.x11*m.x13 + 5.39*m.x5*m.x7*m.x11*m.x14 + 8.72*m.x5*m.x10*m.x12*m.x14 + 
                       4.47*m.x6*m.x6*m.x6*m.x13 + 3.94*m.x6*m.x7*m.x13*m.x13 + 2.72*m.x6*m.x13*m.x13*m.x14 + 8.1*m.x8*
                       m.x13*m.x14*m.x14 + 0.38*m.x10*m.x11*m.x13*m.x13 >= 3034.085)

m.c5 = Constraint(expr= - 7.81*m.x1 + 6.98*m.x2 + 0.35*m.x3 + 1.47*m.x4 + 7.28*m.x5 + 7.21*m.x6 + 1.85*m.x7 + 0.86*m.x8
                        + 1.68*m.x9 + 9.31*m.x10 + 3.37*m.x11 + 3.62*m.x12 + 0.59*m.x13 + 4.08*m.x14 >= 92.375)

m.c6 = Constraint(expr=8.46*m.x3*m.x11 + 1.56*m.x3 + 4.67*m.x11 + 2.12*m.x1 + 5.46*m.x2 + 6.46*m.x4 + 5.11*m.x5
                        + 2.54*m.x6 + 9.07*m.x7 + 6.03*m.x8 + 3.68*m.x9 + 2.68*m.x10 + 8.77*m.x12 + 9.33*m.x13
                        + 7.68*m.x14 >= 179.732)

m.c7 = Constraint(expr=1.11*m.x3*m.x11 + 6.99*m.x3 + 5.07*m.x11 + 2.75*m.x1*m.x11*m.x14 + 0.11*m.x1 + 9.9*m.x14 + 2.5*
                       m.x6*m.x8*m.x12 + 2.48*m.x6 + 1.21*m.x8 + 3.61*m.x12 + 0.83*m.x2 + 1.8*m.x4 + 9.12*m.x5
                        + 2.58*m.x7 + 4.07*m.x9 + 3.7*m.x10 + 9.14*m.x13 >= 174.777)

m.c8 = Constraint(expr=6.46*m.x3*m.x11 + 6.9*m.x3 + 0.8*m.x11 + 3.25*m.x1*m.x11*m.x14 + 4.46*m.x1 + 3.69*m.x14 + 6.04*
                       m.x6*m.x8*m.x12 + 3.72*m.x6 - 3.18*m.x8 + 6.09*m.x12 + 2.94*m.x1*m.x1*m.x6*m.x11 + 3.07*m.x1*m.x8
                       *m.x11*m.x12 + 6.39*m.x2*m.x5*m.x5*m.x14 + 2.04*m.x2 + 2.13*m.x5 + 6.57*m.x2*m.x5*m.x6*m.x8 + 
                       3.39*m.x2*m.x6*m.x8*m.x8 + 0.69*m.x2*m.x6*m.x9*m.x11 + 3.57*m.x9 + 5.52*m.x2*m.x9*m.x9*m.x12 + 
                       7.71*m.x2*m.x9*m.x11*m.x11 + 5.67*m.x3*m.x3*m.x6*m.x14 + 6.33*m.x3*m.x9*m.x9*m.x11 + 5.61*m.x3*
                       m.x10*m.x11*m.x13 + 7.73*m.x10 + 1.14*m.x13 + 1.97*m.x4*m.x4*m.x4*m.x12 + 5.49*m.x4 + 0.52*m.x4*
                       m.x4*m.x13*m.x14 + 0.39*m.x4*m.x7*m.x8*m.x12 + 7.78*m.x7 - 4.68*m.x4*m.x7*m.x9*m.x14 - 1.43*m.x4*
                       m.x8*m.x11*m.x14 + 7.38*m.x4*m.x8*m.x13*m.x13 - 4.33*m.x4*m.x12*m.x12*m.x12 + 2.98*m.x4*m.x13*
                       m.x13*m.x14 - 1.09*m.x5*m.x5*m.x11*m.x13 + 4.34*m.x5*m.x7*m.x11*m.x14 + 9.67*m.x5*m.x10*m.x12*
                       m.x14 + 3.57*m.x6*m.x6*m.x6*m.x13 + 3.39*m.x6*m.x7*m.x13*m.x13 + 9.22*m.x6*m.x13*m.x13*m.x14 - 
                       8.15*m.x8*m.x13*m.x14*m.x14 + 4.01*m.x10*m.x11*m.x13*m.x13 >= 2784.412)

m.c9 = Constraint(expr=   4.09*m.x1 - 1.98*m.x2 + 3.17*m.x3 + 9.42*m.x4 + 9.3*m.x5 + 8.32*m.x6 + 2.51*m.x7 - 6.71*m.x8
                        + 3.81*m.x9 + 4.62*m.x10 + 2.25*m.x11 - 0.1*m.x12 + 0.68*m.x13 + 4.01*m.x14 >= 90.25)

m.c10 = Constraint(expr=2.46*m.x3*m.x11 + 2.03*m.x3 + 5.67*m.x11 + 1.98*m.x1 + 7.88*m.x2 + 3.8*m.x4 + 1.25*m.x5
                         + 0.4*m.x6 + 1.11*m.x7 + 4.07*m.x8 + 7.25*m.x9 + 9.35*m.x10 - 7.61*m.x12 - 3.76*m.x13
                         + 8.23*m.x14 >= 99.957)

m.c11 = Constraint(expr=1.36*m.x3*m.x11 + 4.17*m.x3 + 2.97*m.x11 + 4.44*m.x1*m.x11*m.x14 + m.x1 + 7.37*m.x14 - 6.44*m.x6
                        *m.x8*m.x12 + 8.86*m.x6 + 1.16*m.x8 - 0.4*m.x12 - 1.36*m.x2 + 3.11*m.x4 + 7.01*m.x5 + 0.9*m.x7
                         + 8.24*m.x9 + 6*m.x10 + 2*m.x13 >= 101.9)

m.c12 = Constraint(expr=5.11*m.x3*m.x11 + 7.51*m.x3 + 4.57*m.x11 + 1.91*m.x1*m.x11*m.x14 + 7.67*m.x1 + 3.2*m.x14 + 0.06*
                        m.x6*m.x8*m.x12 + 4.46*m.x6 + 9.72*m.x8 + 1.77*m.x12 + 3.26*m.x1*m.x1*m.x6*m.x11 + 8.16*m.x1*
                        m.x8*m.x11*m.x12 - 8.25*m.x2*m.x5*m.x5*m.x14 + 0.12*m.x2 + 8.08*m.x5 + 8.78*m.x2*m.x5*m.x6*m.x8
                         - 4.98*m.x2*m.x6*m.x8*m.x8 - 7.21*m.x2*m.x6*m.x9*m.x11 - 4.02*m.x9 - 2.77*m.x2*m.x9*m.x9*m.x12
                         + 4.41*m.x2*m.x9*m.x11*m.x11 - 3.1*m.x3*m.x3*m.x6*m.x14 + 7.53*m.x3*m.x9*m.x9*m.x11 + 6.24*m.x3
                        *m.x10*m.x11*m.x13 + 9.99*m.x10 + 4.05*m.x13 - 2.57*m.x4*m.x4*m.x4*m.x12 - 7.94*m.x4 + 7.81*m.x4
                        *m.x4*m.x13*m.x14 + 5.79*m.x4*m.x7*m.x8*m.x12 + 6.56*m.x7 + 4.3*m.x4*m.x7*m.x9*m.x14 - 5.54*m.x4
                        *m.x8*m.x11*m.x14 + 1.47*m.x4*m.x8*m.x13*m.x13 + 0.85*m.x4*m.x12*m.x12*m.x12 + 4.91*m.x4*m.x13*
                        m.x13*m.x14 + 8.65*m.x5*m.x5*m.x11*m.x13 - 6.63*m.x5*m.x7*m.x11*m.x14 + 5.84*m.x5*m.x10*m.x12*
                        m.x14 + 6.92*m.x6*m.x6*m.x6*m.x13 + 8.04*m.x6*m.x7*m.x13*m.x13 + 5.33*m.x6*m.x13*m.x13*m.x14 + 
                        1.47*m.x8*m.x13*m.x14*m.x14 + 0.02*m.x10*m.x11*m.x13*m.x13 >= 2237.686)

m.c13 = Constraint(expr=   9.53*m.x1 + 9.52*m.x2 + 0.63*m.x3 + 5.8*m.x4 + 8.88*m.x5 - 2.92*m.x6 + 4.17*m.x7 - 0.18*m.x8
                         + 3.19*m.x9 + 3.94*m.x10 + 8*m.x11 + 7.04*m.x12 + 3.62*m.x13 + 10*m.x14 >= 138.978)

m.c14 = Constraint(expr=7.68*m.x3*m.x11 + 9.35*m.x3 + 5.71*m.x11 + 1.39*m.x1 + 3.06*m.x2 - 3*m.x4 + 6.57*m.x5
                         + 3.94*m.x6 + 2.71*m.x7 - 6.1*m.x8 + 9.51*m.x9 + 1.67*m.x10 + 1.71*m.x12 + 2.02*m.x13
                         + 3.27*m.x14 >= 119.084)

m.c15 = Constraint(expr=1.12*m.x3*m.x11 + 0.6*m.x3 + 2.28*m.x11 + 4.53*m.x1*m.x11*m.x14 + 0.77*m.x1 + 9.09*m.x14 + 1.58*
                        m.x6*m.x8*m.x12 + 3.36*m.x6 + 7.44*m.x8 + 7.33*m.x12 + 5.08*m.x2 + 4.23*m.x4 + 3.22*m.x5
                         + 1.52*m.x7 + 9.81*m.x9 + 1.08*m.x10 + 5.08*m.x13 >= 176.86)

m.c16 = Constraint(expr=6.31*m.x3*m.x11 - 4.2*m.x3 + 7*m.x11 + 6.72*m.x1*m.x11*m.x14 + 3.16*m.x1 + 1.37*m.x14 - 9.07*
                        m.x6*m.x8*m.x12 + 6.7*m.x6 + 3.17*m.x8 + 9.48*m.x12 + 6.73*m.x1*m.x1*m.x6*m.x11 + 7.13*m.x1*m.x8
                        *m.x11*m.x12 + 5.33*m.x2*m.x5*m.x5*m.x14 + 3.2*m.x2 + 3.57*m.x5 - 2.6*m.x2*m.x5*m.x6*m.x8 - 2.92
                        *m.x2*m.x6*m.x8*m.x8 - 0.38*m.x2*m.x6*m.x9*m.x11 - 5.91*m.x9 + 5.61*m.x2*m.x9*m.x9*m.x12 + 3.84*
                        m.x2*m.x9*m.x11*m.x11 + 9.01*m.x3*m.x3*m.x6*m.x14 + 1.47*m.x3*m.x9*m.x9*m.x11 + 0.67*m.x3*m.x10*
                        m.x11*m.x13 + 0.21*m.x10 + 3.18*m.x13 + 1.07*m.x4*m.x4*m.x4*m.x12 + 5.47*m.x4 - 0.12*m.x4*m.x4*
                        m.x13*m.x14 + 2.99*m.x4*m.x7*m.x8*m.x12 + 1.31*m.x7 + 0.76*m.x4*m.x7*m.x9*m.x14 + 9.05*m.x4*m.x8
                        *m.x11*m.x14 + 2.37*m.x4*m.x8*m.x13*m.x13 + 8.65*m.x4*m.x12*m.x12*m.x12 + 8.74*m.x4*m.x13*m.x13*
                        m.x14 + 8.63*m.x5*m.x5*m.x11*m.x13 + 8.95*m.x5*m.x7*m.x11*m.x14 + 8.49*m.x5*m.x10*m.x12*m.x14 + 
                        6.85*m.x6*m.x6*m.x6*m.x13 + 7.5*m.x6*m.x7*m.x13*m.x13 + 7.5*m.x6*m.x13*m.x13*m.x14 - 5.29*m.x8*
                        m.x13*m.x14*m.x14 + 4.71*m.x10*m.x11*m.x13*m.x13 >= 3309.944)
