#  LP written by GAMS Convert at 05/24/17 14:04:09
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         24        1       22        1        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         10       10        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         92       92        0        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.5,4),initialize=0.5)
m.x2 = Var(within=Reals,bounds=(0.5,5),initialize=0.5)
m.x3 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x4 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x5 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x6 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x7 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x8 = Var(within=Reals,bounds=(None,None),initialize=0)
m.x9 = Var(within=Reals,bounds=(None,None),initialize=0)

m.obj = Objective(expr= - 0.1*m.x3 + 0.5*m.x7, sense=minimize)

m.c2 = Constraint(expr=   4*m.x1 + 3*m.x2 >= 12)

m.c3 = Constraint(expr= - 5*m.x1 + 2*m.x2 >= 10)

m.c4 = Constraint(expr=   0.166666666666667*m.x1 - m.x2 <= -2.5)

m.c5 = Constraint(expr=   0.75*m.x1 - 1.5*m.x3 + m.x6 >= 0.125)

m.c6 = Constraint(expr= - 4.25*m.x1 + 5*m.x3 - m.x6 >= -1)

m.c7 = Constraint(expr=   20*m.x1 - 8.5*m.x3 + m.x6 >= 8)

m.c8 = Constraint(expr= - 48*m.x1 + 12*m.x3 - m.x6 >= -64)

m.c9 = Constraint(expr=   0.75*m.x2 - 1.5*m.x5 + m.x9 >= 0.125)

m.c10 = Constraint(expr= - 5.25*m.x2 + 6*m.x5 - m.x9 >= -1.25)

m.c11 = Constraint(expr=   30*m.x2 - 10.5*m.x5 + m.x9 >= 12.5)

m.c12 = Constraint(expr= - 75*m.x2 + 15*m.x5 - m.x9 >= -125)

m.c13 = Constraint(expr=   0.5*m.x1 + 0.25*m.x2 - 0.5*m.x3 - m.x4 + m.x7 >= 0.125)

m.c14 = Constraint(expr= - 5*m.x1 - 0.25*m.x2 + 5*m.x3 + m.x4 - m.x7 >= -1.25)

m.c15 = Constraint(expr= - 2.25*m.x1 - 2*m.x2 + 0.5*m.x3 + 4.5*m.x4 - m.x7 >= -1)

m.c16 = Constraint(expr=   22.5*m.x1 + 2*m.x2 - 5*m.x3 - 4.5*m.x4 + m.x7 >= 10)

m.c17 = Constraint(expr=   4*m.x1 + 16*m.x2 - 0.5*m.x3 - 8*m.x4 + m.x7 >= 8)

m.c18 = Constraint(expr= - 40*m.x1 - 16*m.x2 + 5*m.x3 + 8*m.x4 - m.x7 >= -80)

m.c19 = Constraint(expr=   0.25*m.x1 + 0.5*m.x2 - m.x4 - 0.5*m.x5 + m.x8 >= 0.125)

m.c20 = Constraint(expr= - 4.25*m.x2 + m.x4 + 4*m.x5 - m.x8 >= -1)

m.c21 = Constraint(expr= - 2.5*m.x1 - 2.75*m.x2 + 5.5*m.x4 + 0.5*m.x5 - m.x8 >= -1.25)

m.c22 = Constraint(expr=   2.5*m.x1 + 22*m.x2 - 5.5*m.x4 - 4*m.x5 + m.x8 >= 10)

m.c23 = Constraint(expr=   50*m.x1 + 2.5*m.x2 - 10*m.x4 - 0.5*m.x5 + m.x8 >= 12.5)

m.c24 = Constraint(expr= - 25*m.x1 - 20*m.x2 + 10*m.x4 + 4*m.x5 - m.x8 >= -100)
