#  MINLP written by GAMS Convert at 05/24/17 14:04:26
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         22        1       10       11        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#          5        1        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         67       11       56        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i2 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i3 = Var(within=Integers,bounds=(0,100),initialize=0)
m.i4 = Var(within=Integers,bounds=(0,100),initialize=0)

m.obj = Objective(expr=458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*m.i4 - 202*m.i4 - 
                       112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2 + 96.2*m.i3**2 + 105
                       *m.i4**2 + 754, sense=maximize)

m.c2 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 <= -351)

m.c3 = Constraint(expr=(-29.7*m.i1*m.i2) - 308*m.i1 + 1297*m.i2 + 32*m.i1*m.i3 - 37.5*m.i3 - 136*m.i1*m.i4 - 173*m.i4 - 
                       235*m.i2*m.i3 + 310*m.i2*m.i4 + 3.61*m.i3*m.i4 + 21.4*m.i1**2 - 139*m.i2**2 + 113*m.i3**2 + 138*
                       m.i4**2 <= -637)

m.c4 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                        - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                       108*m.i4**2 <= -1045)

m.c5 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                       121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8*
                       m.i4**2 <= -3541)

m.c6 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                       m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                       m.i3**2 + 1.04*m.i4**2 <= 12.76)

m.c7 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4 - 
                       169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 193*
                       m.i4**2 <= 5148)

m.c8 = Constraint(expr=(-2.35*m.i1*m.i2) - 10.7*m.i1 - 63.3*m.i2 + 10.9*m.i1*m.i3 + 93.5*m.i3 + 0.108*m.i1*m.i4 - 25.1*
                       m.i4 - 76.8*m.i2*m.i3 + 37.9*m.i2*m.i4 - 9.31*m.i3*m.i4 - 0.295*m.i1**2 + 25.1*m.i2**2 + 30.4*
                       m.i3**2 - 28.1*m.i4**2 >= -100181)

m.c9 = Constraint(expr=(-29.7*m.i1*m.i2) - 308*m.i1 + 1297*m.i2 + 32*m.i1*m.i3 - 37.5*m.i3 - 136*m.i1*m.i4 - 173*m.i4 - 
                       235*m.i2*m.i3 + 310*m.i2*m.i4 + 3.61*m.i3*m.i4 + 21.4*m.i1**2 - 139*m.i2**2 + 113*m.i3**2 + 138*
                       m.i4**2 >= -100467)

m.c10 = Constraint(expr=(-1.92*m.i1*m.i2) - 30.3*m.i1 - 269*m.i2 + 36.2*m.i1*m.i3 + 378*m.i3 - 5.18*m.i1*m.i4 - 145*m.i4
                         - 286*m.i2*m.i3 + 167*m.i2*m.i4 - 19.2*m.i3*m.i4 - 1.44*m.i1**2 + 79.7*m.i2**2 + 103*m.i3**2 - 
                        108*m.i4**2 >= -100625)

m.c11 = Constraint(expr=(-30.8*m.i1*m.i2) - 346*m.i1 + 659*m.i2 + 106*m.i1*m.i3 + 634*m.i3 - 260*m.i1*m.i4 - 629*m.i4 - 
                        121*m.i2*m.i3 + 878*m.i2*m.i4 + 33.5*m.i3*m.i4 + 22.9*m.i1**2 - 110*m.i2**2 - 298*m.i3**2 + 52.8
                        *m.i4**2 >= -101871)

m.c12 = Constraint(expr=0.145*m.i1*m.i2 + 0.257*m.i1 - 1.38*m.i2 - 0.019*m.i1*m.i3 + 2.9*m.i3 - 0.182*m.i1*m.i4 - 0.77*
                        m.i4 - 1.87*m.i2*m.i3 - 1.79*m.i2*m.i4 + 1.24*m.i3*m.i4 - 0.01*m.i1**2 + 1.32*m.i2**2 + 0.062*
                        m.i3**2 + 1.04*m.i4**2 >= -98.62)

m.c13 = Constraint(expr=27.3*m.i1*m.i2 + 54.9*m.i1 - 37.2*m.i2 - 0.55*m.i1*m.i3 + 441*m.i3 - 42.2*m.i1*m.i4 - 497*m.i4
                         - 169*m.i2*m.i3 - 148*m.i2*m.i4 + 147*m.i3*m.i4 - 2.05*m.i1**2 + 89.4*m.i2**2 - 56.6*m.i3**2 + 
                        193*m.i4**2 >= -999926)

m.c14 = Constraint(expr=(2.7144 + 0.0036*(458*m.i1 - 73.7*m.i1*m.i2 - 804*m.i2 + 3.92*m.i1*m.i3 - 21*m.i3 + 0.346*m.i1*
                        m.i4 - 202*m.i4 - 112*m.i2*m.i3 - 89.3*m.i2*m.i4 - 15.1*m.i3*m.i4 - 4.86*m.i1**2 + 212*m.i2**2
                         + 96.2*m.i3**2 + 105*m.i4**2))*(0.1356 + 0.01332*m.i2) + 0.085*m.i1 <= 4)

m.c15 = Constraint(expr=   m.i1 >= 3)

m.c16 = Constraint(expr=   m.i1 <= 16)

m.c17 = Constraint(expr=   m.i2 >= 1)

m.c18 = Constraint(expr=   m.i2 <= 5)

m.c19 = Constraint(expr=   m.i3 >= 1)

m.c20 = Constraint(expr= - m.i2 + m.i3 <= 0)

m.c21 = Constraint(expr=   m.i4 >= 1)

m.c22 = Constraint(expr= - m.i2 + m.i4 <= 0)
