#  MINLP written by GAMS Convert at 05/24/17 14:04:28
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#          4        4        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         12        8        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         27        4       23        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.i2 = Var(within=Integers,bounds=(1,10),initialize=1)
m.i3 = Var(within=Integers,bounds=(1,10),initialize=1)
m.i4 = Var(within=Integers,bounds=(1,10),initialize=1)
m.i5 = Var(within=Integers,bounds=(1,10),initialize=1)
m.x6 = Var(within=Reals,bounds=(0.5,0.99999),initialize=0.5)
m.x7 = Var(within=Reals,bounds=(0.5,0.99999),initialize=0.5)
m.x8 = Var(within=Reals,bounds=(0.5,0.99999),initialize=0.5)
m.x9 = Var(within=Reals,bounds=(0.5,0.99999),initialize=0.5)
m.x10 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x11 = Var(within=Reals,bounds=(0,None),initialize=0)
m.x12 = Var(within=Reals,bounds=(0,None),initialize=0)

m.obj = Objective(expr=0.5*m.x10**1 + 0.25*m.x11**1 + 0.25*m.x12**1, sense=maximize)

m.c2 = Constraint(expr=8000000000*(6*exp(0.25*m.i2)*m.i2 + 6*exp(0.25*m.i3)*m.i3 + 8*exp(0.25*m.i4)*m.i4 + 7*exp(0.25*
                       m.i5)*m.i5) + m.x10 == 120)

m.c3 = Constraint(expr=100000*(-1000/log(m.x6))**1.5*(exp(0.25*m.i2) + m.i2) + 230000*(-1000/log(m.x7))**1.5*(exp(0.25*
                       m.i3) + m.i3) + 30000*(-1000/log(m.x8))**1.5*(exp(0.25*m.i4) + m.i4) + 230000*(-1000/log(m.x9))**
                       1.5*(exp(0.25*m.i5) + m.i5) + m.x11 == 3000000000000)

m.c4 = Constraint(expr=(5333333333333.33 - 5333333333333.33*(1 - m.x6)**m.i2)*(1 - (1 - m.x7)**m.i3)*(1 - (1 - m.x8)**
                       m.i4)*(1 - (1 - m.x9)**m.i5) - m.x12 == 0.99)
