#  NLP written by GAMS Convert at 05/24/17 14:05:33
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         40       40        0        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         21       21        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        348       38      310        0


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0,10),initialize=0)
m.x2 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x3 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x4 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x5 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x6 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x7 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x8 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x9 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x10 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x11 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x12 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x13 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x14 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x15 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x16 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x17 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x18 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x19 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x20 = Var(within=Reals,bounds=(-1,1),initialize=0)
m.x21 = Var(within=Reals,bounds=(-1,1),initialize=0)

m.obj = Objective(expr=m.x1, sense=minimize)

m.c1 = Constraint(expr=m.x2*m.x2 - m.x12*m.x12 + 2*m.x2*m.x4 + 2*m.x12*m.x14 + 2*m.x3*m.x5 + 2*m.x13*m.x15 + 2*m.x4*m.x6
                        + 2*m.x14*m.x16 + 2*m.x5*m.x7 + 2*m.x15*m.x17 + 2*m.x8*m.x6 + 2*m.x18*m.x16 + 2*m.x9*m.x7 + 2*
                       m.x19*m.x17 + 2*m.x10*m.x8 + 2*m.x20*m.x18 + 2*m.x11*m.x9 + 2*m.x21*m.x19 + 2*m.x10 + m.x11*m.x11
                        - m.x21*m.x21 - 2*m.x1*m.x3 == 0)

m.c2 = Constraint(expr=2*m.x2*m.x4 - 2*m.x12*m.x14 + m.x3*m.x3 - m.x13*m.x13 + 2*m.x2*m.x6 + 2*m.x12*m.x16 + 2*m.x3*m.x7
                        + 2*m.x13*m.x17 + 2*m.x4*m.x8 + 2*m.x14*m.x18 + 2*m.x9*m.x5 + 2*m.x19*m.x15 + 2*m.x10*m.x6 + 2*
                       m.x20*m.x16 + 2*m.x11*m.x7 + 2*m.x21*m.x17 + 2*m.x8 + 2*m.x11*m.x9 - 2*m.x21*m.x19 + m.x10*m.x10
                        - m.x20*m.x20 - 2*m.x1*m.x5 == 0)

m.c3 = Constraint(expr=2*m.x2*m.x6 - 2*m.x12*m.x16 + 2*m.x3*m.x5 - 2*m.x13*m.x15 + m.x4*m.x4 - m.x14*m.x14 + 2*m.x2*m.x8
                        + 2*m.x12*m.x18 + 2*m.x3*m.x9 + 2*m.x13*m.x19 + 2*m.x10*m.x4 + 2*m.x20*m.x14 + 2*m.x11*m.x5 + 2*
                       m.x21*m.x15 + 2*m.x6 + 2*m.x11*m.x7 - 2*m.x21*m.x17 + 2*m.x10*m.x8 - 2*m.x20*m.x18 + m.x9*m.x9 - 
                       m.x19*m.x19 - 2*m.x1*m.x7 == 0)

m.c4 = Constraint(expr=2*m.x2*m.x8 - 2*m.x12*m.x18 + 2*m.x3*m.x7 - 2*m.x13*m.x17 + 2*m.x4*m.x6 - 2*m.x14*m.x16 + m.x5*
                       m.x5 - m.x15*m.x15 + 2*m.x2*m.x10 + 2*m.x12*m.x20 + 2*m.x11*m.x3 + 2*m.x21*m.x13 + 2*m.x4 + 2*
                       m.x11*m.x5 - 2*m.x21*m.x15 + 2*m.x10*m.x6 - 2*m.x20*m.x16 + 2*m.x9*m.x7 - 2*m.x19*m.x17 + m.x8*
                       m.x8 - m.x18*m.x18 - 2*m.x1*m.x9 == 0)

m.c5 = Constraint(expr=2*m.x2*m.x10 - 2*m.x12*m.x20 + 2*m.x3*m.x9 - 2*m.x13*m.x19 + 2*m.x4*m.x8 - 2*m.x14*m.x18 + 2*m.x5
                       *m.x7 - 2*m.x15*m.x17 + m.x6*m.x6 - m.x16*m.x16 + 2*m.x2 + 2*m.x11*m.x3 - 2*m.x21*m.x13 + 2*m.x10
                       *m.x4 - 2*m.x20*m.x14 + 2*m.x9*m.x5 - 2*m.x19*m.x15 + 2*m.x8*m.x6 - 2*m.x18*m.x16 + m.x7*m.x7 - 
                       m.x17*m.x17 - 2*m.x1*m.x11 == 0)

m.c6 = Constraint(expr=2*m.x2*m.x12 - 2*m.x12*m.x4 + 2*m.x2*m.x14 - 2*m.x13*m.x5 + 2*m.x3*m.x15 - 2*m.x14*m.x6 + 2*m.x4*
                       m.x16 - 2*m.x15*m.x7 + 2*m.x5*m.x17 - 2*m.x8*m.x16 + 2*m.x18*m.x6 - 2*m.x9*m.x17 + 2*m.x19*m.x7
                        - 2*m.x10*m.x18 + 2*m.x20*m.x8 - 2*m.x11*m.x19 + 2*m.x21*m.x9 - 2*m.x20 - 2*m.x11*m.x21 - 2*m.x1
                       *m.x13 == 0)

m.c7 = Constraint(expr=2*m.x2*m.x14 + 2*m.x12*m.x4 + 2*m.x3*m.x13 - 2*m.x12*m.x6 + 2*m.x2*m.x16 - 2*m.x13*m.x7 + 2*m.x3*
                       m.x17 - 2*m.x14*m.x8 + 2*m.x4*m.x18 - 2*m.x9*m.x15 + 2*m.x19*m.x5 - 2*m.x10*m.x16 + 2*m.x20*m.x6
                        - 2*m.x11*m.x17 + 2*m.x21*m.x7 - 2*m.x18 - 2*m.x11*m.x19 - 2*m.x21*m.x9 - 2*m.x10*m.x20 - 2*m.x1
                       *m.x15 == 0)

m.c8 = Constraint(expr=2*m.x2*m.x16 + 2*m.x12*m.x6 + 2*m.x3*m.x15 + 2*m.x13*m.x5 + 2*m.x4*m.x14 - 2*m.x12*m.x8 + 2*m.x2*
                       m.x18 - 2*m.x13*m.x9 + 2*m.x3*m.x19 - 2*m.x10*m.x14 + 2*m.x20*m.x4 - 2*m.x11*m.x15 + 2*m.x21*m.x5
                        - 2*m.x16 - 2*m.x11*m.x17 - 2*m.x21*m.x7 - 2*m.x10*m.x18 - 2*m.x20*m.x8 - 2*m.x9*m.x19 - 2*m.x1*
                       m.x17 == 0)

m.c9 = Constraint(expr=2*m.x2*m.x18 + 2*m.x12*m.x8 + 2*m.x3*m.x17 + 2*m.x13*m.x7 + 2*m.x4*m.x16 + 2*m.x14*m.x6 + 2*m.x5*
                       m.x15 - 2*m.x12*m.x10 + 2*m.x2*m.x20 - 2*m.x11*m.x13 + 2*m.x21*m.x3 - 2*m.x14 - 2*m.x11*m.x15 - 2
                       *m.x21*m.x5 - 2*m.x10*m.x16 - 2*m.x20*m.x6 - 2*m.x9*m.x17 - 2*m.x19*m.x7 - 2*m.x8*m.x18 - 2*m.x1*
                       m.x19 == 0)

m.c10 = Constraint(expr=2*m.x2*m.x20 + 2*m.x12*m.x10 + 2*m.x3*m.x19 + 2*m.x13*m.x9 + 2*m.x4*m.x18 + 2*m.x14*m.x8 + 2*
                        m.x5*m.x17 + 2*m.x15*m.x7 + 2*m.x6*m.x16 - 2*m.x12 - 2*m.x11*m.x13 - 2*m.x21*m.x3 - 2*m.x10*
                        m.x14 - 2*m.x20*m.x4 - 2*m.x9*m.x15 - 2*m.x19*m.x5 - 2*m.x8*m.x16 - 2*m.x18*m.x6 - 2*m.x7*m.x17
                         - 2*m.x1*m.x21 == 0)

m.c11 = Constraint(expr=m.x2*m.x2 + m.x12*m.x12 == 1)

m.c12 = Constraint(expr=m.x3*m.x3 + m.x13*m.x13 == 1)

m.c13 = Constraint(expr=m.x4*m.x4 + m.x14*m.x14 == 1)

m.c14 = Constraint(expr=m.x5*m.x5 + m.x15*m.x15 == 1)

m.c15 = Constraint(expr=m.x6*m.x6 + m.x16*m.x16 == 1)

m.c16 = Constraint(expr=m.x7*m.x7 + m.x17*m.x17 == 1)

m.c17 = Constraint(expr=m.x8*m.x8 + m.x18*m.x18 == 1)

m.c18 = Constraint(expr=m.x9*m.x9 + m.x19*m.x19 == 1)

m.c19 = Constraint(expr=m.x10*m.x10 + m.x20*m.x20 == 1)

m.c20 = Constraint(expr=m.x11*m.x11 + m.x21*m.x21 == 1)

m.c21 = Constraint(expr=m.x2*m.x11 + m.x12*m.x21 + 0.911130261884677*m.x3 + 0.412118485241757*m.x13 == 0)

m.c22 = Constraint(expr=m.x3*m.x10 + m.x13*m.x20 - 0.66031670824408*m.x5 - 0.750987246771676*m.x15 == 0)

m.c23 = Constraint(expr=m.x4*m.x9 + m.x14*m.x19 + 0.292138808733836*m.x7 + 0.956375928404503*m.x17 == 0)

m.c24 = Constraint(expr=m.x5*m.x8 + m.x15*m.x18 + 0.127963689627405*m.x9 - 0.991778853443116*m.x19 == 0)

m.c25 = Constraint(expr=m.x6*m.x7 + m.x16*m.x17 - 0.52532198881773*m.x11 + 0.850903524534118*m.x21 == 0)

m.c26 = Constraint(expr=m.x6*m.x7 + m.x16*m.x17 + 0.82930983286315*m.x11 + 0.558789048851616*m.x21 == 0)

m.c27 = Constraint(expr=m.x5*m.x8 + m.x15*m.x18 - 0.98589658158255*m.x9 - 0.167355700302807*m.x19 == 0)

m.c28 = Constraint(expr=m.x4*m.x9 + m.x14*m.x19 + 0.967250588273882*m.x7 - 0.253823362762036*m.x17 == 0)

m.c29 = Constraint(expr=m.x3*m.x10 + m.x13*m.x20 - 0.776685982021631*m.x5 + 0.629887994274454*m.x15 == 0)

m.c30 = Constraint(expr=m.x2*m.x11 + m.x12*m.x21 + 0.44807361612917*m.x3 - 0.893996663600558*m.x13 == 0)

m.c31 = Constraint(expr=m.x11*m.x12 - m.x2*m.x21 - 0.412118485241757*m.x3 + 8.20017235696209*m.x13 == 0)

m.c32 = Constraint(expr=m.x10*m.x13 - m.x3*m.x20 - 5.94285037419672*m.x13 + 0.750987246771676*m.x5 == 0)

m.c33 = Constraint(expr=m.x9*m.x14 - m.x4*m.x19 - 0.956375928404503*m.x7 + 2.62924927860453*m.x13 == 0)

m.c34 = Constraint(expr=m.x8*m.x15 - m.x5*m.x18 + 0.991778853443116*m.x9 + 1.15167320664664*m.x13 == 0)

m.c35 = Constraint(expr=m.x7*m.x16 - m.x6*m.x17 - 0.850903524534118*m.x11 - 4.72789789935957*m.x13 == 0)

m.c36 = Constraint(expr=m.x6*m.x17 - m.x7*m.x16 + 0.558789048851616*m.x11 + 7.46378849576835*m.x13 == 0)

m.c37 = Constraint(expr=m.x5*m.x18 - m.x8*m.x15 - 0.167355700302807*m.x9 - 8.87306923424295*m.x13 == 0)

m.c38 = Constraint(expr=m.x4*m.x19 - m.x9*m.x14 - 0.253823362762036*m.x7 + 8.70525529446494*m.x13 == 0)

m.c39 = Constraint(expr=m.x3*m.x20 - m.x10*m.x13 - 6.99017383819468*m.x13 + 0.629887994274454*m.x5 == 0)

m.c40 = Constraint(expr=m.x2*m.x21 - m.x11*m.x12 - 0.893996663600558*m.x3 + 4.03266254516253*m.x13 == 0)
