#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         17        1       16        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         15       15        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        239      191       48        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.95,2.33),initialize=0.95)
m.x2 = Var(within=Reals,bounds=(0.54,2.24),initialize=0.54)
m.x3 = Var(within=Reals,bounds=(0.73,2.18),initialize=0.73)
m.x4 = Var(within=Reals,bounds=(0.46,2.93),initialize=0.46)
m.x5 = Var(within=Reals,bounds=(0.58,2.97),initialize=0.58)
m.x6 = Var(within=Reals,bounds=(0.78,2.84),initialize=0.78)
m.x7 = Var(within=Reals,bounds=(0.45,2.02),initialize=0.45)
m.x8 = Var(within=Reals,bounds=(0.51,2.47),initialize=0.51)
m.x9 = Var(within=Reals,bounds=(0.73,2.8),initialize=0.73)
m.x10 = Var(within=Reals,bounds=(0.84,2.03),initialize=0.84)
m.x11 = Var(within=Reals,bounds=(0.93,2.03),initialize=0.93)
m.x12 = Var(within=Reals,bounds=(0.3,2.14),initialize=0.3)
m.x13 = Var(within=Reals,bounds=(0.99,2.84),initialize=0.99)
m.x14 = Var(within=Reals,bounds=(0.16,2.8),initialize=0.16)

m.obj = Objective(expr=9.69*m.x1*m.x5*m.x5 + 5.25*m.x1 + 5.05*m.x5 + 6.42*m.x2*m.x5*m.x13*m.x13 + 9.36*m.x2 + 7.16*m.x13
                        + 8.75*m.x3*m.x4*m.x7*m.x10 + 5.36*m.x3 + 3.8*m.x4 + 3.92*m.x7 + 9.56*m.x10 + 4.55*m.x6
                        + 1.81*m.x8 + 7.06*m.x9 + 4.2*m.x11 + 0.54*m.x12 + 5.95*m.x14, sense=minimize)

m.c1 = Constraint(expr=   5.81*m.x1 + 1.22*m.x2 + 4.45*m.x3 + 5.21*m.x4 + 3.24*m.x5 + 9.97*m.x6 + 5.34*m.x7 + 3.47*m.x8
                        + 6.97*m.x9 + 1.72*m.x10 + 3.77*m.x11 - 8.92*m.x12 + 4.41*m.x13 + 2.39*m.x14 >= 108.418)

m.c2 = Constraint(expr= - 7.99*m.x1 + 1.55*m.x2 - 6.75*m.x3 + 4.76*m.x4 + 0.65*m.x5 + 3.32*m.x6 + 5.46*m.x7 + 6.5*m.x8
                        + 0.83*m.x9 + 6.79*m.x10 + 9.97*m.x11 + 9.41*m.x12 + 7.42*m.x13 + 5.03*m.x14 >= 95.986)

m.c3 = Constraint(expr=8.37*m.x1*m.x5*m.x5 + 6.62*m.x1 + 8.83*m.x5 + 9.97*m.x2 + 3.63*m.x3 + 2.71*m.x4 + 1.03*m.x6
                        + 2.85*m.x7 + 8.52*m.x8 + 8.6*m.x9 + 4.88*m.x10 + 5.7*m.x11 + 8.77*m.x12 + 9.13*m.x13
                        + 7.47*m.x14 >= 292.433)

m.c4 = Constraint(expr=6.43*m.x1*m.x5*m.x5 + 2.31*m.x1 + 6.63*m.x5 + 6.3*m.x2*m.x5*m.x13*m.x13 + 8.85*m.x2 + 6.44*m.x13
                        - 2.87*m.x3*m.x4*m.x7*m.x10 + 3.95*m.x3 + 2.16*m.x4 + 5.39*m.x7 + 7.83*m.x10 + 6.55*m.x6
                        + 4.34*m.x8 + 5.28*m.x9 + 6.8*m.x11 + 0.18*m.x12 + 2.85*m.x14 >= 441.788)

m.c5 = Constraint(expr=   5.22*m.x1 + 6.19*m.x2 + 5.22*m.x3 - 3.01*m.x4 + 2.2*m.x5 + 3.52*m.x6 + 1.2*m.x7 + 3.37*m.x8
                        + 6.17*m.x9 + 4.28*m.x10 + 7.3*m.x11 - 2.15*m.x12 + 7.34*m.x13 + 7.1*m.x14 >= 109.395)

m.c6 = Constraint(expr=   3.69*m.x1 + 4.15*m.x2 + 7.61*m.x3 + 8.86*m.x4 + 7.24*m.x5 + 6.86*m.x6 + 5.89*m.x7 + 1.4*m.x8
                        - 2.33*m.x9 + 7.9*m.x10 + 4.43*m.x11 + 9.62*m.x12 + 2.91*m.x13 + 3.59*m.x14 >= 136.971)

m.c7 = Constraint(expr=6.59*m.x1 - 5.68*m.x1*m.x5*m.x5 + 5.76*m.x5 + 0.65*m.x2 + 5.85*m.x3 - 8.89*m.x4 + 4.41*m.x6
                        + 5.48*m.x7 + 8.5*m.x8 + 5.54*m.x9 + 5.35*m.x10 + 9.43*m.x11 + 9.25*m.x12 + 1.23*m.x13
                        + 5.46*m.x14 >= 89.768)

m.c8 = Constraint(expr=4.74*m.x1*m.x5*m.x5 + 3.72*m.x1 + 5.16*m.x5 + 7.09*m.x2*m.x5*m.x13*m.x13 + 2.45*m.x2 - 3.15*m.x13
                        + 0.85*m.x3*m.x4*m.x7*m.x10 + 8.53*m.x3 + 0.91*m.x4 + 5.64*m.x7 - 6.9*m.x10 + 7.19*m.x6
                        + 0.03*m.x8 + 3.58*m.x9 + 1.97*m.x11 + 7.04*m.x12 + 3*m.x14 >= 431.091)

m.c9 = Constraint(expr=   4.56*m.x1 + 2.5*m.x2 + 9.78*m.x3 + 6.32*m.x4 + 7.25*m.x5 - 5.65*m.x6 + 3.75*m.x7 + 3.03*m.x8
                        + 3.5*m.x9 + 8.19*m.x10 + 2.5*m.x11 + 0.62*m.x12 + 4*m.x13 + 0.7*m.x14 >= 101.018)

m.c10 = Constraint(expr=   1.43*m.x1 + 8.57*m.x2 + 0.37*m.x3 + 4.65*m.x4 + 6.22*m.x5 - 1.06*m.x6 + 9.09*m.x7 + 7.85*m.x8
                         + 2.35*m.x9 + 3.12*m.x10 + 6.7*m.x11 + 1.25*m.x12 + 5.94*m.x13 + 8*m.x14 >= 123.129)

m.c11 = Constraint(expr=0.33*m.x1*m.x5*m.x5 + 6.3*m.x1 + 5.14*m.x5 + 6.93*m.x2 + 5.8*m.x3 + 5.81*m.x4 + 7.38*m.x6
                         + 6.78*m.x7 + 3.38*m.x8 - 3.68*m.x9 + 5.95*m.x10 + 4.34*m.x11 + 5.44*m.x12 + 5.69*m.x13
                         + 8.7*m.x14 >= 147.991)

m.c12 = Constraint(expr=8.4*m.x1*m.x5*m.x5 + 6.96*m.x1 + 6.79*m.x5 + 1.45*m.x2*m.x5*m.x13*m.x13 + 9.76*m.x2 + 6.86*m.x13
                         + 4.44*m.x3*m.x4*m.x7*m.x10 + 7.3*m.x3 + 0.11*m.x4 - 3.38*m.x7 + 9.81*m.x10 + 1.96*m.x6
                         + 0.83*m.x8 + 2.58*m.x9 + 4*m.x11 + 1.03*m.x12 + 7.44*m.x14 >= 380.213)

m.c13 = Constraint(expr=   2.08*m.x1 + 6*m.x2 + 7.09*m.x3 + 1.07*m.x4 + 1.71*m.x5 + 5.7*m.x6 + 0.54*m.x7 + 3.29*m.x8
                         + 4.06*m.x9 + 6.35*m.x10 + 6.56*m.x11 + 9.58*m.x12 + 6.75*m.x13 + 8.53*m.x14 >= 131.013)

m.c14 = Constraint(expr=   7.88*m.x1 + 2.73*m.x2 + 8.75*m.x3 - 7.53*m.x4 + 2.28*m.x5 + 3.49*m.x6 + 3.11*m.x7 + 7.64*m.x8
                         + 0.91*m.x9 + 5.44*m.x10 + 0.86*m.x11 - 7.65*m.x12 + 7.87*m.x13 + 1.12*m.x14 >= 84.394)

m.c15 = Constraint(expr=4.73*m.x1*m.x5*m.x5 + 6.23*m.x1 + 3.09*m.x5 + 7.57*m.x2 + 1.01*m.x3 + 9.42*m.x4 + 6.71*m.x6
                         + 4.03*m.x7 + 4.23*m.x8 + 2.65*m.x9 + 2.87*m.x10 + 9.74*m.x11 - 4.28*m.x12 + 2.4*m.x13
                         + 2.87*m.x14 >= 186.728)

m.c16 = Constraint(expr=7.31*m.x1*m.x5*m.x5 + 4.3*m.x1 + 7.42*m.x5 + 9.7*m.x2*m.x5*m.x13*m.x13 + 6.3*m.x2 + 0.36*m.x13
                         + 7.26*m.x3*m.x4*m.x7*m.x10 + 4.34*m.x3 + 5.08*m.x4 + 8.68*m.x7 + 4.69*m.x10 + 6.23*m.x6
                         - 3.5*m.x8 - 8.76*m.x9 + 5.33*m.x11 - 7.66*m.x12 + 8.74*m.x14 >= 699.403)
