#  NLP written by GAMS Convert at 05/24/17 14:05:41
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        121       79       42        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.64,2.58),initialize=0.64)
m.x2 = Var(within=Reals,bounds=(0.09,2.68),initialize=0.09)
m.x3 = Var(within=Reals,bounds=(0.75,2.84),initialize=0.75)
m.x4 = Var(within=Reals,bounds=(0.84,2.95),initialize=0.84)
m.x5 = Var(within=Reals,bounds=(0.94,2.37),initialize=0.94)
m.x6 = Var(within=Reals,bounds=(0.42,2.97),initialize=0.42)
m.x7 = Var(within=Reals,bounds=(0.79,2.63),initialize=0.79)
m.x8 = Var(within=Reals,bounds=(0.61,2.45),initialize=0.61)
m.x9 = Var(within=Reals,bounds=(0.36,2.41),initialize=0.36)
m.x10 = Var(within=Reals,bounds=(0.49,2.25),initialize=0.49)
m.x11 = Var(within=Reals,bounds=(0.35,2.07),initialize=0.35)
m.x12 = Var(within=Reals,bounds=(0.93,2.37),initialize=0.93)

m.obj = Objective(expr=4.61*m.x1*m.x3*m.x7 + 6.32*m.x1 + 3.97*m.x3 + 8.1*m.x7 + 7.77*m.x5*m.x6*m.x8 + 5.8*m.x5 + 8.91*
                       m.x6 + 7.5*m.x8 - 1.91*m.x7*m.x8*m.x9 + 1.74*m.x9 + 8.73*m.x1*m.x5*m.x8*m.x10 + 2.36*m.x10 + 8.34
                       *m.x2*m.x3*m.x9*m.x12 + 8.88*m.x2 + 9.31*m.x12 + 6.95*m.x2*m.x3*m.x11*m.x11 + 6.11*m.x11 + 1.76*
                       m.x2*m.x5*m.x10*m.x11 + 0.01*m.x2*m.x9*m.x10*m.x11 + 2.16*m.x3*m.x3*m.x3*m.x12 + 2.29*m.x3*m.x3*
                       m.x10*m.x12 + 9.32*m.x6*m.x6*m.x11*m.x11 - 6.4*m.x6*m.x6*m.x12*m.x12 + 8.84*m.x7*m.x8*m.x8*m.x11
                        + 0.18*m.x7*m.x9*m.x10*m.x12 + 6.91*m.x1*m.x6*m.x7*m.x9*m.x12 + 1.75*m.x1*m.x9*m.x9*m.x9*m.x9 + 
                       9.03*m.x2*m.x3*m.x3*m.x8*m.x12 + 0.76*m.x2*m.x3*m.x3*m.x10*m.x10 + 3.08*m.x2*m.x3*m.x4*m.x6*m.x6
                        + 2.71*m.x4 + 8.36*m.x2*m.x6*m.x6*m.x6*m.x10 + 1.99*m.x3*m.x4*m.x4*m.x6*m.x11 + 3.9*m.x3*m.x5*
                       m.x8*m.x11*m.x11 + 6.39*m.x3*m.x6*m.x8*m.x9*m.x10 + 1.08*m.x3*m.x7*m.x8*m.x10*m.x10 + 2.46*m.x4*
                       m.x4*m.x7*m.x8*m.x8 + 1.41*m.x4*m.x5*m.x7*m.x12*m.x12 + 5.42*m.x4*m.x5*m.x8*m.x8*m.x8 + 7.7*m.x4*
                       m.x6*m.x8*m.x12*m.x12 + 3.83*m.x5*m.x5*m.x5*m.x10*m.x11 + 5.54*m.x7*m.x9*m.x10*m.x11*m.x11 + 5.11
                       *m.x8*m.x8*m.x8*m.x11*m.x12, sense=minimize)

m.c1 = Constraint(expr= - 6.03*m.x3 + 8.91*m.x5 + 8.7*m.x6 + 3.67*m.x10 + 4.62*m.x11 - 5.42*m.x12 == 20.344)

m.c2 = Constraint(expr=   7.6*m.x2 + 3.75*m.x4 + 8.16*m.x6 + 7.29*m.x8 + 3.27*m.x11 - 8.86*m.x12 == 31.955)

m.c3 = Constraint(expr=   3.21*m.x1 + 2.95*m.x2 + 6.97*m.x3 + 2.87*m.x5 + 5.72*m.x6 + 8.47*m.x12 == 50.186)

m.c4 = Constraint(expr=   9.07*m.x2 + 3.49*m.x3 + 4.76*m.x4 + 9.02*m.x5 - 4.02*m.x8 + 8.21*m.x12 == 50.171)

m.c5 = Constraint(expr=   3.69*m.x1 - 2.14*m.x4 + 9.96*m.x6 + 3.69*m.x10 + 4.8*m.x11 + 2.28*m.x12 == 33.393)

m.c6 = Constraint(expr=   3.86*m.x3 - 1.23*m.x6 + 4.83*m.x7 + 5.71*m.x8 + 6.88*m.x10 + 6.83*m.x11 == 39.529)

m.c7 = Constraint(expr=   9.22*m.x1 - 1.8*m.x2 + 0.87*m.x3 + 9.51*m.x4 + 9.91*m.x5 + 5.03*m.x6 + 2.33*m.x7 + 0.08*m.x8
                        + 4.11*m.x9 + 2.1*m.x10 + 4.45*m.x11 - 5.83*m.x12 >= 65.302)

m.c8 = Constraint(expr=   3.11*m.x1 + 1.76*m.x2 - 8.37*m.x3 + 0.25*m.x4 + 7.17*m.x5 + 5.65*m.x6 + 4.11*m.x7 + 9.22*m.x8
                        + 0.66*m.x9 + 5.12*m.x10 + 1.39*m.x11 + 8.43*m.x12 >= 58.992)

m.c9 = Constraint(expr=7.06*m.x1*m.x3*m.x7 + 8.54*m.x1 + 1.7*m.x3 + 1.63*m.x7 + 8.42*m.x5*m.x6*m.x8 + 4.03*m.x5 + 3.98*
                       m.x6 + 2.27*m.x8 + 0.72*m.x7*m.x8*m.x9 + 7.59*m.x9 + 9.23*m.x2 + 1.98*m.x4 + 2.81*m.x10
                        + 7.39*m.x11 + 1.13*m.x12 >= 226.814)

m.c10 = Constraint(expr=7.76*m.x1*m.x3*m.x7 + 2.23*m.x1 + 5.72*m.x3 + 6.1*m.x7 + 6.71*m.x5*m.x6*m.x8 + 4.66*m.x5 + 2.18*
                        m.x6 + 8.01*m.x8 + 8.42*m.x7*m.x8*m.x9 + 7.87*m.x9 + 6.73*m.x1*m.x5*m.x8*m.x10 + 9.88*m.x10 - 
                        4.08*m.x2*m.x3*m.x9*m.x12 - 9.17*m.x2 + 2.67*m.x12 + 4.3*m.x2*m.x3*m.x11*m.x11 + 2.95*m.x11 + 
                        1.39*m.x2*m.x5*m.x10*m.x11 + 0.33*m.x2*m.x9*m.x10*m.x11 + 9.07*m.x3*m.x3*m.x3*m.x12 + 9.07*m.x3*
                        m.x3*m.x10*m.x12 + 6.78*m.x6*m.x6*m.x11*m.x11 - 0.31*m.x6*m.x6*m.x12*m.x12 + 7.32*m.x7*m.x8*m.x8
                        *m.x11 + 1.26*m.x7*m.x9*m.x10*m.x12 + 5.88*m.x4 >= 1106.827)

m.c11 = Constraint(expr=4.98*m.x1*m.x3*m.x7 + 6.05*m.x1 - 6.93*m.x3 + 1.88*m.x7 + 4.16*m.x5*m.x6*m.x8 + 8.9*m.x5 + 8.61*
                        m.x6 + 0.06*m.x8 + 6.15*m.x7*m.x8*m.x9 + 6.36*m.x9 + 6.76*m.x1*m.x5*m.x8*m.x10 + 1.22*m.x10 + 
                        2.38*m.x2*m.x3*m.x9*m.x12 + 4.71*m.x2 + 4.03*m.x12 + 1.07*m.x2*m.x3*m.x11*m.x11 - 5.66*m.x11 - 
                        1.77*m.x2*m.x5*m.x10*m.x11 + 5.29*m.x2*m.x9*m.x10*m.x11 + 3.99*m.x3*m.x3*m.x3*m.x12 + 8.4*m.x3*
                        m.x3*m.x10*m.x12 + 8.85*m.x6*m.x6*m.x11*m.x11 + 0.39*m.x6*m.x6*m.x12*m.x12 + 1.07*m.x7*m.x8*m.x8
                        *m.x11 + 7.52*m.x7*m.x9*m.x10*m.x12 + 0.24*m.x1*m.x6*m.x7*m.x9*m.x12 + 4.2*m.x1*m.x9*m.x9*m.x9*
                        m.x9 + 9.95*m.x2*m.x3*m.x3*m.x8*m.x12 + 7.98*m.x2*m.x3*m.x3*m.x10*m.x10 + 5.26*m.x2*m.x3*m.x4*
                        m.x6*m.x6 + 5.05*m.x4 + 9.23*m.x2*m.x6*m.x6*m.x6*m.x10 + 2.54*m.x3*m.x4*m.x4*m.x6*m.x11 + 2.14*
                        m.x3*m.x5*m.x8*m.x11*m.x11 + 0.75*m.x3*m.x6*m.x8*m.x9*m.x10 + 8.5*m.x3*m.x7*m.x8*m.x10*m.x10 + 
                        8.12*m.x4*m.x4*m.x7*m.x8*m.x8 - 0.94*m.x4*m.x5*m.x7*m.x12*m.x12 + 3.51*m.x4*m.x5*m.x8*m.x8*m.x8
                         + 7.04*m.x4*m.x6*m.x8*m.x12*m.x12 + 6.29*m.x5*m.x5*m.x5*m.x10*m.x11 + 1.03*m.x7*m.x9*m.x10*
                        m.x11*m.x11 + 3.92*m.x8*m.x8*m.x8*m.x11*m.x12 >= 5736.79)

m.c12 = Constraint(expr=   4.54*m.x1 + 1.29*m.x2 + 3.02*m.x3 + 0.81*m.x4 + 9.32*m.x5 + 7.45*m.x6 + 1.11*m.x7 + 7.61*m.x8
                         + 3.53*m.x9 + 6.01*m.x10 + 3.87*m.x11 + 9.71*m.x12 >= 91.473)
