#  NLP written by GAMS Convert at 05/24/17 14:05:42
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         10        4        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        103       49       54        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.72,2.41),initialize=0.72)
m.x2 = Var(within=Reals,bounds=(0,2.76),initialize=0)
m.x3 = Var(within=Reals,bounds=(0.82,2.28),initialize=0.82)
m.x4 = Var(within=Reals,bounds=(0.47,2.32),initialize=0.47)
m.x5 = Var(within=Reals,bounds=(0.8,2.69),initialize=0.8)
m.x6 = Var(within=Reals,bounds=(0.35,2.91),initialize=0.35)
m.x7 = Var(within=Reals,bounds=(0.71,2.82),initialize=0.71)
m.x8 = Var(within=Reals,bounds=(0.51,2.13),initialize=0.51)
m.x9 = Var(within=Reals,bounds=(0.52,2.1),initialize=0.52)
m.x10 = Var(within=Reals,bounds=(0.32,2.72),initialize=0.32)
m.x11 = Var(within=Reals,bounds=(0.21,2.43),initialize=0.21)
m.x12 = Var(within=Reals,bounds=(0.86,2.23),initialize=0.86)

m.obj = Objective(expr=2.11*m.x2 - 3.16*m.x2*m.x11 + 4.16*m.x11 + 6.43*m.x3*m.x6 + 1.6*m.x3 + 2.61*m.x6 + 6.17*m.x5*m.x8
                        + 0.55*m.x5 + 4.73*m.x8 + 8.06*m.x1*m.x1*m.x1 + 1.35*m.x1 + 1.79*m.x1*m.x10*m.x11 + 5.53*m.x10
                        + 3.88*m.x1*m.x12*m.x12 - 1.59*m.x12 + 8.67*m.x2*m.x2*m.x4 - 9.11*m.x4 + 8.5*m.x2*m.x2*m.x10 + 
                       7.59*m.x2*m.x3*m.x12 + 4.43*m.x2*m.x4*m.x6 + 1.09*m.x2*m.x6*m.x6 + 1.37*m.x2*m.x9*m.x9 + 3.44*
                       m.x9 + 8.47*m.x3*m.x5*m.x11 + 3.95*m.x3*m.x9*m.x11 + 9.1*m.x4*m.x6*m.x7 + 7.82*m.x7 + 3.69*m.x4*
                       m.x7*m.x10 + 1.69*m.x4*m.x8*m.x9 + 5.14*m.x4*m.x9*m.x9 + 2.44*m.x4*m.x9*m.x12 + 1.68*m.x5*m.x8*
                       m.x12 + 9.87*m.x5*m.x9*m.x12 + 1.33*m.x6*m.x11*m.x12 + 9.05*m.x6*m.x12*m.x12 + 7.69*m.x9*m.x10*
                       m.x11 + 3.2*m.x1*m.x1*m.x2*m.x10 + 6.54*m.x1*m.x1*m.x7*m.x8 + 5.36*m.x1*m.x1*m.x7*m.x12 + 3.32*
                       m.x1*m.x2*m.x2*m.x4 + 7.94*m.x1*m.x2*m.x3*m.x4 + 1.73*m.x1*m.x2*m.x4*m.x7 + 2.99*m.x1*m.x2*m.x6*
                       m.x8 + 8.91*m.x1*m.x3*m.x3*m.x8 + 1.09*m.x1*m.x3*m.x8*m.x11 + 7.37*m.x1*m.x3*m.x11*m.x12 + 1.49*
                       m.x1*m.x4*m.x4*m.x7 + 9.13*m.x1*m.x4*m.x5*m.x11 + 1.45*m.x1*m.x4*m.x5*m.x12 + 2.21*m.x1*m.x4*m.x7
                       *m.x7 + 7.54*m.x1*m.x4*m.x8*m.x9 + 4.94*m.x1*m.x5*m.x5*m.x8 + 6.76*m.x1*m.x5*m.x9*m.x12 + 8.33*
                       m.x1*m.x6*m.x7*m.x7 + 0.22*m.x1*m.x7*m.x7*m.x8 + 1.75*m.x1*m.x7*m.x11*m.x11 + 7.24*m.x2*m.x2*m.x8
                       *m.x8 + 2.41*m.x2*m.x2*m.x9*m.x9 + 2.67*m.x2*m.x2*m.x11*m.x11 + 3.79*m.x2*m.x3*m.x7*m.x12 + 5.28*
                       m.x2*m.x3*m.x9*m.x12 + 3.32*m.x2*m.x4*m.x4*m.x8 + 9.93*m.x2*m.x4*m.x5*m.x8 + 4.84*m.x2*m.x4*m.x5*
                       m.x9 + 1.45*m.x2*m.x4*m.x5*m.x10 + 5.84*m.x2*m.x4*m.x11*m.x12 + 3.01*m.x2*m.x5*m.x5*m.x7 + 5.09*
                       m.x2*m.x5*m.x7*m.x8 + 6.7*m.x2*m.x5*m.x7*m.x9 + 0.75*m.x2*m.x6*m.x6*m.x12 - 9.28*m.x2*m.x7*m.x9*
                       m.x10 + 4.36*m.x2*m.x7*m.x9*m.x12 + 0.82*m.x2*m.x7*m.x10*m.x10 + 1.09*m.x2*m.x8*m.x10*m.x12 + 
                       9.05*m.x3*m.x3*m.x6*m.x9 + 1.43*m.x3*m.x3*m.x9*m.x11 + 7.22*m.x3*m.x4*m.x7*m.x12 + 4.72*m.x3*m.x4
                       *m.x9*m.x11 + 8.42*m.x3*m.x4*m.x10*m.x11 + 9.8*m.x3*m.x6*m.x6*m.x6 + 3.87*m.x3*m.x6*m.x6*m.x12 + 
                       3.1*m.x3*m.x7*m.x8*m.x12 + 8.4*m.x3*m.x9*m.x10*m.x11 + 9.52*m.x3*m.x10*m.x11*m.x12 + 0.53*m.x3*
                       m.x11*m.x11*m.x11 + 6.33*m.x4*m.x4*m.x4*m.x10 + 0.25*m.x4*m.x4*m.x8*m.x8 + 5.43*m.x4*m.x4*m.x10*
                       m.x11 + 2.21*m.x4*m.x5*m.x6*m.x7 + 4.42*m.x4*m.x6*m.x6*m.x11 + 7.07*m.x4*m.x6*m.x11*m.x11 + 1.51*
                       m.x4*m.x7*m.x7*m.x11 + 8.95*m.x4*m.x7*m.x8*m.x11 - 4.88*m.x4*m.x10*m.x10*m.x10 + 1.69*m.x5*m.x6*
                       m.x9*m.x12 - 1.58*m.x5*m.x6*m.x10*m.x12 + 1.75*m.x5*m.x6*m.x11*m.x11 - 6.44*m.x5*m.x7*m.x8*m.x9
                        + 0.7*m.x5*m.x8*m.x8*m.x8 + 6.19*m.x6*m.x6*m.x6*m.x12 + 4.81*m.x6*m.x7*m.x9*m.x10 + 9.15*m.x6*
                       m.x7*m.x11*m.x11 + 4.89*m.x7*m.x7*m.x7*m.x7 - 5.82*m.x7*m.x8*m.x8*m.x12 - 3.99*m.x7*m.x9*m.x9*
                       m.x12 + 0.64*m.x8*m.x8*m.x9*m.x9 + 5.78*m.x8*m.x8*m.x10*m.x12 + 0.26*m.x8*m.x9*m.x9*m.x11 + 1.57*
                       m.x9*m.x12*m.x12*m.x12 - 8.66*m.x1*m.x1*m.x1*m.x1*m.x9 + 8.53*m.x1*m.x1*m.x1*m.x2*m.x9 + 4.3*m.x1
                       *m.x1*m.x1*m.x4*m.x12 + 7.21*m.x1*m.x1*m.x1*m.x7*m.x9 + 9.86*m.x1*m.x1*m.x1*m.x9*m.x10 + 0.97*
                       m.x1*m.x1*m.x2*m.x3*m.x6 + 9.6*m.x1*m.x1*m.x2*m.x3*m.x7 + 5.17*m.x1*m.x1*m.x2*m.x4*m.x7 - 4.87*
                       m.x1*m.x1*m.x2*m.x6*m.x12 + 9.02*m.x1*m.x1*m.x3*m.x6*m.x12 + 2.92*m.x1*m.x1*m.x3*m.x12*m.x12 + 
                       7.79*m.x1*m.x1*m.x4*m.x4*m.x8 + 9.53*m.x1*m.x1*m.x4*m.x5*m.x12 + 8.26*m.x1*m.x1*m.x4*m.x7*m.x7 + 
                       0.48*m.x1*m.x1*m.x5*m.x5*m.x5 + 5.23*m.x1*m.x1*m.x5*m.x7*m.x8 + 2.48*m.x1*m.x1*m.x6*m.x9*m.x11 + 
                       1.79*m.x1*m.x1*m.x7*m.x9*m.x12 + 8.65*m.x1*m.x1*m.x8*m.x9*m.x12 + 1.41*m.x1*m.x1*m.x8*m.x10*m.x11
                        + 8.93*m.x1*m.x2*m.x3*m.x7*m.x12 + 4.32*m.x1*m.x2*m.x3*m.x12*m.x12 + 0.84*m.x1*m.x2*m.x4*m.x4*
                       m.x11 + 6.3*m.x1*m.x2*m.x4*m.x5*m.x11 - 0.68*m.x1*m.x2*m.x4*m.x5*m.x12 + 2.53*m.x1*m.x2*m.x4*
                       m.x10*m.x12 + 0.71*m.x1*m.x2*m.x5*m.x5*m.x8 + 4.33*m.x1*m.x2*m.x5*m.x9*m.x11 + 2.44*m.x1*m.x2*
                       m.x6*m.x8*m.x11 + 1.67*m.x1*m.x2*m.x6*m.x9*m.x11 + 1.52*m.x1*m.x2*m.x6*m.x10*m.x12 + 9.15*m.x1*
                       m.x2*m.x7*m.x8*m.x12 + 4.35*m.x1*m.x2*m.x10*m.x10*m.x12 + 8.41*m.x1*m.x3*m.x3*m.x8*m.x12 + 1.87*
                       m.x1*m.x3*m.x3*m.x12*m.x12 + 4.6*m.x1*m.x3*m.x4*m.x4*m.x4 + 0.78*m.x1*m.x3*m.x4*m.x6*m.x7 + 9.95*
                       m.x1*m.x3*m.x4*m.x8*m.x12 + 7.54*m.x1*m.x3*m.x4*m.x9*m.x9 + 1.96*m.x1*m.x3*m.x5*m.x5*m.x5 + 5.37*
                       m.x1*m.x3*m.x5*m.x7*m.x12 + 9.36*m.x1*m.x3*m.x6*m.x6*m.x11 + 9.7*m.x1*m.x3*m.x7*m.x8*m.x10 + 3.37
                       *m.x1*m.x4*m.x4*m.x6*m.x12 + 2.29*m.x1*m.x4*m.x4*m.x7*m.x7 + 7.2*m.x1*m.x4*m.x4*m.x10*m.x11 + 
                       9.31*m.x1*m.x4*m.x5*m.x5*m.x12 + 1.62*m.x1*m.x4*m.x5*m.x6*m.x7 + 3.82*m.x1*m.x4*m.x5*m.x7*m.x12
                        + 9.34*m.x1*m.x4*m.x5*m.x8*m.x9 + 7.78*m.x1*m.x4*m.x6*m.x10*m.x10 + 6.08*m.x1*m.x4*m.x7*m.x9*
                       m.x12 + 4.11*m.x1*m.x4*m.x7*m.x10*m.x11 + 1.09*m.x1*m.x4*m.x8*m.x9*m.x10 + 3.91*m.x1*m.x4*m.x8*
                       m.x10*m.x11 + 4.95*m.x1*m.x5*m.x5*m.x7*m.x7 + 9.26*m.x1*m.x5*m.x5*m.x11*m.x11 + 7.53*m.x1*m.x5*
                       m.x7*m.x7*m.x8 + 7*m.x1*m.x6*m.x6*m.x8*m.x10 + 3.74*m.x1*m.x6*m.x6*m.x8*m.x11 + 3.54*m.x1*m.x6*
                       m.x9*m.x10*m.x10 + 0.14*m.x1*m.x7*m.x7*m.x10*m.x11 + 6.32*m.x1*m.x7*m.x7*m.x12*m.x12 + 9.98*m.x1*
                       m.x7*m.x8*m.x8*m.x8 + 1.99*m.x1*m.x7*m.x11*m.x11*m.x12 + 9.64*m.x1*m.x8*m.x9*m.x10*m.x10 + 6.75*
                       m.x1*m.x9*m.x10*m.x10*m.x10 + 4.2*m.x1*m.x10*m.x10*m.x11*m.x11 + 9.18*m.x2*m.x2*m.x2*m.x2*m.x3 - 
                       5.05*m.x2*m.x2*m.x2*m.x3*m.x10 + 0.7*m.x2*m.x2*m.x2*m.x6*m.x9 + 7.16*m.x2*m.x2*m.x3*m.x4*m.x6 + 
                       4.26*m.x2*m.x2*m.x3*m.x4*m.x9 + 9.11*m.x2*m.x2*m.x3*m.x6*m.x6 + 6.25*m.x2*m.x2*m.x5*m.x6*m.x6 + 
                       3.34*m.x2*m.x2*m.x6*m.x6*m.x10 + 2.24*m.x2*m.x2*m.x6*m.x9*m.x10 + 9.84*m.x2*m.x2*m.x6*m.x10*m.x12
                        + 1.61*m.x2*m.x2*m.x6*m.x11*m.x11 + 0.65*m.x2*m.x2*m.x7*m.x7*m.x7 + 1.55*m.x2*m.x2*m.x7*m.x9*
                       m.x11 + 8.4*m.x2*m.x3*m.x3*m.x7*m.x10 - 5.72*m.x2*m.x3*m.x4*m.x5*m.x6 + 6.39*m.x2*m.x3*m.x4*m.x7*
                       m.x11 + 7.79*m.x2*m.x3*m.x4*m.x9*m.x12 + 3.2*m.x2*m.x3*m.x5*m.x8*m.x12 + 5.25*m.x2*m.x3*m.x6*m.x7
                       *m.x11 + 9.53*m.x2*m.x3*m.x6*m.x10*m.x10 + 3.82*m.x2*m.x3*m.x10*m.x10*m.x10 + 0.22*m.x2*m.x4*m.x4
                       *m.x6*m.x9 + 7.68*m.x2*m.x4*m.x4*m.x11*m.x11 + 9.12*m.x2*m.x4*m.x5*m.x5*m.x8 + 5.99*m.x2*m.x4*
                       m.x5*m.x7*m.x11 + 9.68*m.x2*m.x4*m.x5*m.x12*m.x12 + 0.77*m.x2*m.x4*m.x6*m.x7*m.x9 + 9.09*m.x2*
                       m.x4*m.x7*m.x7*m.x9 + 6.74*m.x2*m.x4*m.x8*m.x9*m.x11 + 8.8*m.x2*m.x4*m.x8*m.x10*m.x10 + 8.19*m.x2
                       *m.x5*m.x5*m.x5*m.x9 + 9.14*m.x2*m.x5*m.x5*m.x6*m.x7 - 3.34*m.x2*m.x5*m.x6*m.x6*m.x8 + 0.97*m.x2*
                       m.x5*m.x6*m.x9*m.x12 + 1.45*m.x2*m.x5*m.x7*m.x8*m.x11 + 2.05*m.x2*m.x5*m.x8*m.x10*m.x10 + 2.96*
                       m.x2*m.x5*m.x10*m.x10*m.x12 + 1.08*m.x2*m.x6*m.x6*m.x7*m.x12 + 8.07*m.x2*m.x6*m.x6*m.x8*m.x12 + 
                       7.1*m.x2*m.x6*m.x6*m.x9*m.x9 + 3.95*m.x2*m.x6*m.x7*m.x7*m.x7 + 7.13*m.x2*m.x6*m.x7*m.x7*m.x9 + 
                       5.99*m.x2*m.x6*m.x7*m.x8*m.x12 + 9.84*m.x2*m.x6*m.x9*m.x9*m.x11 + 3.36*m.x2*m.x6*m.x10*m.x10*
                       m.x10 + 8.06*m.x2*m.x7*m.x8*m.x8*m.x8 - 4.21*m.x2*m.x7*m.x8*m.x9*m.x12 + 8*m.x2*m.x7*m.x8*m.x10*
                       m.x11 + 0.76*m.x2*m.x8*m.x8*m.x8*m.x12 + 7.86*m.x2*m.x11*m.x11*m.x11*m.x12 + 9.74*m.x2*m.x11*
                       m.x12*m.x12*m.x12 + 3.8*m.x3*m.x3*m.x3*m.x5*m.x7 + 8.28*m.x3*m.x3*m.x3*m.x8*m.x11 + 5.94*m.x3*
                       m.x3*m.x3*m.x11*m.x11 + 0.75*m.x3*m.x3*m.x3*m.x11*m.x12 + 2.36*m.x3*m.x3*m.x4*m.x9*m.x12 + 6.84*
                       m.x3*m.x3*m.x5*m.x5*m.x5 + 3.72*m.x3*m.x3*m.x5*m.x6*m.x10 - 5.99*m.x3*m.x3*m.x6*m.x6*m.x12 + 6.49
                       *m.x3*m.x3*m.x7*m.x8*m.x12 + 8.78*m.x3*m.x3*m.x9*m.x10*m.x10 + 7.47*m.x3*m.x3*m.x10*m.x10*m.x10
                        + 0.41*m.x3*m.x3*m.x11*m.x12*m.x12 + 7.57*m.x3*m.x4*m.x4*m.x6*m.x10 + 6.57*m.x3*m.x4*m.x5*m.x8*
                       m.x8 + 7.42*m.x3*m.x4*m.x7*m.x9*m.x11 + 7.15*m.x3*m.x4*m.x10*m.x10*m.x10 + 2.89*m.x3*m.x5*m.x6*
                       m.x7*m.x10 + 7.91*m.x3*m.x5*m.x6*m.x8*m.x12 + 3.13*m.x3*m.x5*m.x8*m.x11*m.x12 + 5.64*m.x3*m.x5*
                       m.x11*m.x11*m.x11 + 9.05*m.x3*m.x7*m.x7*m.x10*m.x10 + 6.95*m.x3*m.x7*m.x9*m.x9*m.x11 + 5.04*m.x3*
                       m.x8*m.x8*m.x10*m.x11 + 6.06*m.x3*m.x8*m.x11*m.x12*m.x12 + 1.7*m.x3*m.x9*m.x9*m.x10*m.x10 - 1.92*
                       m.x3*m.x9*m.x10*m.x12*m.x12 + 2.4*m.x4*m.x4*m.x4*m.x4*m.x10 - 9.97*m.x4*m.x4*m.x4*m.x4*m.x12 + 
                       1.54*m.x4*m.x4*m.x4*m.x5*m.x7 + 8.83*m.x4*m.x4*m.x4*m.x7*m.x7 + 7.28*m.x4*m.x4*m.x4*m.x7*m.x9 + 
                       7.24*m.x4*m.x4*m.x4*m.x9*m.x11 + 6.53*m.x4*m.x4*m.x4*m.x10*m.x10 + 1.56*m.x4*m.x4*m.x6*m.x9*m.x11
                        + 5.02*m.x4*m.x4*m.x7*m.x7*m.x9 - 9.2*m.x4*m.x4*m.x7*m.x7*m.x10 + 0.36*m.x4*m.x4*m.x7*m.x8*m.x11
                        + 8.14*m.x4*m.x4*m.x8*m.x8*m.x9 + 0.74*m.x4*m.x4*m.x10*m.x11*m.x11 - 8.08*m.x4*m.x5*m.x6*m.x7*
                       m.x10 + 7.2*m.x4*m.x5*m.x6*m.x9*m.x12 + 3.28*m.x4*m.x5*m.x7*m.x8*m.x11 + 2.25*m.x4*m.x5*m.x7*
                       m.x11*m.x12 + 2.65*m.x4*m.x6*m.x6*m.x8*m.x8 + 2.64*m.x4*m.x6*m.x7*m.x7*m.x12 + 7.17*m.x4*m.x6*
                       m.x7*m.x8*m.x12 + 9.12*m.x4*m.x6*m.x8*m.x8*m.x12 + 0.16*m.x4*m.x6*m.x8*m.x9*m.x10 + 0.96*m.x4*
                       m.x6*m.x10*m.x10*m.x10 + 0.52*m.x4*m.x6*m.x11*m.x11*m.x11 + 8.07*m.x4*m.x7*m.x8*m.x11*m.x11 + 
                       4.45*m.x4*m.x7*m.x8*m.x12*m.x12 + 8.57*m.x4*m.x7*m.x9*m.x9*m.x9 + 5.81*m.x4*m.x7*m.x9*m.x9*m.x10
                        + 4.53*m.x4*m.x8*m.x8*m.x8*m.x9 + 0.45*m.x4*m.x8*m.x8*m.x9*m.x12 + 3.76*m.x4*m.x8*m.x9*m.x9*m.x9
                        + 4.91*m.x4*m.x8*m.x10*m.x12*m.x12 + 0.5*m.x4*m.x10*m.x10*m.x10*m.x12 + 4.76*m.x5*m.x5*m.x5*m.x5
                       *m.x7 + 2.67*m.x5*m.x5*m.x5*m.x5*m.x9 + 2.79*m.x5*m.x5*m.x5*m.x6*m.x9 + 8.68*m.x5*m.x5*m.x6*m.x10
                       *m.x10 + 2.6*m.x5*m.x5*m.x7*m.x8*m.x9 + 1.49*m.x5*m.x5*m.x8*m.x8*m.x10 + 7.6*m.x5*m.x6*m.x6*m.x7*
                       m.x7 + 2.79*m.x5*m.x6*m.x8*m.x8*m.x8 - m.x5*m.x6*m.x8*m.x9*m.x11 + 5.01*m.x5*m.x6*m.x9*m.x12*
                       m.x12 + 6.95*m.x5*m.x7*m.x8*m.x9*m.x10 + 4.18*m.x5*m.x7*m.x8*m.x9*m.x12 + 8.16*m.x5*m.x7*m.x9*
                       m.x10*m.x11 + 1.24*m.x5*m.x7*m.x11*m.x11*m.x12 + 0.43*m.x5*m.x8*m.x8*m.x9*m.x10 + 4.7*m.x5*m.x8*
                       m.x8*m.x10*m.x10 + 9.16*m.x5*m.x8*m.x10*m.x10*m.x11 + 2.48*m.x5*m.x8*m.x10*m.x12*m.x12 + 8.45*
                       m.x6*m.x6*m.x8*m.x10*m.x10 + 5.76*m.x6*m.x6*m.x11*m.x11*m.x12 + 7.84*m.x6*m.x6*m.x11*m.x12*m.x12
                        - 2.52*m.x6*m.x7*m.x7*m.x8*m.x11 + 7.22*m.x6*m.x7*m.x8*m.x9*m.x10 - 3.74*m.x6*m.x7*m.x9*m.x10*
                       m.x11 + 5*m.x6*m.x7*m.x10*m.x10*m.x10 + 0.06*m.x6*m.x10*m.x10*m.x12*m.x12 + 0.07*m.x7*m.x7*m.x9*
                       m.x11*m.x11 + 1.54*m.x7*m.x7*m.x10*m.x11*m.x12 + 2.76*m.x7*m.x8*m.x11*m.x12*m.x12 + 8.54*m.x8*
                       m.x8*m.x8*m.x8*m.x9 + 5.01*m.x8*m.x8*m.x8*m.x9*m.x12 + 6.44*m.x8*m.x8*m.x8*m.x11*m.x12 + 5.3*m.x8
                       *m.x9*m.x9*m.x9*m.x11 + 2.02*m.x9*m.x11*m.x11*m.x11*m.x11, sense=minimize)

m.c1 = Constraint(expr=   1.16*m.x3 + 5.7*m.x6 + 9.57*m.x7 + 7.89*m.x8 + 4.17*m.x9 - 3.2*m.x11 == 39.634)

m.c2 = Constraint(expr=   8.69*m.x1 + 2.35*m.x3 + 1.41*m.x7 + 0.97*m.x9 + 1.26*m.x10 - 0.96*m.x12 == 21.434)

m.c3 = Constraint(expr=   8.84*m.x4 - 9.88*m.x5 + 0.36*m.x6 - 0.1*m.x7 + 1.61*m.x9 + 9.96*m.x10 == 12.75)

m.c4 = Constraint(expr=   9.32*m.x1 + 3.34*m.x2 + 5.24*m.x3 + 6.61*m.x4 + 1.2*m.x5 + 1.4*m.x6 + 8.2*m.x7 + 8.65*m.x8
                        + 0.72*m.x9 + 1.64*m.x10 + 6.82*m.x11 + 0.26*m.x12 >= 79.645)

m.c5 = Constraint(expr=3.61*m.x2*m.x11 + 1.76*m.x2 + 6.19*m.x11 + 8.22*m.x3*m.x6 + 4.4*m.x3 + 6.92*m.x6 + 1.54*m.x5*m.x8
                        + 3.96*m.x5 + 1.21*m.x8 + 9.17*m.x1 + 8.35*m.x4 + 4.09*m.x7 + 7.72*m.x9 + 1.7*m.x10 + 3.6*m.x12
                        >= 133.964)

m.c6 = Constraint(expr=6.5*m.x2*m.x11 - 6.98*m.x2 - 9.55*m.x11 + 6.54*m.x3*m.x6 + 0.61*m.x3 + 3.2*m.x6 + 1.46*m.x5*m.x8
                        + 2.22*m.x5 - 2.98*m.x8 + 2.78*m.x1*m.x1*m.x1 + 8.01*m.x1 + 3.88*m.x1*m.x10*m.x11 + 1.74*m.x10
                        + 2.63*m.x1*m.x12*m.x12 + 2.48*m.x12 + 2.5*m.x2*m.x2*m.x4 + 1.32*m.x4 + 8.55*m.x2*m.x2*m.x10 + 
                       4.48*m.x2*m.x3*m.x12 + 8.94*m.x2*m.x4*m.x6 + 1.65*m.x2*m.x6*m.x6 + 7.14*m.x2*m.x9*m.x9 + 3.06*
                       m.x9 + 4.3*m.x3*m.x5*m.x11 + 7.44*m.x3*m.x9*m.x11 - 7.59*m.x4*m.x6*m.x7 + 5.61*m.x7 + 5.84*m.x4*
                       m.x7*m.x10 - 1.13*m.x4*m.x8*m.x9 + 8.46*m.x4*m.x9*m.x9 + 6.88*m.x4*m.x9*m.x12 + 5.32*m.x5*m.x8*
                       m.x12 + 5.78*m.x5*m.x9*m.x12 + 2.33*m.x6*m.x11*m.x12 + 8.37*m.x6*m.x12*m.x12 + 9.37*m.x9*m.x10*
                       m.x11 >= 772.254)

m.c7 = Constraint(expr=3.2*m.x2*m.x11 + 7.17*m.x2 + 6.58*m.x11 + 6.35*m.x3*m.x6 + 3.86*m.x3 + 3.07*m.x6 + 5.68*m.x5*m.x8
                        + 8.62*m.x5 + 4.08*m.x8 + 6.12*m.x1*m.x1*m.x1 + 9.68*m.x1 + 3.94*m.x1*m.x10*m.x11 + 2.39*m.x10
                        + 7.93*m.x1*m.x12*m.x12 + 2.97*m.x12 + 7.6*m.x2*m.x2*m.x4 + 0.88*m.x4 + 7.55*m.x2*m.x2*m.x10 + 
                       1.27*m.x2*m.x3*m.x12 + 0.94*m.x2*m.x4*m.x6 + 7.62*m.x2*m.x6*m.x6 - 4.07*m.x2*m.x9*m.x9 + 2.81*
                       m.x9 + 8.45*m.x3*m.x5*m.x11 - 5.38*m.x3*m.x9*m.x11 + 9.22*m.x4*m.x6*m.x7 + 5.03*m.x7 + 8.64*m.x4*
                       m.x7*m.x10 + 7.16*m.x4*m.x8*m.x9 + 9.03*m.x4*m.x9*m.x9 + 8.5*m.x4*m.x9*m.x12 + 0.21*m.x5*m.x8*
                       m.x12 + 4.95*m.x5*m.x9*m.x12 + 5.32*m.x6*m.x11*m.x12 + 4.81*m.x6*m.x12*m.x12 + 9.59*m.x9*m.x10*
                       m.x11 + 9.07*m.x1*m.x1*m.x2*m.x10 + 7.41*m.x1*m.x1*m.x7*m.x8 + 7.69*m.x1*m.x1*m.x7*m.x12 + 1.75*
                       m.x1*m.x2*m.x2*m.x4 + 6.51*m.x1*m.x2*m.x3*m.x4 - 8.58*m.x1*m.x2*m.x4*m.x7 + 0.01*m.x1*m.x2*m.x6*
                       m.x8 + 4.29*m.x1*m.x3*m.x3*m.x8 + 0.27*m.x1*m.x3*m.x8*m.x11 + 8.77*m.x1*m.x3*m.x11*m.x12 + 7.43*
                       m.x1*m.x4*m.x4*m.x7 + 2.11*m.x1*m.x4*m.x5*m.x11 + 1.93*m.x1*m.x4*m.x5*m.x12 + 7.5*m.x1*m.x4*m.x7*
                       m.x7 + 4*m.x1*m.x4*m.x8*m.x9 + 8.47*m.x1*m.x5*m.x5*m.x8 + 0.41*m.x1*m.x5*m.x9*m.x12 + 2.92*m.x1*
                       m.x6*m.x7*m.x7 + 4.13*m.x1*m.x7*m.x7*m.x8 - 2.13*m.x1*m.x7*m.x11*m.x11 + 7*m.x2*m.x2*m.x8*m.x8 + 
                       7.18*m.x2*m.x2*m.x9*m.x9 + 0.74*m.x2*m.x2*m.x11*m.x11 + 0.91*m.x2*m.x3*m.x7*m.x12 + 6.7*m.x2*m.x3
                       *m.x9*m.x12 + 8.05*m.x2*m.x4*m.x4*m.x8 + 9.63*m.x2*m.x4*m.x5*m.x8 + 1.36*m.x2*m.x4*m.x5*m.x9 + 
                       5.7*m.x2*m.x4*m.x5*m.x10 + 6.72*m.x2*m.x4*m.x11*m.x12 + 0.22*m.x2*m.x5*m.x5*m.x7 + 4.74*m.x2*m.x5
                       *m.x7*m.x8 + 5.22*m.x2*m.x5*m.x7*m.x9 + 1.96*m.x2*m.x6*m.x6*m.x12 + 2.4*m.x2*m.x7*m.x9*m.x10 + 
                       9.28*m.x2*m.x7*m.x9*m.x12 + 1.51*m.x2*m.x7*m.x10*m.x10 + 0.45*m.x2*m.x8*m.x10*m.x12 - 9.73*m.x3*
                       m.x3*m.x6*m.x9 + 8.61*m.x3*m.x3*m.x9*m.x11 + 2.16*m.x3*m.x4*m.x7*m.x12 + 3.37*m.x3*m.x4*m.x9*
                       m.x11 + 8.84*m.x3*m.x4*m.x10*m.x11 + 6.55*m.x3*m.x6*m.x6*m.x6 + 8.62*m.x3*m.x6*m.x6*m.x12 + 9.25*
                       m.x3*m.x7*m.x8*m.x12 + 5.09*m.x3*m.x9*m.x10*m.x11 + 8.02*m.x3*m.x10*m.x11*m.x12 + 5.02*m.x3*m.x11
                       *m.x11*m.x11 + 3.09*m.x4*m.x4*m.x4*m.x10 + 4.51*m.x4*m.x4*m.x8*m.x8 + 6.31*m.x4*m.x4*m.x10*m.x11
                        + 3.19*m.x4*m.x5*m.x6*m.x7 + 1.71*m.x4*m.x6*m.x6*m.x11 + 1.91*m.x4*m.x6*m.x11*m.x11 + 6.52*m.x4*
                       m.x7*m.x7*m.x11 + 3.94*m.x4*m.x7*m.x8*m.x11 - 5.33*m.x4*m.x10*m.x10*m.x10 + 5.36*m.x5*m.x6*m.x9*
                       m.x12 + 5.35*m.x5*m.x6*m.x10*m.x12 + 4.62*m.x5*m.x6*m.x11*m.x11 + 5.45*m.x5*m.x7*m.x8*m.x9 + 6.81
                       *m.x5*m.x8*m.x8*m.x8 + 6.99*m.x6*m.x6*m.x6*m.x12 + 2.88*m.x6*m.x7*m.x9*m.x10 - 8.93*m.x6*m.x7*
                       m.x11*m.x11 + 9.03*m.x7*m.x7*m.x7*m.x7 + 5.42*m.x7*m.x8*m.x8*m.x12 + 6.75*m.x7*m.x9*m.x9*m.x12 + 
                       8.34*m.x8*m.x8*m.x9*m.x9 + 8.73*m.x8*m.x8*m.x10*m.x12 + 2.85*m.x8*m.x9*m.x9*m.x11 - 0.9*m.x9*
                       m.x12*m.x12*m.x12 >= 6560.025)

m.c8 = Constraint(expr=1.79*m.x2*m.x11 - 6.04*m.x2 + 7.86*m.x11 + 8.23*m.x3*m.x6 + 4.46*m.x3 + 0.12*m.x6 + 4.87*m.x5*
                       m.x8 + 9.75*m.x5 + 3.42*m.x8 - 3.44*m.x1*m.x1*m.x1 + 8.59*m.x1 - 1.85*m.x1*m.x10*m.x11 + 1.1*
                       m.x10 + 4.3*m.x1*m.x12*m.x12 + 8.46*m.x12 + 9.69*m.x2*m.x2*m.x4 + 9.18*m.x4 - 9.36*m.x2*m.x2*
                       m.x10 + 0.61*m.x2*m.x3*m.x12 + 6.33*m.x2*m.x4*m.x6 + 1.97*m.x2*m.x6*m.x6 + 2.84*m.x2*m.x9*m.x9 + 
                       6.16*m.x9 + 5.52*m.x3*m.x5*m.x11 + 2.43*m.x3*m.x9*m.x11 + 3.95*m.x4*m.x6*m.x7 + 9.37*m.x7 + 6.15*
                       m.x4*m.x7*m.x10 + 7.58*m.x4*m.x8*m.x9 + 4.99*m.x4*m.x9*m.x9 + 8.9*m.x4*m.x9*m.x12 + 3.55*m.x5*
                       m.x8*m.x12 + 7.89*m.x5*m.x9*m.x12 + 0.14*m.x6*m.x11*m.x12 + 5.86*m.x6*m.x12*m.x12 + 3.78*m.x9*
                       m.x10*m.x11 + 0.58*m.x1*m.x1*m.x2*m.x10 + 3.32*m.x1*m.x1*m.x7*m.x8 + 0.66*m.x1*m.x1*m.x7*m.x12 + 
                       8.89*m.x1*m.x2*m.x2*m.x4 + 1.83*m.x1*m.x2*m.x3*m.x4 + 1.27*m.x1*m.x2*m.x4*m.x7 + 3.07*m.x1*m.x2*
                       m.x6*m.x8 + 9.22*m.x1*m.x3*m.x3*m.x8 + 5.26*m.x1*m.x3*m.x8*m.x11 + 0.18*m.x1*m.x3*m.x11*m.x12 + 
                       0.34*m.x1*m.x4*m.x4*m.x7 + 4.75*m.x1*m.x4*m.x5*m.x11 + 3.56*m.x1*m.x4*m.x5*m.x12 + 0.08*m.x1*m.x4
                       *m.x7*m.x7 + 6.9*m.x1*m.x4*m.x8*m.x9 + 2.62*m.x1*m.x5*m.x5*m.x8 + 6.27*m.x1*m.x5*m.x9*m.x12 + 
                       5.51*m.x1*m.x6*m.x7*m.x7 + 0.34*m.x1*m.x7*m.x7*m.x8 + 0.89*m.x1*m.x7*m.x11*m.x11 + 3.94*m.x2*m.x2
                       *m.x8*m.x8 + 2.47*m.x2*m.x2*m.x9*m.x9 + 3.64*m.x2*m.x2*m.x11*m.x11 + 8.63*m.x2*m.x3*m.x7*m.x12 + 
                       8.49*m.x2*m.x3*m.x9*m.x12 + 1.51*m.x2*m.x4*m.x4*m.x8 + 3.64*m.x2*m.x4*m.x5*m.x8 + 2.16*m.x2*m.x4*
                       m.x5*m.x9 + 9.74*m.x2*m.x4*m.x5*m.x10 + 7.24*m.x2*m.x4*m.x11*m.x12 + 5.77*m.x2*m.x5*m.x5*m.x7 + 
                       7.61*m.x2*m.x5*m.x7*m.x8 + 8.33*m.x2*m.x5*m.x7*m.x9 + 3.92*m.x2*m.x6*m.x6*m.x12 + 5.02*m.x2*m.x7*
                       m.x9*m.x10 + 9.74*m.x2*m.x7*m.x9*m.x12 + 4.81*m.x2*m.x7*m.x10*m.x10 + 7.39*m.x2*m.x8*m.x10*m.x12
                        + 3.19*m.x3*m.x3*m.x6*m.x9 + 6.91*m.x3*m.x3*m.x9*m.x11 + 4.95*m.x3*m.x4*m.x7*m.x12 + 3.26*m.x3*
                       m.x4*m.x9*m.x11 + 2.33*m.x3*m.x4*m.x10*m.x11 + 2.42*m.x3*m.x6*m.x6*m.x6 - 1.4*m.x3*m.x6*m.x6*
                       m.x12 + 1.3*m.x3*m.x7*m.x8*m.x12 + 4.5*m.x3*m.x9*m.x10*m.x11 + 2.06*m.x3*m.x10*m.x11*m.x12 + 1.51
                       *m.x3*m.x11*m.x11*m.x11 + 6.1*m.x4*m.x4*m.x4*m.x10 + 7.74*m.x4*m.x4*m.x8*m.x8 + 7.86*m.x4*m.x4*
                       m.x10*m.x11 + 1.41*m.x4*m.x5*m.x6*m.x7 + 4.01*m.x4*m.x6*m.x6*m.x11 + 8.26*m.x4*m.x6*m.x11*m.x11
                        + 8.13*m.x4*m.x7*m.x7*m.x11 - 6.41*m.x4*m.x7*m.x8*m.x11 + 6.28*m.x4*m.x10*m.x10*m.x10 + 8.98*
                       m.x5*m.x6*m.x9*m.x12 + 3.78*m.x5*m.x6*m.x10*m.x12 + 7.58*m.x5*m.x6*m.x11*m.x11 + 8.48*m.x5*m.x7*
                       m.x8*m.x9 - 4.2*m.x5*m.x8*m.x8*m.x8 + 0.84*m.x6*m.x6*m.x6*m.x12 + 4.58*m.x6*m.x7*m.x9*m.x10 + 
                       6.17*m.x6*m.x7*m.x11*m.x11 + 0.61*m.x7*m.x7*m.x7*m.x7 + 9.26*m.x7*m.x8*m.x8*m.x12 + 4.8*m.x7*m.x9
                       *m.x9*m.x12 + 6.82*m.x8*m.x8*m.x9*m.x9 + 4.5*m.x8*m.x8*m.x10*m.x12 + 7.94*m.x8*m.x9*m.x9*m.x11 + 
                       8.69*m.x9*m.x12*m.x12*m.x12 + 7.96*m.x1*m.x1*m.x1*m.x1*m.x9 + 5.24*m.x1*m.x1*m.x1*m.x2*m.x9 + 6*
                       m.x1*m.x1*m.x1*m.x4*m.x12 + 1.35*m.x1*m.x1*m.x1*m.x7*m.x9 + 1.57*m.x1*m.x1*m.x1*m.x9*m.x10 - 5.02
                       *m.x1*m.x1*m.x2*m.x3*m.x6 + 0.37*m.x1*m.x1*m.x2*m.x3*m.x7 + 0.41*m.x1*m.x1*m.x2*m.x4*m.x7 + 4.83*
                       m.x1*m.x1*m.x2*m.x6*m.x12 + 4.81*m.x1*m.x1*m.x3*m.x6*m.x12 + 9.53*m.x1*m.x1*m.x3*m.x12*m.x12 - 
                       0.11*m.x1*m.x1*m.x4*m.x4*m.x8 + 6.92*m.x1*m.x1*m.x4*m.x5*m.x12 + 6.58*m.x1*m.x1*m.x4*m.x7*m.x7 + 
                       3.56*m.x1*m.x1*m.x5*m.x5*m.x5 + 1.67*m.x1*m.x1*m.x5*m.x7*m.x8 + 2.27*m.x1*m.x1*m.x6*m.x9*m.x11 + 
                       1.81*m.x1*m.x1*m.x7*m.x9*m.x12 + 0.46*m.x1*m.x1*m.x8*m.x9*m.x12 + 9.87*m.x1*m.x1*m.x8*m.x10*m.x11
                        + 9.95*m.x1*m.x2*m.x3*m.x7*m.x12 + 6.18*m.x1*m.x2*m.x3*m.x12*m.x12 + 8.65*m.x1*m.x2*m.x4*m.x4*
                       m.x11 + 5.91*m.x1*m.x2*m.x4*m.x5*m.x11 - 9.31*m.x1*m.x2*m.x4*m.x5*m.x12 - 0.57*m.x1*m.x2*m.x4*
                       m.x10*m.x12 + 5.77*m.x1*m.x2*m.x5*m.x5*m.x8 + 6.52*m.x1*m.x2*m.x5*m.x9*m.x11 + 1.92*m.x1*m.x2*
                       m.x6*m.x8*m.x11 + 8.27*m.x1*m.x2*m.x6*m.x9*m.x11 + 3.75*m.x1*m.x2*m.x6*m.x10*m.x12 + 9.31*m.x1*
                       m.x2*m.x7*m.x8*m.x12 + 9.75*m.x1*m.x2*m.x10*m.x10*m.x12 + 8.46*m.x1*m.x3*m.x3*m.x8*m.x12 + 0.05*
                       m.x1*m.x3*m.x3*m.x12*m.x12 + 4.35*m.x1*m.x3*m.x4*m.x4*m.x4 + 9.52*m.x1*m.x3*m.x4*m.x6*m.x7 + 5.97
                       *m.x1*m.x3*m.x4*m.x8*m.x12 + 5.22*m.x1*m.x3*m.x4*m.x9*m.x9 + 2.06*m.x1*m.x3*m.x5*m.x5*m.x5 + 3.43
                       *m.x1*m.x3*m.x5*m.x7*m.x12 + 7.19*m.x1*m.x3*m.x6*m.x6*m.x11 + 6.7*m.x1*m.x3*m.x7*m.x8*m.x10 + 
                       7.27*m.x1*m.x4*m.x4*m.x6*m.x12 + 6.05*m.x1*m.x4*m.x4*m.x7*m.x7 + 2.37*m.x1*m.x4*m.x4*m.x10*m.x11
                        + 8.85*m.x1*m.x4*m.x5*m.x5*m.x12 + 9.61*m.x1*m.x4*m.x5*m.x6*m.x7 + 7.48*m.x1*m.x4*m.x5*m.x7*
                       m.x12 + 4.03*m.x1*m.x4*m.x5*m.x8*m.x9 + 9.25*m.x1*m.x4*m.x6*m.x10*m.x10 + 0.07*m.x1*m.x4*m.x7*
                       m.x9*m.x12 + 2.77*m.x1*m.x4*m.x7*m.x10*m.x11 + 1.73*m.x1*m.x4*m.x8*m.x9*m.x10 + 1.2*m.x1*m.x4*
                       m.x8*m.x10*m.x11 + 3.9*m.x1*m.x5*m.x5*m.x7*m.x7 + 7.57*m.x1*m.x5*m.x5*m.x11*m.x11 + 3.04*m.x1*
                       m.x5*m.x7*m.x7*m.x8 + 2.56*m.x1*m.x6*m.x6*m.x8*m.x10 + 9.67*m.x1*m.x6*m.x6*m.x8*m.x11 + 0.06*m.x1
                       *m.x6*m.x9*m.x10*m.x10 + 0.76*m.x1*m.x7*m.x7*m.x10*m.x11 + 0.76*m.x1*m.x7*m.x7*m.x12*m.x12 + 4.65
                       *m.x1*m.x7*m.x8*m.x8*m.x8 - 9.13*m.x1*m.x7*m.x11*m.x11*m.x12 + 6.39*m.x1*m.x8*m.x9*m.x10*m.x10 + 
                       4.1*m.x1*m.x9*m.x10*m.x10*m.x10 + 6.37*m.x1*m.x10*m.x10*m.x11*m.x11 + 8.74*m.x2*m.x2*m.x2*m.x2*
                       m.x3 + 9.87*m.x2*m.x2*m.x2*m.x3*m.x10 - 9.27*m.x2*m.x2*m.x2*m.x6*m.x9 + 0.54*m.x2*m.x2*m.x3*m.x4*
                       m.x6 + 8.65*m.x2*m.x2*m.x3*m.x4*m.x9 + 5.54*m.x2*m.x2*m.x3*m.x6*m.x6 - 5.18*m.x2*m.x2*m.x5*m.x6*
                       m.x6 + 5.09*m.x2*m.x2*m.x6*m.x6*m.x10 + 1.28*m.x2*m.x2*m.x6*m.x9*m.x10 + 4.39*m.x2*m.x2*m.x6*
                       m.x10*m.x12 + 2.94*m.x2*m.x2*m.x6*m.x11*m.x11 + 0.55*m.x2*m.x2*m.x7*m.x7*m.x7 + 4.9*m.x2*m.x2*
                       m.x7*m.x9*m.x11 - 2.52*m.x2*m.x3*m.x3*m.x7*m.x10 + 2.2*m.x2*m.x3*m.x4*m.x5*m.x6 + 6.64*m.x2*m.x3*
                       m.x4*m.x7*m.x11 + 3.05*m.x2*m.x3*m.x4*m.x9*m.x12 + 5.86*m.x2*m.x3*m.x5*m.x8*m.x12 + 3.68*m.x2*
                       m.x3*m.x6*m.x7*m.x11 + 5.14*m.x2*m.x3*m.x6*m.x10*m.x10 + 0.19*m.x2*m.x3*m.x10*m.x10*m.x10 - 1.17*
                       m.x2*m.x4*m.x4*m.x6*m.x9 + 7.93*m.x2*m.x4*m.x4*m.x11*m.x11 + 8.96*m.x2*m.x4*m.x5*m.x5*m.x8 + 3.6*
                       m.x2*m.x4*m.x5*m.x7*m.x11 + 3.25*m.x2*m.x4*m.x5*m.x12*m.x12 + 0.4*m.x2*m.x4*m.x6*m.x7*m.x9 + 7.53
                       *m.x2*m.x4*m.x7*m.x7*m.x9 - 1.59*m.x2*m.x4*m.x8*m.x9*m.x11 + 8.42*m.x2*m.x4*m.x8*m.x10*m.x10 + 
                       2.72*m.x2*m.x5*m.x5*m.x5*m.x9 + 8.36*m.x2*m.x5*m.x5*m.x6*m.x7 + 7.87*m.x2*m.x5*m.x6*m.x6*m.x8 + 
                       4.24*m.x2*m.x5*m.x6*m.x9*m.x12 + 0.22*m.x2*m.x5*m.x7*m.x8*m.x11 + 4.93*m.x2*m.x5*m.x8*m.x10*m.x10
                        + 2.23*m.x2*m.x5*m.x10*m.x10*m.x12 - 5.49*m.x2*m.x6*m.x6*m.x7*m.x12 + 5.76*m.x2*m.x6*m.x6*m.x8*
                       m.x12 + 0.78*m.x2*m.x6*m.x6*m.x9*m.x9 + 7.47*m.x2*m.x6*m.x7*m.x7*m.x7 + 6.42*m.x2*m.x6*m.x7*m.x7*
                       m.x9 + 9.74*m.x2*m.x6*m.x7*m.x8*m.x12 + 9.83*m.x2*m.x6*m.x9*m.x9*m.x11 + 2.52*m.x2*m.x6*m.x10*
                       m.x10*m.x10 + 9.18*m.x2*m.x7*m.x8*m.x8*m.x8 + 6.37*m.x2*m.x7*m.x8*m.x9*m.x12 + 3.04*m.x2*m.x7*
                       m.x8*m.x10*m.x11 + 1.92*m.x2*m.x8*m.x8*m.x8*m.x12 + 8.6*m.x2*m.x11*m.x11*m.x11*m.x12 + 6.26*m.x2*
                       m.x11*m.x12*m.x12*m.x12 + 1.21*m.x3*m.x3*m.x3*m.x5*m.x7 + 1.41*m.x3*m.x3*m.x3*m.x8*m.x11 + 3.11*
                       m.x3*m.x3*m.x3*m.x11*m.x11 + 5.18*m.x3*m.x3*m.x3*m.x11*m.x12 + 4.1*m.x3*m.x3*m.x4*m.x9*m.x12 + 
                       9.9*m.x3*m.x3*m.x5*m.x5*m.x5 + 2.01*m.x3*m.x3*m.x5*m.x6*m.x10 - 9.09*m.x3*m.x3*m.x6*m.x6*m.x12 + 
                       5.79*m.x3*m.x3*m.x7*m.x8*m.x12 + 7.61*m.x3*m.x3*m.x9*m.x10*m.x10 + 8.95*m.x3*m.x3*m.x10*m.x10*
                       m.x10 + 5.45*m.x3*m.x3*m.x11*m.x12*m.x12 - 6.28*m.x3*m.x4*m.x4*m.x6*m.x10 + 0.5*m.x3*m.x4*m.x5*
                       m.x8*m.x8 + 1.6*m.x3*m.x4*m.x7*m.x9*m.x11 + 0.73*m.x3*m.x4*m.x10*m.x10*m.x10 + 9.32*m.x3*m.x5*
                       m.x6*m.x7*m.x10 + 0.9*m.x3*m.x5*m.x6*m.x8*m.x12 + 7.69*m.x3*m.x5*m.x8*m.x11*m.x12 + 4.25*m.x3*
                       m.x5*m.x11*m.x11*m.x11 + 6.54*m.x3*m.x7*m.x7*m.x10*m.x10 + 4.47*m.x3*m.x7*m.x9*m.x9*m.x11 + 7.22*
                       m.x3*m.x8*m.x8*m.x10*m.x11 + 8.17*m.x3*m.x8*m.x11*m.x12*m.x12 - 7.78*m.x3*m.x9*m.x9*m.x10*m.x10
                        + 3.33*m.x3*m.x9*m.x10*m.x12*m.x12 - 0.91*m.x4*m.x4*m.x4*m.x4*m.x10 - 3.8*m.x4*m.x4*m.x4*m.x4*
                       m.x12 + 7.72*m.x4*m.x4*m.x4*m.x5*m.x7 + 5.47*m.x4*m.x4*m.x4*m.x7*m.x7 + 4.96*m.x4*m.x4*m.x4*m.x7*
                       m.x9 + 4.12*m.x4*m.x4*m.x4*m.x9*m.x11 + 8.68*m.x4*m.x4*m.x4*m.x10*m.x10 - 0.46*m.x4*m.x4*m.x6*
                       m.x9*m.x11 + 1.99*m.x4*m.x4*m.x7*m.x7*m.x9 + 2.62*m.x4*m.x4*m.x7*m.x7*m.x10 + 9.78*m.x4*m.x4*m.x7
                       *m.x8*m.x11 - 1.32*m.x4*m.x4*m.x8*m.x8*m.x9 + 8.31*m.x4*m.x4*m.x10*m.x11*m.x11 + 8.26*m.x4*m.x5*
                       m.x6*m.x7*m.x10 + 2.26*m.x4*m.x5*m.x6*m.x9*m.x12 + 2.69*m.x4*m.x5*m.x7*m.x8*m.x11 + 7.36*m.x4*
                       m.x5*m.x7*m.x11*m.x12 + 6.84*m.x4*m.x6*m.x6*m.x8*m.x8 + 1.08*m.x4*m.x6*m.x7*m.x7*m.x12 + 5.25*
                       m.x4*m.x6*m.x7*m.x8*m.x12 + 9.47*m.x4*m.x6*m.x8*m.x8*m.x12 + 8.49*m.x4*m.x6*m.x8*m.x9*m.x10 + 
                       2.78*m.x4*m.x6*m.x10*m.x10*m.x10 + 6.41*m.x4*m.x6*m.x11*m.x11*m.x11 + 7.79*m.x4*m.x7*m.x8*m.x11*
                       m.x11 + 1.46*m.x4*m.x7*m.x8*m.x12*m.x12 - 9.58*m.x4*m.x7*m.x9*m.x9*m.x9 + 7.16*m.x4*m.x7*m.x9*
                       m.x9*m.x10 + 0.57*m.x4*m.x8*m.x8*m.x8*m.x9 + 2.18*m.x4*m.x8*m.x8*m.x9*m.x12 + 9.73*m.x4*m.x8*m.x9
                       *m.x9*m.x9 + 5.3*m.x4*m.x8*m.x10*m.x12*m.x12 + 9.61*m.x4*m.x10*m.x10*m.x10*m.x12 + 1.54*m.x5*m.x5
                       *m.x5*m.x5*m.x7 + 4.13*m.x5*m.x5*m.x5*m.x5*m.x9 + 4.83*m.x5*m.x5*m.x5*m.x6*m.x9 + 4.96*m.x5*m.x5*
                       m.x6*m.x10*m.x10 + 7.44*m.x5*m.x5*m.x7*m.x8*m.x9 + 9.15*m.x5*m.x5*m.x8*m.x8*m.x10 + 1.6*m.x5*m.x6
                       *m.x6*m.x7*m.x7 - 5.96*m.x5*m.x6*m.x8*m.x8*m.x8 + 3.53*m.x5*m.x6*m.x8*m.x9*m.x11 + 5.73*m.x5*m.x6
                       *m.x9*m.x12*m.x12 - 5.24*m.x5*m.x7*m.x8*m.x9*m.x10 + 8.41*m.x5*m.x7*m.x8*m.x9*m.x12 + 4.33*m.x5*
                       m.x7*m.x9*m.x10*m.x11 - 4.78*m.x5*m.x7*m.x11*m.x11*m.x12 + 7.31*m.x5*m.x8*m.x8*m.x9*m.x10 + 8.06*
                       m.x5*m.x8*m.x8*m.x10*m.x10 + 6.45*m.x5*m.x8*m.x10*m.x10*m.x11 + 8.72*m.x5*m.x8*m.x10*m.x12*m.x12
                        + 5.74*m.x6*m.x6*m.x8*m.x10*m.x10 + 0.36*m.x6*m.x6*m.x11*m.x11*m.x12 + 6.16*m.x6*m.x6*m.x11*
                       m.x12*m.x12 + 9.39*m.x6*m.x7*m.x7*m.x8*m.x11 + 5.48*m.x6*m.x7*m.x8*m.x9*m.x10 + 6.43*m.x6*m.x7*
                       m.x9*m.x10*m.x11 + 3.17*m.x6*m.x7*m.x10*m.x10*m.x10 + 2.11*m.x6*m.x10*m.x10*m.x12*m.x12 + 5.39*
                       m.x7*m.x7*m.x9*m.x11*m.x11 + 5.24*m.x7*m.x7*m.x10*m.x11*m.x12 + 0.68*m.x7*m.x8*m.x11*m.x12*m.x12
                        + 6.02*m.x8*m.x8*m.x8*m.x8*m.x9 + 1.44*m.x8*m.x8*m.x8*m.x9*m.x12 + 2.16*m.x8*m.x8*m.x8*m.x11*
                       m.x12 + 1.65*m.x8*m.x9*m.x9*m.x9*m.x11 - 0.75*m.x9*m.x11*m.x11*m.x11*m.x11 >= 47730.635)

m.c9 = Constraint(expr=   6.11*m.x1 + 3.63*m.x2 - 1.38*m.x3 + 9.18*m.x4 + 4.05*m.x5 + 8.17*m.x6 + 6.24*m.x7 + 6.64*m.x8
                        - 4*m.x9 + 3.58*m.x10 + 8.73*m.x11 - 6.17*m.x12 >= 67.594)
