#  NLP written by GAMS Convert at 05/24/17 14:05:45
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         13        7        6        0        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         13       13        0        0        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#        157      101       56        0
# 
#  Reformulation has removed 1 variable and 1 equation


from pyomo.environ import *

model = m = ConcreteModel()


m.x1 = Var(within=Reals,bounds=(0.13,2.56),initialize=0.13)
m.x2 = Var(within=Reals,bounds=(0.19,2.46),initialize=0.19)
m.x3 = Var(within=Reals,bounds=(0.99,2.22),initialize=0.99)
m.x4 = Var(within=Reals,bounds=(0.17,2.49),initialize=0.17)
m.x5 = Var(within=Reals,bounds=(0.36,2.72),initialize=0.36)
m.x6 = Var(within=Reals,bounds=(0.02,2.59),initialize=0.02)
m.x7 = Var(within=Reals,bounds=(0.09,2.37),initialize=0.09)
m.x8 = Var(within=Reals,bounds=(0.46,2.98),initialize=0.46)
m.x9 = Var(within=Reals,bounds=(0.95,2.28),initialize=0.95)
m.x10 = Var(within=Reals,bounds=(0.69,2.19),initialize=0.69)
m.x11 = Var(within=Reals,bounds=(0.5,2.65),initialize=0.5)
m.x12 = Var(within=Reals,bounds=(0.94,2.41),initialize=0.94)

m.obj = Objective(expr=0.81*m.x1*m.x5 + 7.94*m.x1 - 6.32*m.x5 + 4.93*m.x3*m.x4 + 3.46*m.x3 + 5.42*m.x4 + 5.97*m.x4*m.x12
                        + 8.7*m.x12 + 6.25*m.x6*m.x6 + 4.01*m.x6 + 1.72*m.x9*m.x10 + 5.08*m.x9 + 6.8*m.x10 - 5.63*m.x10*
                       m.x10 + 6.84*m.x1*m.x1*m.x1 + 2.69*m.x1*m.x3*m.x10 + 2.27*m.x1*m.x4*m.x7 + 4.03*m.x7 + 4.68*m.x1*
                       m.x10*m.x11 + 6.41*m.x11 - 2.1*m.x1*m.x11*m.x11 + 7.9*m.x2*m.x2*m.x2 + 6.66*m.x2 + 8.95*m.x2*m.x2
                       *m.x12 + 8.7*m.x2*m.x3*m.x3 - 5.3*m.x2*m.x4*m.x5 + 8.05*m.x2*m.x5*m.x6 + 7.37*m.x2*m.x5*m.x9 + 
                       8.84*m.x2*m.x8*m.x9 + 3.45*m.x8 + 3.06*m.x2*m.x8*m.x11 - 9.86*m.x2*m.x9*m.x11 + 0.56*m.x2*m.x9*
                       m.x12 + 5.64*m.x2*m.x11*m.x11 + 9.1*m.x3*m.x3*m.x11 + 6.1*m.x3*m.x4*m.x4 + 8.56*m.x3*m.x5*m.x6 + 
                       5.17*m.x3*m.x5*m.x10 + 9.36*m.x3*m.x8*m.x8 + 2.36*m.x3*m.x8*m.x10 + 9.24*m.x4*m.x4*m.x10 + 6.41*
                       m.x4*m.x4*m.x12 + 8.52*m.x4*m.x5*m.x7 + 5.04*m.x4*m.x5*m.x10 + 0.36*m.x4*m.x8*m.x11 + 9.89*m.x4*
                       m.x10*m.x11 - 7.63*m.x4*m.x12*m.x12 + 0.64*m.x5*m.x5*m.x8 + 2.89*m.x5*m.x8*m.x9 + 7.55*m.x6*m.x6*
                       m.x8 + 3.09*m.x6*m.x6*m.x12 + 6.23*m.x6*m.x8*m.x9 + 5.58*m.x6*m.x9*m.x9 + 3.92*m.x6*m.x10*m.x12
                        + 6.85*m.x6*m.x11*m.x11 + 1.23*m.x7*m.x8*m.x12 + 0.79*m.x7*m.x9*m.x12 + 8.45*m.x8*m.x10*m.x11 + 
                       7.83*m.x10*m.x10*m.x10 + 0.42*m.x11*m.x11*m.x11 - 1.57*m.x11*m.x12*m.x12 + 9.16*m.x1*m.x1*m.x1*
                       m.x3 - 4.63*m.x1*m.x1*m.x1*m.x6 + 8.17*m.x1*m.x1*m.x1*m.x12 + 9.95*m.x1*m.x1*m.x2*m.x3 + 7.55*
                       m.x1*m.x1*m.x3*m.x7 + 9.47*m.x1*m.x1*m.x5*m.x7 + 4*m.x1*m.x1*m.x8*m.x8 + 6.51*m.x1*m.x1*m.x8*m.x9
                        + 4.7*m.x1*m.x2*m.x3*m.x3 + 3.42*m.x1*m.x2*m.x4*m.x4 + 9.27*m.x1*m.x2*m.x4*m.x11 + 1.25*m.x1*
                       m.x2*m.x7*m.x9 + 8.66*m.x1*m.x2*m.x8*m.x8 + 2.78*m.x1*m.x2*m.x9*m.x10 + 5.26*m.x1*m.x2*m.x10*
                       m.x10 + 5.61*m.x1*m.x3*m.x3*m.x3 + 3.09*m.x1*m.x3*m.x4*m.x6 + 6.82*m.x1*m.x3*m.x5*m.x6 + 2.36*
                       m.x1*m.x3*m.x7*m.x7 + 5.79*m.x1*m.x4*m.x4*m.x5 + 7.15*m.x1*m.x4*m.x5*m.x5 + 6.72*m.x1*m.x4*m.x8*
                       m.x11 + 0.63*m.x1*m.x5*m.x5*m.x6 + 7.37*m.x1*m.x5*m.x5*m.x7 + 6.59*m.x1*m.x5*m.x5*m.x10 + 5.75*
                       m.x1*m.x5*m.x5*m.x11 + 1.52*m.x1*m.x5*m.x7*m.x8 + 1.08*m.x1*m.x5*m.x7*m.x9 + 6.21*m.x1*m.x5*m.x7*
                       m.x11 + 0.75*m.x1*m.x6*m.x9*m.x10 + 0.93*m.x1*m.x7*m.x7*m.x8 - 9.88*m.x1*m.x7*m.x7*m.x10 + 3.41*
                       m.x1*m.x7*m.x8*m.x9 + 4.78*m.x1*m.x10*m.x12*m.x12 + 3.39*m.x1*m.x11*m.x11*m.x12 - 7.29*m.x2*m.x2*
                       m.x5*m.x10 + 3.13*m.x2*m.x2*m.x11*m.x11 + 1.1*m.x2*m.x2*m.x12*m.x12 + 7.65*m.x2*m.x3*m.x8*m.x9 + 
                       6.98*m.x2*m.x4*m.x5*m.x7 + 3.97*m.x2*m.x4*m.x6*m.x10 + 8.33*m.x2*m.x4*m.x7*m.x10 + 3.35*m.x2*m.x4
                       *m.x8*m.x8 + 3.55*m.x2*m.x5*m.x5*m.x9 + 5.54*m.x2*m.x5*m.x6*m.x7 - 6.94*m.x2*m.x5*m.x6*m.x10 + 
                       9.14*m.x2*m.x5*m.x8*m.x12 + 4.61*m.x2*m.x6*m.x6*m.x7 + 7.15*m.x2*m.x6*m.x9*m.x11 + 6.92*m.x2*m.x7
                       *m.x8*m.x9 + 1.81*m.x2*m.x8*m.x8*m.x11 + 4.13*m.x2*m.x8*m.x10*m.x10 + 7.64*m.x2*m.x8*m.x11*m.x12
                        + 6.71*m.x2*m.x8*m.x12*m.x12 - 6.91*m.x2*m.x9*m.x12*m.x12 + 6.97*m.x3*m.x3*m.x3*m.x6 + 6.54*m.x3
                       *m.x3*m.x3*m.x7 + 3.45*m.x3*m.x3*m.x4*m.x5 - 0.44*m.x3*m.x3*m.x8*m.x10 - 4.74*m.x3*m.x3*m.x9*m.x9
                        + 6.45*m.x3*m.x4*m.x4*m.x12 - 4.34*m.x3*m.x4*m.x5*m.x10 + 1.87*m.x3*m.x4*m.x9*m.x12 + 2.84*m.x3*
                       m.x5*m.x6*m.x6 - 6.68*m.x3*m.x5*m.x7*m.x10 + 9.42*m.x3*m.x5*m.x8*m.x11 - 8.44*m.x3*m.x5*m.x8*
                       m.x12 + 8.79*m.x3*m.x5*m.x9*m.x10 + 8.1*m.x3*m.x6*m.x7*m.x8 + 5.47*m.x3*m.x6*m.x8*m.x11 + 0.58*
                       m.x3*m.x6*m.x10*m.x10 + 1.79*m.x3*m.x6*m.x11*m.x12 + 9.31*m.x3*m.x7*m.x9*m.x10 - 1.21*m.x3*m.x8*
                       m.x8*m.x11 - 8.77*m.x4*m.x4*m.x4*m.x4 + 3.57*m.x4*m.x4*m.x4*m.x5 + 4.02*m.x4*m.x4*m.x5*m.x6 + 
                       3.76*m.x4*m.x4*m.x5*m.x7 + 1.46*m.x4*m.x4*m.x8*m.x8 + 0.43*m.x4*m.x4*m.x8*m.x9 + 9.65*m.x4*m.x5*
                       m.x8*m.x12 + 6.31*m.x4*m.x5*m.x9*m.x10 + 4.41*m.x4*m.x5*m.x9*m.x12 + 6.58*m.x4*m.x5*m.x10*m.x12
                        - 7.25*m.x4*m.x7*m.x7*m.x10 + 7.09*m.x4*m.x7*m.x8*m.x11 + 1.12*m.x4*m.x7*m.x8*m.x12 + 8.69*m.x4*
                       m.x7*m.x12*m.x12 - 2.61*m.x4*m.x8*m.x8*m.x12 + 9.55*m.x4*m.x8*m.x10*m.x10 + 4.63*m.x4*m.x8*m.x10*
                       m.x11 + 1.74*m.x4*m.x9*m.x10*m.x10 + 8.65*m.x4*m.x9*m.x10*m.x12 + 3.83*m.x4*m.x10*m.x11*m.x12 + 
                       0.53*m.x4*m.x11*m.x11*m.x12 - 6.04*m.x5*m.x5*m.x7*m.x8 + 9.06*m.x5*m.x5*m.x8*m.x8 + 9.41*m.x5*
                       m.x5*m.x9*m.x10 + 1.2*m.x5*m.x6*m.x7*m.x10 + 5.63*m.x5*m.x7*m.x7*m.x8 + 3.17*m.x5*m.x7*m.x7*m.x12
                        + 9.1*m.x5*m.x7*m.x9*m.x9 + 1.33*m.x5*m.x8*m.x8*m.x8 + 7.75*m.x5*m.x8*m.x8*m.x12 - 2.08*m.x5*
                       m.x8*m.x10*m.x11 + 4.2*m.x5*m.x8*m.x12*m.x12 + 4.66*m.x5*m.x11*m.x11*m.x12 + 3.77*m.x6*m.x6*m.x6*
                       m.x9 + 6.07*m.x6*m.x6*m.x7*m.x11 + 0.99*m.x6*m.x6*m.x7*m.x12 + 2.03*m.x6*m.x6*m.x10*m.x10 + 1.15*
                       m.x6*m.x6*m.x12*m.x12 + 3.2*m.x6*m.x7*m.x7*m.x7 + 8.37*m.x6*m.x8*m.x8*m.x11 + 0.58*m.x6*m.x8*
                       m.x10*m.x11 + 6.85*m.x6*m.x8*m.x11*m.x12 + 9.21*m.x6*m.x8*m.x12*m.x12 + 6.84*m.x6*m.x9*m.x9*m.x11
                        + 4.3*m.x6*m.x9*m.x9*m.x12 + 1.85*m.x6*m.x9*m.x10*m.x10 - 8.66*m.x6*m.x10*m.x10*m.x10 + 8.71*
                       m.x7*m.x7*m.x7*m.x7 + 5.77*m.x7*m.x7*m.x7*m.x9 + 7*m.x7*m.x7*m.x10*m.x12 + 7.29*m.x7*m.x8*m.x8*
                       m.x10 + 9.49*m.x7*m.x8*m.x10*m.x10 + 9.2*m.x8*m.x8*m.x9*m.x10 - 0.04*m.x8*m.x9*m.x10*m.x10 - 5.67
                       *m.x8*m.x9*m.x11*m.x12 + 0.64*m.x8*m.x10*m.x11*m.x11 + 4.61*m.x8*m.x10*m.x12*m.x12 + 4*m.x9*m.x9*
                       m.x9*m.x11 + 4.07*m.x9*m.x9*m.x10*m.x11 + 3.48*m.x9*m.x9*m.x11*m.x12 + 3.43*m.x9*m.x10*m.x10*
                       m.x10 + 6.69*m.x11*m.x11*m.x11*m.x12 + 8.62*m.x12*m.x12*m.x12*m.x12 + 4.43*m.x1*m.x1*m.x1*m.x3*
                       m.x3 - 5.21*m.x1*m.x1*m.x1*m.x4*m.x4 + 1.58*m.x1*m.x1*m.x1*m.x5*m.x9 + 8.66*m.x1*m.x1*m.x1*m.x5*
                       m.x10 + 1.39*m.x1*m.x1*m.x1*m.x5*m.x11 + 5.61*m.x1*m.x1*m.x1*m.x6*m.x10 + 9.82*m.x1*m.x1*m.x1*
                       m.x7*m.x9 + 5.38*m.x1*m.x1*m.x1*m.x9*m.x10 + 1.48*m.x1*m.x1*m.x1*m.x10*m.x11 + 5.71*m.x1*m.x1*
                       m.x2*m.x2*m.x5 + 3.62*m.x1*m.x1*m.x2*m.x3*m.x10 + 1.74*m.x1*m.x1*m.x2*m.x4*m.x6 + 9.98*m.x1*m.x1*
                       m.x2*m.x4*m.x8 + 2.47*m.x1*m.x1*m.x2*m.x4*m.x9 - 0.77*m.x1*m.x1*m.x2*m.x10*m.x10 + 3.53*m.x1*m.x1
                       *m.x2*m.x10*m.x12 + 0.54*m.x1*m.x1*m.x3*m.x5*m.x11 + 0.52*m.x1*m.x1*m.x3*m.x6*m.x12 + 0.46*m.x1*
                       m.x1*m.x3*m.x8*m.x8 + 1.83*m.x1*m.x1*m.x3*m.x11*m.x12 + 6.56*m.x1*m.x1*m.x4*m.x4*m.x6 + 5.15*m.x1
                       *m.x1*m.x4*m.x5*m.x9 + 0.41*m.x1*m.x1*m.x5*m.x6*m.x9 + 6.58*m.x1*m.x1*m.x5*m.x7*m.x7 + 3.97*m.x1*
                       m.x1*m.x5*m.x8*m.x11 + 6.57*m.x1*m.x1*m.x5*m.x10*m.x12 + 5.09*m.x1*m.x1*m.x6*m.x8*m.x11 + 1.53*
                       m.x1*m.x1*m.x7*m.x8*m.x9 - 5.13*m.x1*m.x1*m.x7*m.x9*m.x12 + 5.43*m.x1*m.x1*m.x8*m.x8*m.x10 + 5.41
                       *m.x1*m.x1*m.x9*m.x10*m.x12 - 0.28*m.x1*m.x1*m.x10*m.x10*m.x12 + 4.02*m.x1*m.x1*m.x10*m.x12*m.x12
                        + 9.56*m.x1*m.x2*m.x2*m.x2*m.x4 + 9.44*m.x1*m.x2*m.x2*m.x3*m.x4 + 3.76*m.x1*m.x2*m.x2*m.x7*m.x12
                        + 2.7*m.x1*m.x2*m.x2*m.x9*m.x10 + 2*m.x1*m.x2*m.x3*m.x3*m.x6 + 4.52*m.x1*m.x2*m.x3*m.x4*m.x8 + 
                       8.81*m.x1*m.x2*m.x3*m.x6*m.x6 + 9.01*m.x1*m.x2*m.x3*m.x6*m.x7 + 0.22*m.x1*m.x2*m.x3*m.x6*m.x8 + 
                       0.59*m.x1*m.x2*m.x3*m.x8*m.x12 + 8.05*m.x1*m.x2*m.x3*m.x9*m.x10 + 5.51*m.x1*m.x2*m.x3*m.x10*m.x10
                        + 6.67*m.x1*m.x2*m.x4*m.x5*m.x5 + 4.75*m.x1*m.x2*m.x4*m.x5*m.x6 + 1.07*m.x1*m.x2*m.x4*m.x6*m.x10
                        + 9.67*m.x1*m.x2*m.x4*m.x7*m.x11 - 0.52*m.x1*m.x2*m.x5*m.x5*m.x6 - 7.08*m.x1*m.x2*m.x5*m.x5*m.x7
                        + 6.74*m.x1*m.x2*m.x5*m.x5*m.x10 + 5.31*m.x1*m.x2*m.x5*m.x6*m.x6 + 0.67*m.x1*m.x2*m.x5*m.x6*
                       m.x12 + 7.7*m.x1*m.x2*m.x6*m.x10*m.x10 + 6.91*m.x1*m.x2*m.x7*m.x9*m.x11 + 5.3*m.x1*m.x2*m.x7*
                       m.x10*m.x11 + 9.99*m.x1*m.x2*m.x8*m.x9*m.x9 + 5.11*m.x1*m.x2*m.x8*m.x11*m.x11 + 1.26*m.x1*m.x2*
                       m.x11*m.x12*m.x12 + 5.54*m.x1*m.x3*m.x3*m.x3*m.x6 + 0.85*m.x1*m.x3*m.x3*m.x3*m.x10 + 5.74*m.x1*
                       m.x3*m.x3*m.x7*m.x8 + 3.41*m.x1*m.x3*m.x3*m.x12*m.x12 + 0.1*m.x1*m.x3*m.x4*m.x6*m.x11 + 1.88*m.x1
                       *m.x3*m.x5*m.x5*m.x7 + 4.8*m.x1*m.x3*m.x5*m.x5*m.x11 + 8.36*m.x1*m.x3*m.x5*m.x6*m.x8 + 7.69*m.x1*
                       m.x3*m.x5*m.x7*m.x10 + 5.97*m.x1*m.x3*m.x5*m.x8*m.x10 + 8.3*m.x1*m.x3*m.x5*m.x9*m.x12 + 1.07*m.x1
                       *m.x3*m.x5*m.x10*m.x12 + 9.36*m.x1*m.x3*m.x6*m.x7*m.x7 + 9.52*m.x1*m.x3*m.x6*m.x7*m.x11 + 6.45*
                       m.x1*m.x3*m.x6*m.x7*m.x12 + 6.38*m.x1*m.x3*m.x6*m.x8*m.x10 + 7.44*m.x1*m.x3*m.x7*m.x8*m.x9 + 2.94
                       *m.x1*m.x3*m.x7*m.x10*m.x12 + 8.13*m.x1*m.x3*m.x8*m.x9*m.x12 + 0.12*m.x1*m.x3*m.x10*m.x10*m.x10
                        + 5.73*m.x1*m.x3*m.x10*m.x11*m.x11 + 2.45*m.x1*m.x4*m.x4*m.x4*m.x5 + 6.79*m.x1*m.x4*m.x4*m.x5*
                       m.x8 + 1.51*m.x1*m.x4*m.x4*m.x5*m.x9 + 0.98*m.x1*m.x4*m.x4*m.x7*m.x9 - 3.05*m.x1*m.x4*m.x4*m.x7*
                       m.x11 + 7.49*m.x1*m.x4*m.x4*m.x12*m.x12 + 6.76*m.x1*m.x4*m.x5*m.x6*m.x6 + 5.5*m.x1*m.x4*m.x5*m.x7
                       *m.x7 + 2.77*m.x1*m.x4*m.x5*m.x8*m.x8 - 5.23*m.x1*m.x4*m.x6*m.x7*m.x12 + 3.99*m.x1*m.x4*m.x6*m.x8
                       *m.x12 + 1.23*m.x1*m.x4*m.x7*m.x7*m.x12 + 8.23*m.x1*m.x4*m.x7*m.x12*m.x12 + 4.49*m.x1*m.x4*m.x8*
                       m.x9*m.x10 - 9.35*m.x1*m.x4*m.x8*m.x11*m.x11 + 4.81*m.x1*m.x4*m.x11*m.x12*m.x12 + 1.33*m.x1*m.x5*
                       m.x5*m.x6*m.x6 + 0.09*m.x1*m.x5*m.x5*m.x9*m.x12 + 4.41*m.x1*m.x5*m.x6*m.x7*m.x7 + 4.1*m.x1*m.x5*
                       m.x6*m.x8*m.x9 + 7.33*m.x1*m.x5*m.x6*m.x8*m.x12 + 9.24*m.x1*m.x5*m.x6*m.x10*m.x10 + 4.76*m.x1*
                       m.x5*m.x7*m.x7*m.x9 + 5.89*m.x1*m.x5*m.x7*m.x7*m.x10 + 4.02*m.x1*m.x5*m.x7*m.x8*m.x8 + 4.88*m.x1*
                       m.x5*m.x7*m.x9*m.x12 + 9.95*m.x1*m.x5*m.x8*m.x11*m.x12 + 4.76*m.x1*m.x5*m.x10*m.x10*m.x12 + 2.31*
                       m.x1*m.x5*m.x10*m.x11*m.x11 + 0.2*m.x1*m.x6*m.x6*m.x7*m.x12 + 4.54*m.x1*m.x6*m.x6*m.x10*m.x10 + 
                       3.36*m.x1*m.x6*m.x7*m.x7*m.x7 + 7.96*m.x1*m.x6*m.x7*m.x7*m.x9 + 4.53*m.x1*m.x6*m.x7*m.x7*m.x11 + 
                       0.59*m.x1*m.x6*m.x7*m.x8*m.x11 + 3.82*m.x1*m.x6*m.x7*m.x9*m.x9 + 4.57*m.x1*m.x6*m.x7*m.x11*m.x11
                        + 0.35*m.x1*m.x6*m.x8*m.x8*m.x9 + 1.2*m.x1*m.x6*m.x8*m.x9*m.x10 + 0.46*m.x1*m.x6*m.x9*m.x9*m.x11
                        + 7.84*m.x1*m.x6*m.x9*m.x9*m.x12 + 1.65*m.x1*m.x6*m.x9*m.x10*m.x11 + 5.44*m.x1*m.x6*m.x11*m.x12*
                       m.x12 + 3.68*m.x1*m.x6*m.x12*m.x12*m.x12 + 1.1*m.x1*m.x7*m.x7*m.x7*m.x7 + 3.47*m.x1*m.x8*m.x8*
                       m.x10*m.x11 - 4.46*m.x1*m.x8*m.x8*m.x10*m.x12 + 5.26*m.x1*m.x8*m.x8*m.x11*m.x11 + 2.07*m.x1*m.x8*
                       m.x8*m.x11*m.x12 + 2.76*m.x1*m.x9*m.x10*m.x10*m.x11 + 8.9*m.x1*m.x9*m.x10*m.x11*m.x12 + 4.7*m.x1*
                       m.x10*m.x10*m.x10*m.x11 + 0.84*m.x1*m.x10*m.x10*m.x11*m.x11 + 0.41*m.x1*m.x11*m.x11*m.x11*m.x11
                        + 7.49*m.x2*m.x2*m.x2*m.x2*m.x11 + 6.98*m.x2*m.x2*m.x2*m.x3*m.x3 - 9.13*m.x2*m.x2*m.x2*m.x4*m.x8
                        + 4.58*m.x2*m.x2*m.x2*m.x5*m.x5 + 6.97*m.x2*m.x2*m.x2*m.x8*m.x8 + 1.48*m.x2*m.x2*m.x2*m.x8*m.x10
                        + 0.82*m.x2*m.x2*m.x3*m.x5*m.x6 - 5.3*m.x2*m.x2*m.x3*m.x5*m.x9 + 3.18*m.x2*m.x2*m.x3*m.x5*m.x10
                        + 2.18*m.x2*m.x2*m.x3*m.x5*m.x12 + 3.72*m.x2*m.x2*m.x3*m.x6*m.x7 + 0.24*m.x2*m.x2*m.x3*m.x6*
                       m.x12 + 3.48*m.x2*m.x2*m.x3*m.x7*m.x9 - 9.11*m.x2*m.x2*m.x3*m.x8*m.x12 + 2.52*m.x2*m.x2*m.x3*
                       m.x12*m.x12 + 1.84*m.x2*m.x2*m.x4*m.x4*m.x4 + 0.36*m.x2*m.x2*m.x4*m.x4*m.x12 + 1.03*m.x2*m.x2*
                       m.x4*m.x6*m.x6 + 3.09*m.x2*m.x2*m.x4*m.x7*m.x12 + 5.56*m.x2*m.x2*m.x4*m.x8*m.x8 + 6.34*m.x2*m.x2*
                       m.x4*m.x10*m.x10 + 9.42*m.x2*m.x2*m.x4*m.x10*m.x11 + 8.01*m.x2*m.x2*m.x4*m.x11*m.x11 + 9.51*m.x2*
                       m.x2*m.x4*m.x11*m.x12 + 0.08*m.x2*m.x2*m.x4*m.x12*m.x12 + 3.6*m.x2*m.x2*m.x5*m.x5*m.x8 + 3.26*
                       m.x2*m.x2*m.x5*m.x5*m.x10 + 5.25*m.x2*m.x2*m.x5*m.x6*m.x6 + 3.79*m.x2*m.x2*m.x5*m.x7*m.x8 + 7.23*
                       m.x2*m.x2*m.x5*m.x7*m.x12 + 6.29*m.x2*m.x2*m.x5*m.x8*m.x8 + 9.86*m.x2*m.x2*m.x6*m.x9*m.x9 + 1.85*
                       m.x2*m.x2*m.x7*m.x7*m.x11 + 6.02*m.x2*m.x2*m.x7*m.x8*m.x8 + 5.26*m.x2*m.x2*m.x7*m.x11*m.x11 + 
                       9.25*m.x2*m.x2*m.x8*m.x8*m.x11 + 0.67*m.x2*m.x2*m.x8*m.x9*m.x12 - 6.6*m.x2*m.x2*m.x8*m.x10*m.x11
                        - 9.51*m.x2*m.x2*m.x9*m.x12*m.x12 + 2.73*m.x2*m.x2*m.x11*m.x11*m.x11 + 9.87*m.x2*m.x3*m.x3*m.x3*
                       m.x5 + 6.81*m.x2*m.x3*m.x3*m.x3*m.x10 + 1.38*m.x2*m.x3*m.x3*m.x4*m.x4 - 8.87*m.x2*m.x3*m.x3*m.x7*
                       m.x12 + 4.62*m.x2*m.x3*m.x3*m.x10*m.x10 + 7.08*m.x2*m.x3*m.x4*m.x4*m.x8 + 9.18*m.x2*m.x3*m.x4*
                       m.x4*m.x12 - 2.52*m.x2*m.x3*m.x4*m.x11*m.x12 + 9.31*m.x2*m.x3*m.x5*m.x6*m.x11 + 3.12*m.x2*m.x3*
                       m.x5*m.x6*m.x12 + 1.45*m.x2*m.x3*m.x5*m.x11*m.x11 + 3.15*m.x2*m.x3*m.x6*m.x8*m.x11 + 2.4*m.x2*
                       m.x3*m.x7*m.x7*m.x7 + 9.93*m.x2*m.x3*m.x7*m.x8*m.x9 + 2.48*m.x2*m.x3*m.x7*m.x9*m.x10 + 4.42*m.x2*
                       m.x3*m.x8*m.x9*m.x10 + 2.56*m.x2*m.x3*m.x8*m.x10*m.x11 + 6.94*m.x2*m.x3*m.x9*m.x11*m.x11 + 9.06*
                       m.x2*m.x3*m.x10*m.x10*m.x10 + 5*m.x2*m.x3*m.x11*m.x11*m.x12 - 6.06*m.x2*m.x3*m.x12*m.x12*m.x12 + 
                       4.45*m.x2*m.x4*m.x4*m.x4*m.x5 + 8.48*m.x2*m.x4*m.x4*m.x4*m.x8 + 0.67*m.x2*m.x4*m.x4*m.x5*m.x12 + 
                       5.43*m.x2*m.x4*m.x4*m.x8*m.x9 - 1.37*m.x2*m.x4*m.x4*m.x9*m.x11 + 7.82*m.x2*m.x4*m.x4*m.x10*m.x11
                        + 7.56*m.x2*m.x4*m.x4*m.x11*m.x11 + 9.27*m.x2*m.x4*m.x5*m.x5*m.x10 + 4.14*m.x2*m.x4*m.x5*m.x7*
                       m.x8 + 4.4*m.x2*m.x4*m.x5*m.x9*m.x10 + 6.82*m.x2*m.x4*m.x6*m.x8*m.x8 + 3.47*m.x2*m.x4*m.x6*m.x9*
                       m.x10 + 6.9*m.x2*m.x4*m.x6*m.x10*m.x12 + 7.6*m.x2*m.x4*m.x6*m.x11*m.x11 + 0.36*m.x2*m.x4*m.x7*
                       m.x7*m.x7 + 3.51*m.x2*m.x4*m.x8*m.x10*m.x11 + 2.99*m.x2*m.x4*m.x9*m.x10*m.x10 - 1.84*m.x2*m.x5*
                       m.x5*m.x5*m.x10 + 7.97*m.x2*m.x5*m.x5*m.x6*m.x9 + 8.17*m.x2*m.x5*m.x5*m.x7*m.x10 + 7.6*m.x2*m.x5*
                       m.x6*m.x6*m.x7 + 0.81*m.x2*m.x5*m.x6*m.x6*m.x8 + 5.61*m.x2*m.x5*m.x6*m.x8*m.x8 + 4.35*m.x2*m.x5*
                       m.x6*m.x9*m.x9 + 1.74*m.x2*m.x5*m.x6*m.x10*m.x11 + 3.05*m.x2*m.x5*m.x7*m.x7*m.x10 + 5.01*m.x2*
                       m.x5*m.x7*m.x7*m.x11 - 3.24*m.x2*m.x5*m.x10*m.x11*m.x11 - 7.42*m.x2*m.x5*m.x10*m.x11*m.x12 + 8.62
                       *m.x2*m.x5*m.x10*m.x12*m.x12 + 4.46*m.x2*m.x6*m.x6*m.x6*m.x10 + 7.69*m.x2*m.x6*m.x6*m.x8*m.x9 + 
                       4.11*m.x2*m.x6*m.x6*m.x9*m.x12 + 7.19*m.x2*m.x6*m.x7*m.x7*m.x7 + 0.9*m.x2*m.x6*m.x7*m.x8*m.x10 - 
                       0.83*m.x2*m.x6*m.x7*m.x10*m.x11 + 6.43*m.x2*m.x6*m.x8*m.x8*m.x11 + 7.22*m.x2*m.x6*m.x8*m.x8*m.x12
                        + 3.22*m.x2*m.x6*m.x8*m.x9*m.x9 + 6*m.x2*m.x6*m.x9*m.x10*m.x11 + 3.08*m.x2*m.x6*m.x9*m.x11*m.x11
                        + 6.53*m.x2*m.x6*m.x9*m.x12*m.x12 + 6.87*m.x2*m.x6*m.x10*m.x10*m.x12 + 7.82*m.x2*m.x6*m.x11*
                       m.x12*m.x12 + 7.06*m.x2*m.x7*m.x7*m.x7*m.x8 + 4.05*m.x2*m.x7*m.x7*m.x7*m.x11 + 9.64*m.x2*m.x7*
                       m.x7*m.x10*m.x12 + 4.61*m.x2*m.x7*m.x7*m.x11*m.x12 + 7.09*m.x2*m.x7*m.x7*m.x12*m.x12 + 2.78*m.x2*
                       m.x7*m.x8*m.x10*m.x11 + 8.74*m.x2*m.x7*m.x9*m.x11*m.x12 + 2.03*m.x2*m.x8*m.x8*m.x9*m.x9 - 0.34*
                       m.x2*m.x8*m.x8*m.x9*m.x10 + 4.1*m.x2*m.x8*m.x9*m.x10*m.x12 + 9.14*m.x2*m.x8*m.x11*m.x11*m.x12 + 
                       7.91*m.x2*m.x9*m.x9*m.x11*m.x11 - 6.33*m.x2*m.x9*m.x10*m.x11*m.x11 + 3.26*m.x2*m.x9*m.x10*m.x12*
                       m.x12 - 3.11*m.x2*m.x11*m.x11*m.x12*m.x12 + 8.48*m.x3*m.x3*m.x3*m.x3*m.x5 + 2.17*m.x3*m.x3*m.x3*
                       m.x3*m.x6 + 6.12*m.x3*m.x3*m.x3*m.x3*m.x9 + 1.06*m.x3*m.x3*m.x3*m.x10*m.x10 + 5.63*m.x3*m.x3*m.x3
                       *m.x12*m.x12 + 8.97*m.x3*m.x3*m.x4*m.x4*m.x4 - 7.19*m.x3*m.x3*m.x5*m.x5*m.x8 + 3.61*m.x3*m.x3*
                       m.x5*m.x8*m.x9 + 5.66*m.x3*m.x3*m.x5*m.x9*m.x10 + 9.57*m.x3*m.x3*m.x6*m.x6*m.x8 - 8.87*m.x3*m.x3*
                       m.x6*m.x6*m.x12 + 4.92*m.x3*m.x3*m.x6*m.x7*m.x11 + 9.08*m.x3*m.x3*m.x6*m.x9*m.x10 + 7.44*m.x3*
                       m.x3*m.x7*m.x7*m.x7 + 1.95*m.x3*m.x3*m.x7*m.x12*m.x12 + 7.21*m.x3*m.x3*m.x9*m.x11*m.x12 - 1.78*
                       m.x3*m.x3*m.x11*m.x12*m.x12 + 6.92*m.x3*m.x4*m.x4*m.x4*m.x9 + 7.38*m.x3*m.x4*m.x4*m.x5*m.x6 + 
                       6.66*m.x3*m.x4*m.x4*m.x6*m.x7 + 7.4*m.x3*m.x4*m.x5*m.x7*m.x10 + 4.64*m.x3*m.x4*m.x5*m.x8*m.x8 + 
                       9.29*m.x3*m.x4*m.x5*m.x8*m.x12 + 0.42*m.x3*m.x4*m.x6*m.x6*m.x12 + 0.98*m.x3*m.x4*m.x6*m.x8*m.x10
                        + 2.22*m.x3*m.x4*m.x7*m.x7*m.x9 + 9.22*m.x3*m.x4*m.x7*m.x10*m.x10 + 4.92*m.x3*m.x4*m.x8*m.x9*
                       m.x10 + 3.81*m.x3*m.x4*m.x8*m.x9*m.x11 + 0.21*m.x3*m.x4*m.x8*m.x11*m.x12 + 1.63*m.x3*m.x4*m.x9*
                       m.x9*m.x12 + 5.52*m.x3*m.x4*m.x9*m.x11*m.x12 + 9.62*m.x3*m.x4*m.x10*m.x12*m.x12 + 3.31*m.x3*m.x4*
                       m.x11*m.x12*m.x12 + 0.7*m.x3*m.x5*m.x5*m.x7*m.x8 + 7.24*m.x3*m.x5*m.x5*m.x7*m.x12 + 1.88*m.x3*
                       m.x5*m.x5*m.x8*m.x12 + 6.78*m.x3*m.x5*m.x6*m.x10*m.x10 + 8.28*m.x3*m.x5*m.x7*m.x8*m.x8 + 6.88*
                       m.x3*m.x5*m.x7*m.x9*m.x11 + 2.51*m.x3*m.x5*m.x7*m.x10*m.x11 + 4.17*m.x3*m.x5*m.x8*m.x9*m.x10 + 
                       3.18*m.x3*m.x5*m.x11*m.x11*m.x11 + 6.34*m.x3*m.x5*m.x11*m.x12*m.x12 + 1.73*m.x3*m.x6*m.x8*m.x9*
                       m.x11 + 6.23*m.x3*m.x6*m.x8*m.x10*m.x11 + 1.67*m.x3*m.x7*m.x7*m.x8*m.x8 - 7.16*m.x3*m.x7*m.x7*
                       m.x11*m.x11 + 9.19*m.x3*m.x7*m.x8*m.x10*m.x12 + 1.13*m.x3*m.x7*m.x9*m.x12*m.x12 + 9.26*m.x3*m.x8*
                       m.x8*m.x9*m.x9 - 6.37*m.x3*m.x8*m.x8*m.x11*m.x12 + 6.34*m.x3*m.x8*m.x9*m.x9*m.x10 + 5.9*m.x3*m.x8
                       *m.x9*m.x9*m.x11 + 3.66*m.x3*m.x8*m.x9*m.x11*m.x11 + 3.55*m.x3*m.x8*m.x10*m.x12*m.x12 + 0.12*m.x3
                       *m.x9*m.x9*m.x10*m.x10 + 9.13*m.x3*m.x10*m.x10*m.x12*m.x12 + 9.08*m.x4*m.x4*m.x4*m.x5*m.x6 + 9.16
                       *m.x4*m.x4*m.x4*m.x5*m.x7 + 7.77*m.x4*m.x4*m.x4*m.x6*m.x6 + 4.89*m.x4*m.x4*m.x4*m.x6*m.x7 - 1.72*
                       m.x4*m.x4*m.x4*m.x7*m.x9 + 4.07*m.x4*m.x4*m.x4*m.x7*m.x10 + 3*m.x4*m.x4*m.x4*m.x9*m.x9 + 7.98*
                       m.x4*m.x4*m.x5*m.x5*m.x5 - 6.54*m.x4*m.x4*m.x5*m.x5*m.x8 + 0.45*m.x4*m.x4*m.x5*m.x6*m.x9 + 3.39*
                       m.x4*m.x4*m.x5*m.x6*m.x10 + 0.3*m.x4*m.x4*m.x6*m.x6*m.x6 + 5.24*m.x4*m.x4*m.x7*m.x11*m.x11 - 3.77
                       *m.x4*m.x4*m.x8*m.x8*m.x9 + 8.98*m.x4*m.x5*m.x5*m.x9*m.x11 + 8.6*m.x4*m.x5*m.x5*m.x9*m.x12 + 5.56
                       *m.x4*m.x5*m.x5*m.x10*m.x11 + 6.18*m.x4*m.x5*m.x6*m.x9*m.x9 + 2.17*m.x4*m.x5*m.x6*m.x10*m.x10 + 
                       3.43*m.x4*m.x5*m.x6*m.x10*m.x11 + 1.75*m.x4*m.x5*m.x7*m.x10*m.x10 - 1.02*m.x4*m.x5*m.x7*m.x11*
                       m.x12 + 8.89*m.x4*m.x5*m.x8*m.x8*m.x12 + 9.29*m.x4*m.x5*m.x8*m.x10*m.x11 + 6.34*m.x4*m.x6*m.x7*
                       m.x8*m.x12 + 8.69*m.x4*m.x6*m.x8*m.x8*m.x10 + 0.92*m.x4*m.x6*m.x8*m.x9*m.x9 + 6.11*m.x4*m.x7*m.x7
                       *m.x7*m.x12 + 3.16*m.x4*m.x7*m.x7*m.x9*m.x9 + 3.71*m.x4*m.x7*m.x7*m.x11*m.x11 + 9.56*m.x4*m.x7*
                       m.x7*m.x12*m.x12 + 1.93*m.x4*m.x7*m.x8*m.x10*m.x10 + 1.58*m.x4*m.x7*m.x10*m.x10*m.x10 + 3.03*m.x4
                       *m.x7*m.x12*m.x12*m.x12 + 0.5*m.x4*m.x8*m.x8*m.x10*m.x11 + 6.88*m.x4*m.x8*m.x8*m.x11*m.x12 + 2.04
                       *m.x4*m.x8*m.x9*m.x12*m.x12 + 5.57*m.x4*m.x8*m.x10*m.x10*m.x10 - 9.99*m.x4*m.x9*m.x10*m.x12*m.x12
                        + 8.3*m.x4*m.x9*m.x11*m.x11*m.x11 + 2.78*m.x4*m.x9*m.x12*m.x12*m.x12 + 3.13*m.x4*m.x10*m.x10*
                       m.x10*m.x12 + 2.14*m.x5*m.x5*m.x5*m.x7*m.x11 + 7.27*m.x5*m.x5*m.x5*m.x10*m.x10 + 7.86*m.x5*m.x5*
                       m.x6*m.x7*m.x9 - 2.35*m.x5*m.x5*m.x6*m.x10*m.x11 + 7.66*m.x5*m.x5*m.x6*m.x11*m.x12 + 6.26*m.x5*
                       m.x5*m.x7*m.x7*m.x7 + 6.42*m.x5*m.x5*m.x7*m.x7*m.x10 + 8.13*m.x5*m.x5*m.x8*m.x8*m.x8 + 3.63*m.x5*
                       m.x5*m.x8*m.x8*m.x10 + 8.07*m.x5*m.x5*m.x8*m.x9*m.x9 + 3.21*m.x5*m.x5*m.x9*m.x10*m.x11 + 8.12*
                       m.x5*m.x5*m.x11*m.x12*m.x12 + 4.74*m.x5*m.x6*m.x6*m.x11*m.x11 + 6.05*m.x5*m.x6*m.x6*m.x11*m.x12
                        + 0.28*m.x5*m.x6*m.x7*m.x7*m.x10 + 8.58*m.x5*m.x6*m.x7*m.x8*m.x8 + 5.6*m.x5*m.x6*m.x9*m.x10*
                       m.x11 + 5.53*m.x5*m.x7*m.x7*m.x8*m.x11 + 0.09*m.x5*m.x7*m.x8*m.x10*m.x12 + 1.47*m.x5*m.x7*m.x9*
                       m.x12*m.x12 + 4.38*m.x5*m.x7*m.x10*m.x10*m.x12 + 6.52*m.x5*m.x7*m.x10*m.x11*m.x11 + 9.65*m.x5*
                       m.x7*m.x12*m.x12*m.x12 + 2.73*m.x5*m.x8*m.x8*m.x8*m.x9 + 7.74*m.x5*m.x8*m.x8*m.x9*m.x9 + 7.66*
                       m.x5*m.x8*m.x10*m.x10*m.x11 - 6.14*m.x5*m.x9*m.x12*m.x12*m.x12 + 1.84*m.x5*m.x10*m.x10*m.x11*
                       m.x12 + 6.92*m.x6*m.x6*m.x6*m.x6*m.x11 + 1.4*m.x6*m.x6*m.x6*m.x7*m.x8 + 3.59*m.x6*m.x6*m.x6*m.x10
                       *m.x10 + 2.71*m.x6*m.x6*m.x7*m.x8*m.x8 + 5.11*m.x6*m.x6*m.x7*m.x8*m.x10 + 0.45*m.x6*m.x6*m.x7*
                       m.x8*m.x12 + 0.92*m.x6*m.x6*m.x8*m.x10*m.x12 + 5.68*m.x6*m.x6*m.x9*m.x11*m.x11 + 6.15*m.x6*m.x6*
                       m.x10*m.x10*m.x12 + 5.5*m.x6*m.x6*m.x11*m.x12*m.x12 + 1.18*m.x6*m.x7*m.x7*m.x8*m.x10 + 0.88*m.x6*
                       m.x7*m.x9*m.x10*m.x10 + 4.33*m.x6*m.x8*m.x11*m.x11*m.x11 + 4.13*m.x6*m.x9*m.x9*m.x9*m.x11 - 2.08*
                       m.x6*m.x9*m.x9*m.x10*m.x11 + 2.76*m.x6*m.x9*m.x9*m.x10*m.x12 + 5.59*m.x6*m.x9*m.x9*m.x12*m.x12 + 
                       1.03*m.x6*m.x9*m.x10*m.x10*m.x10 + 7.75*m.x6*m.x9*m.x10*m.x10*m.x12 + 5.98*m.x6*m.x10*m.x10*m.x10
                       *m.x12 + 9.85*m.x6*m.x11*m.x11*m.x11*m.x11 + 9.42*m.x6*m.x11*m.x11*m.x12*m.x12 + 1.72*m.x7*m.x7*
                       m.x7*m.x8*m.x8 + 2.4*m.x7*m.x7*m.x8*m.x8*m.x11 + 4.69*m.x7*m.x7*m.x8*m.x9*m.x10 + 3.77*m.x7*m.x7*
                       m.x8*m.x9*m.x11 + 1.19*m.x7*m.x7*m.x8*m.x11*m.x11 + 9.45*m.x7*m.x7*m.x9*m.x11*m.x12 + 0.21*m.x7*
                       m.x8*m.x8*m.x12*m.x12 + 3.76*m.x7*m.x9*m.x9*m.x11*m.x11 + 2.56*m.x7*m.x9*m.x10*m.x11*m.x11 + 9.7*
                       m.x8*m.x8*m.x9*m.x9*m.x11 + 5.14*m.x8*m.x8*m.x10*m.x12*m.x12 + 9.41*m.x8*m.x9*m.x9*m.x10*m.x11 + 
                       8.13*m.x8*m.x9*m.x9*m.x10*m.x12 + 1.65*m.x8*m.x9*m.x9*m.x11*m.x11 + 4.27*m.x8*m.x9*m.x10*m.x11*
                       m.x11 + 7.61*m.x8*m.x10*m.x10*m.x10*m.x10 + 4.2*m.x8*m.x10*m.x12*m.x12*m.x12 + 1.84*m.x9*m.x9*
                       m.x9*m.x10*m.x11 - 7.05*m.x9*m.x9*m.x10*m.x11*m.x12 + 9.73*m.x9*m.x9*m.x11*m.x12*m.x12 + 0.23*
                       m.x9*m.x10*m.x10*m.x10*m.x11 + 8.12*m.x9*m.x10*m.x10*m.x11*m.x12 + 7.49*m.x10*m.x10*m.x10*m.x10*
                       m.x10 + 0.64*m.x10*m.x10*m.x11*m.x12*m.x12 + 9.41*m.x10*m.x11*m.x12*m.x12*m.x12 + 4.28*m.x11*
                       m.x11*m.x11*m.x11*m.x11, sense=minimize)

m.c1 = Constraint(expr=   6.65*m.x1 + m.x2 - 3.72*m.x3 + 4.28*m.x4 + 7.97*m.x5 + 2.23*m.x6 + 9.56*m.x7 + 7.77*m.x8
                        + 8.34*m.x9 + 8.02*m.x10 + 0.41*m.x11 + 3.62*m.x12 == 82.025)

m.c2 = Constraint(expr=   4.04*m.x1 + 1.23*m.x2 + 3.1*m.x3 + 9.17*m.x4 + 1.26*m.x5 + 1.33*m.x6 + 6.26*m.x7 + 3.69*m.x8
                        + 6.02*m.x9 + 7.01*m.x10 + 8.55*m.x11 + 6.2*m.x12 == 85.626)

m.c3 = Constraint(expr=   1.56*m.x1 + 0.38*m.x2 + 4.04*m.x3 + 3.92*m.x4 + 0.18*m.x5 + 9.08*m.x6 + 9.86*m.x7 - 9.09*m.x8
                        + 2.38*m.x9 - 3.95*m.x10 + 8.84*m.x11 + 5.4*m.x12 == 44.043)

m.c4 = Constraint(expr=   1.51*m.x1 + 0.74*m.x2 + 8.71*m.x3 + 5.2*m.x4 + 7.76*m.x5 + 5.58*m.x6 + 6.37*m.x7 + 7.11*m.x8
                        + 8.2*m.x9 + 7.18*m.x10 + 7.8*m.x11 - 6.06*m.x12 == 88.92)

m.c5 = Constraint(expr= - 7.82*m.x1 + 4.2*m.x2 + 8.94*m.x3 + 7.66*m.x4 + 8.02*m.x5 + 6.26*m.x6 + 9.99*m.x7 + 0.31*m.x8
                        + 2.19*m.x9 + 1.96*m.x10 + 0.35*m.x11 + 5.52*m.x12 == 69.081)

m.c6 = Constraint(expr=   1.41*m.x1 + 2.77*m.x2 + 1.9*m.x3 + 8.9*m.x4 + 6.63*m.x5 + 0.91*m.x6 + 2.95*m.x7 + 7.22*m.x8
                        + 3.31*m.x9 + 1.82*m.x10 + 3.72*m.x11 + 2.59*m.x12 == 66.062)

m.c7 = Constraint(expr= - 7.07*m.x1 + 9.84*m.x2 - 6.69*m.x3 + 8.36*m.x4 - 9.61*m.x5 + 8.02*m.x6 + 6.64*m.x7 + 9.68*m.x8
                        + 8.56*m.x9 + 8.74*m.x10 + 7.85*m.x11 + 2.63*m.x12 >= 67.573)

m.c8 = Constraint(expr=8.7*m.x1*m.x5 + 8.61*m.x1 + 4.52*m.x5 + 2.83*m.x3*m.x4 + 8.91*m.x3 + 9.31*m.x4 - 3.62*m.x4*m.x12
                        + 4.95*m.x12 + 3.19*m.x6*m.x6 + 4.91*m.x6 + 4.47*m.x9*m.x10 - 3.46*m.x9 + 2.95*m.x10 + 1.41*
                       m.x10*m.x10 + 3.02*m.x2 + 8.19*m.x7 + 2.95*m.x8 + 6.98*m.x11 >= 143.17)

m.c9 = Constraint(expr=8.5*m.x1*m.x5 + 9.12*m.x1 + 3.83*m.x5 + 4.68*m.x3*m.x4 + 2.07*m.x3 + 1.84*m.x4 + 9.24*m.x4*m.x12
                        - 2.39*m.x12 + 4.69*m.x6*m.x6 + 1.11*m.x6 + 4.4*m.x9*m.x10 + 5.49*m.x9 - 1.43*m.x10 - 9.76*m.x10
                       *m.x10 + 3.82*m.x1*m.x1*m.x1 + 2.3*m.x1*m.x3*m.x10 + 3.63*m.x1*m.x4*m.x7 + 7.31*m.x7 + 8.28*m.x1*
                       m.x10*m.x11 + 9.07*m.x11 + 5.33*m.x1*m.x11*m.x11 + 1.69*m.x2*m.x2*m.x2 + 1.62*m.x2 + 8.55*m.x2*
                       m.x2*m.x12 - 1.55*m.x2*m.x3*m.x3 + 6.42*m.x2*m.x4*m.x5 + 3*m.x2*m.x5*m.x6 + 7.7*m.x2*m.x5*m.x9 + 
                       8.97*m.x2*m.x8*m.x9 - 0.04*m.x8 + 4.75*m.x2*m.x8*m.x11 + 4.12*m.x2*m.x9*m.x11 + 1.29*m.x2*m.x9*
                       m.x12 + 7.55*m.x2*m.x11*m.x11 + 9.15*m.x3*m.x3*m.x11 + 5.78*m.x3*m.x4*m.x4 + 7.97*m.x3*m.x5*m.x6
                        + 2.74*m.x3*m.x5*m.x10 + 6.98*m.x3*m.x8*m.x8 + 8.06*m.x3*m.x8*m.x10 + 2.85*m.x4*m.x4*m.x10 + 
                       0.53*m.x4*m.x4*m.x12 + 2.77*m.x4*m.x5*m.x7 + 8.05*m.x4*m.x5*m.x10 + 6.73*m.x4*m.x8*m.x11 + 0.75*
                       m.x4*m.x10*m.x11 + 8.11*m.x4*m.x12*m.x12 + 8.82*m.x5*m.x5*m.x8 + 6.63*m.x5*m.x8*m.x9 + 1.61*m.x6*
                       m.x6*m.x8 + 2.75*m.x6*m.x6*m.x12 + 9.58*m.x6*m.x8*m.x9 + 7.53*m.x6*m.x9*m.x9 + 5.58*m.x6*m.x10*
                       m.x12 + 7.04*m.x6*m.x11*m.x11 + 7.18*m.x7*m.x8*m.x12 + 5.4*m.x7*m.x9*m.x12 + 6.42*m.x8*m.x10*
                       m.x11 + 5.5*m.x10*m.x10*m.x10 + 8.74*m.x11*m.x11*m.x11 + 1.44*m.x11*m.x12*m.x12 >= 2000.684)

m.c10 = Constraint(expr=0.05*m.x1*m.x5 + 7.5*m.x1 + 1.4*m.x5 + 7.27*m.x3*m.x4 + 5.67*m.x3 + 7.59*m.x4 + 4.1*m.x4*m.x12
                         + 3.51*m.x12 - 7.96*m.x6*m.x6 + 4.65*m.x6 + 9.53*m.x9*m.x10 + 0.7*m.x9 + 5.59*m.x10 + 3.44*
                        m.x10*m.x10 + 9.42*m.x1*m.x1*m.x1 + 1.63*m.x1*m.x3*m.x10 + 9.17*m.x1*m.x4*m.x7 + 8.8*m.x7 + 0.15
                        *m.x1*m.x10*m.x11 + 4.84*m.x11 + 6.36*m.x1*m.x11*m.x11 + 6.56*m.x2*m.x2*m.x2 + 1.76*m.x2 + 4.8*
                        m.x2*m.x2*m.x12 - 8.05*m.x2*m.x3*m.x3 - 4.67*m.x2*m.x4*m.x5 + 4.81*m.x2*m.x5*m.x6 + 5.11*m.x2*
                        m.x5*m.x9 + 6.05*m.x2*m.x8*m.x9 + 3.29*m.x8 + 0.93*m.x2*m.x8*m.x11 - 2.75*m.x2*m.x9*m.x11 + 9.97
                        *m.x2*m.x9*m.x12 + 6.22*m.x2*m.x11*m.x11 + 2.58*m.x3*m.x3*m.x11 + 6.55*m.x3*m.x4*m.x4 + 10*m.x3*
                        m.x5*m.x6 + 9.91*m.x3*m.x5*m.x10 + 3.01*m.x3*m.x8*m.x8 + 8.94*m.x3*m.x8*m.x10 + 7.42*m.x4*m.x4*
                        m.x10 + 5.12*m.x4*m.x4*m.x12 + 8.11*m.x4*m.x5*m.x7 - 7.24*m.x4*m.x5*m.x10 - 8.06*m.x4*m.x8*m.x11
                         + 5.14*m.x4*m.x10*m.x11 + 3.9*m.x4*m.x12*m.x12 + 2.58*m.x5*m.x5*m.x8 + 4.73*m.x5*m.x8*m.x9 + 
                        8.47*m.x6*m.x6*m.x8 + 5.49*m.x6*m.x6*m.x12 + 0.44*m.x6*m.x8*m.x9 + 1.77*m.x6*m.x9*m.x9 + 9.87*
                        m.x6*m.x10*m.x12 + 7.29*m.x6*m.x11*m.x11 + 2.37*m.x7*m.x8*m.x12 + 0.88*m.x7*m.x9*m.x12 + 2.83*
                        m.x8*m.x10*m.x11 + 4.42*m.x10*m.x10*m.x10 + 9.06*m.x11*m.x11*m.x11 + 8.19*m.x11*m.x12*m.x12 + 
                        3.16*m.x1*m.x1*m.x1*m.x3 + 5.45*m.x1*m.x1*m.x1*m.x6 + 4.54*m.x1*m.x1*m.x1*m.x12 + 2.56*m.x1*m.x1
                        *m.x2*m.x3 + 3.86*m.x1*m.x1*m.x3*m.x7 + 6.33*m.x1*m.x1*m.x5*m.x7 + 1.71*m.x1*m.x1*m.x8*m.x8 + 
                        5.17*m.x1*m.x1*m.x8*m.x9 - 1.29*m.x1*m.x2*m.x3*m.x3 + 5.55*m.x1*m.x2*m.x4*m.x4 + 9.09*m.x1*m.x2*
                        m.x4*m.x11 + 0.35*m.x1*m.x2*m.x7*m.x9 + 2.53*m.x1*m.x2*m.x8*m.x8 + 0.65*m.x1*m.x2*m.x9*m.x10 + 
                        8.84*m.x1*m.x2*m.x10*m.x10 - 7.61*m.x1*m.x3*m.x3*m.x3 + 4.01*m.x1*m.x3*m.x4*m.x6 + 5.85*m.x1*
                        m.x3*m.x5*m.x6 + 6.02*m.x1*m.x3*m.x7*m.x7 + 5.02*m.x1*m.x4*m.x4*m.x5 + 1.4*m.x1*m.x4*m.x5*m.x5
                         + 1.05*m.x1*m.x4*m.x8*m.x11 + 9.08*m.x1*m.x5*m.x5*m.x6 + 3.71*m.x1*m.x5*m.x5*m.x7 - 0.75*m.x1*
                        m.x5*m.x5*m.x10 + 1.98*m.x1*m.x5*m.x5*m.x11 + 1.63*m.x1*m.x5*m.x7*m.x8 + 3.77*m.x1*m.x5*m.x7*
                        m.x9 + 0.86*m.x1*m.x5*m.x7*m.x11 + 1.68*m.x1*m.x6*m.x9*m.x10 + 5.45*m.x1*m.x7*m.x7*m.x8 + 1.23*
                        m.x1*m.x7*m.x7*m.x10 + 6.92*m.x1*m.x7*m.x8*m.x9 + 3.18*m.x1*m.x10*m.x12*m.x12 - 4.73*m.x1*m.x11*
                        m.x11*m.x12 + 6.47*m.x2*m.x2*m.x5*m.x10 + 5.39*m.x2*m.x2*m.x11*m.x11 + 3.44*m.x2*m.x2*m.x12*
                        m.x12 + 1.6*m.x2*m.x3*m.x8*m.x9 + 3.72*m.x2*m.x4*m.x5*m.x7 + 0.14*m.x2*m.x4*m.x6*m.x10 - 8.55*
                        m.x2*m.x4*m.x7*m.x10 + 2.88*m.x2*m.x4*m.x8*m.x8 + 1.92*m.x2*m.x5*m.x5*m.x9 + 9.8*m.x2*m.x5*m.x6*
                        m.x7 + 0.2*m.x2*m.x5*m.x6*m.x10 + 8.08*m.x2*m.x5*m.x8*m.x12 + 6.78*m.x2*m.x6*m.x6*m.x7 + 6.45*
                        m.x2*m.x6*m.x9*m.x11 + 3.32*m.x2*m.x7*m.x8*m.x9 + 8.68*m.x2*m.x8*m.x8*m.x11 + 4.1*m.x2*m.x8*
                        m.x10*m.x10 + 5.47*m.x2*m.x8*m.x11*m.x12 + 5.09*m.x2*m.x8*m.x12*m.x12 + 8.6*m.x2*m.x9*m.x12*
                        m.x12 + 4.32*m.x3*m.x3*m.x3*m.x6 + 6.65*m.x3*m.x3*m.x3*m.x7 + 5.07*m.x3*m.x3*m.x4*m.x5 + 6*m.x3*
                        m.x3*m.x8*m.x10 + 8.39*m.x3*m.x3*m.x9*m.x9 + 6.61*m.x3*m.x4*m.x4*m.x12 + 6.71*m.x3*m.x4*m.x5*
                        m.x10 + 6.25*m.x3*m.x4*m.x9*m.x12 + 4.8*m.x3*m.x5*m.x6*m.x6 + 2.45*m.x3*m.x5*m.x7*m.x10 + 9.99*
                        m.x3*m.x5*m.x8*m.x11 + 6.22*m.x3*m.x5*m.x8*m.x12 + 7.89*m.x3*m.x5*m.x9*m.x10 + 6.55*m.x3*m.x6*
                        m.x7*m.x8 + 5.4*m.x3*m.x6*m.x8*m.x11 + 9.76*m.x3*m.x6*m.x10*m.x10 + 7.47*m.x3*m.x6*m.x11*m.x12
                         + 2.79*m.x3*m.x7*m.x9*m.x10 + 9.14*m.x3*m.x8*m.x8*m.x11 + 4.49*m.x4*m.x4*m.x4*m.x4 + 9.59*m.x4*
                        m.x4*m.x4*m.x5 + 3.9*m.x4*m.x4*m.x5*m.x6 + 9.51*m.x4*m.x4*m.x5*m.x7 - 9.76*m.x4*m.x4*m.x8*m.x8
                         + 8.63*m.x4*m.x4*m.x8*m.x9 + 0.08*m.x4*m.x5*m.x8*m.x12 + 4.69*m.x4*m.x5*m.x9*m.x10 + 5.98*m.x4*
                        m.x5*m.x9*m.x12 + 0.66*m.x4*m.x5*m.x10*m.x12 + 8.89*m.x4*m.x7*m.x7*m.x10 + 1.61*m.x4*m.x7*m.x8*
                        m.x11 + 5.04*m.x4*m.x7*m.x8*m.x12 + 7.91*m.x4*m.x7*m.x12*m.x12 + 6.4*m.x4*m.x8*m.x8*m.x12 + 6.18
                        *m.x4*m.x8*m.x10*m.x10 + 2.14*m.x4*m.x8*m.x10*m.x11 + 4.71*m.x4*m.x9*m.x10*m.x10 + 9.56*m.x4*
                        m.x9*m.x10*m.x12 + 4.75*m.x4*m.x10*m.x11*m.x12 + 8.75*m.x4*m.x11*m.x11*m.x12 + 4.46*m.x5*m.x5*
                        m.x7*m.x8 + 9.82*m.x5*m.x5*m.x8*m.x8 + 6.76*m.x5*m.x5*m.x9*m.x10 + 6.92*m.x5*m.x6*m.x7*m.x10 + 
                        8.01*m.x5*m.x7*m.x7*m.x8 + 8.05*m.x5*m.x7*m.x7*m.x12 + 8.74*m.x5*m.x7*m.x9*m.x9 + 4.72*m.x5*m.x8
                        *m.x8*m.x8 + 3.23*m.x5*m.x8*m.x8*m.x12 - 0.61*m.x5*m.x8*m.x10*m.x11 + 9.44*m.x5*m.x8*m.x12*m.x12
                         + 3.06*m.x5*m.x11*m.x11*m.x12 + 5.78*m.x6*m.x6*m.x6*m.x9 + 6.81*m.x6*m.x6*m.x7*m.x11 + 6.35*
                        m.x6*m.x6*m.x7*m.x12 + 3.66*m.x6*m.x6*m.x10*m.x10 + 1.24*m.x6*m.x6*m.x12*m.x12 - 7.48*m.x6*m.x7*
                        m.x7*m.x7 + 3.34*m.x6*m.x8*m.x8*m.x11 + 8.32*m.x6*m.x8*m.x10*m.x11 + 8.39*m.x6*m.x8*m.x11*m.x12
                         + 4.89*m.x6*m.x8*m.x12*m.x12 - 9.62*m.x6*m.x9*m.x9*m.x11 + 9.42*m.x6*m.x9*m.x9*m.x12 + 3.8*m.x6
                        *m.x9*m.x10*m.x10 + 3.86*m.x6*m.x10*m.x10*m.x10 + 9.95*m.x7*m.x7*m.x7*m.x7 + 1.7*m.x7*m.x7*m.x7*
                        m.x9 + 7.64*m.x7*m.x7*m.x10*m.x12 - 4.17*m.x7*m.x8*m.x8*m.x10 + 6.07*m.x7*m.x8*m.x10*m.x10 + 
                        5.24*m.x8*m.x8*m.x9*m.x10 - 0.77*m.x8*m.x9*m.x10*m.x10 + 4.15*m.x8*m.x9*m.x11*m.x12 + 9.38*m.x8*
                        m.x10*m.x11*m.x11 + 9.75*m.x8*m.x10*m.x12*m.x12 + 3.03*m.x9*m.x9*m.x9*m.x11 + 5.61*m.x9*m.x9*
                        m.x10*m.x11 + 4.93*m.x9*m.x9*m.x11*m.x12 + 0.03*m.x9*m.x10*m.x10*m.x10 + 2.82*m.x11*m.x11*m.x11*
                        m.x12 - 9.93*m.x12*m.x12*m.x12*m.x12 >= 13428.95)

m.c11 = Constraint(expr=3.13*m.x1*m.x5 + 6.59*m.x1 + 3.46*m.x5 + 7.78*m.x3*m.x4 - 7.95*m.x3 + 5.49*m.x4 + 6.3*m.x4*m.x12
                         - 1.69*m.x12 + 7.88*m.x6*m.x6 + 4.56*m.x6 + 6.01*m.x9*m.x10 + 7.65*m.x9 + 1.11*m.x10 + 1.35*
                        m.x10*m.x10 + 7.15*m.x1*m.x1*m.x1 - 9.92*m.x1*m.x3*m.x10 + 5.91*m.x1*m.x4*m.x7 + 7.66*m.x7 + 3*
                        m.x1*m.x10*m.x11 + 5.98*m.x11 + 9.31*m.x1*m.x11*m.x11 + 5.53*m.x2*m.x2*m.x2 + 2.77*m.x2 + 8.72*
                        m.x2*m.x2*m.x12 + 2.61*m.x2*m.x3*m.x3 + 4.12*m.x2*m.x4*m.x5 + 9.96*m.x2*m.x5*m.x6 + 0.5*m.x2*
                        m.x5*m.x9 + 4.2*m.x2*m.x8*m.x9 + 6.26*m.x8 + 3.06*m.x2*m.x8*m.x11 + 2.11*m.x2*m.x9*m.x11 + 2.71*
                        m.x2*m.x9*m.x12 + 2.78*m.x2*m.x11*m.x11 + 8.52*m.x3*m.x3*m.x11 + 1.92*m.x3*m.x4*m.x4 + 8.6*m.x3*
                        m.x5*m.x6 + 2.25*m.x3*m.x5*m.x10 + 5.96*m.x3*m.x8*m.x8 + 9.01*m.x3*m.x8*m.x10 + 0.99*m.x4*m.x4*
                        m.x10 + 4.76*m.x4*m.x4*m.x12 + 7.13*m.x4*m.x5*m.x7 + 2.52*m.x4*m.x5*m.x10 + 1.14*m.x4*m.x8*m.x11
                         + 1.16*m.x4*m.x10*m.x11 + 4.73*m.x4*m.x12*m.x12 + 2.31*m.x5*m.x5*m.x8 + 8.98*m.x5*m.x8*m.x9 + 
                        2.74*m.x6*m.x6*m.x8 + 8.16*m.x6*m.x6*m.x12 + 1.28*m.x6*m.x8*m.x9 + 4.54*m.x6*m.x9*m.x9 + 4.32*
                        m.x6*m.x10*m.x12 + 0.64*m.x6*m.x11*m.x11 + 9.05*m.x7*m.x8*m.x12 + 0.66*m.x7*m.x9*m.x12 + 8.41*
                        m.x8*m.x10*m.x11 - 7.5*m.x10*m.x10*m.x10 + 6.82*m.x11*m.x11*m.x11 + 6.95*m.x11*m.x12*m.x12 + 
                        0.79*m.x1*m.x1*m.x1*m.x3 - 5.76*m.x1*m.x1*m.x1*m.x6 + 3.49*m.x1*m.x1*m.x1*m.x12 + 4.93*m.x1*m.x1
                        *m.x2*m.x3 + 7.23*m.x1*m.x1*m.x3*m.x7 + 4.96*m.x1*m.x1*m.x5*m.x7 + 3.08*m.x1*m.x1*m.x8*m.x8 - 
                        4.53*m.x1*m.x1*m.x8*m.x9 + 1.52*m.x1*m.x2*m.x3*m.x3 + 9.21*m.x1*m.x2*m.x4*m.x4 - 3.33*m.x1*m.x2*
                        m.x4*m.x11 + 1.75*m.x1*m.x2*m.x7*m.x9 + 4.69*m.x1*m.x2*m.x8*m.x8 - 0.53*m.x1*m.x2*m.x9*m.x10 + 
                        5.59*m.x1*m.x2*m.x10*m.x10 + 7.65*m.x1*m.x3*m.x3*m.x3 + 5.59*m.x1*m.x3*m.x4*m.x6 + 3.41*m.x1*
                        m.x3*m.x5*m.x6 + 5.98*m.x1*m.x3*m.x7*m.x7 + 8.49*m.x1*m.x4*m.x4*m.x5 + 2.55*m.x1*m.x4*m.x5*m.x5
                         + 0.62*m.x1*m.x4*m.x8*m.x11 + 7.72*m.x1*m.x5*m.x5*m.x6 + 7.2*m.x1*m.x5*m.x5*m.x7 + 6.48*m.x1*
                        m.x5*m.x5*m.x10 + 0.33*m.x1*m.x5*m.x5*m.x11 - 4.82*m.x1*m.x5*m.x7*m.x8 + 6.09*m.x1*m.x5*m.x7*
                        m.x9 + 5.07*m.x1*m.x5*m.x7*m.x11 + 4.34*m.x1*m.x6*m.x9*m.x10 + 6.91*m.x1*m.x7*m.x7*m.x8 - 0.78*
                        m.x1*m.x7*m.x7*m.x10 - 8.32*m.x1*m.x7*m.x8*m.x9 - 7.74*m.x1*m.x10*m.x12*m.x12 + 5.42*m.x1*m.x11*
                        m.x11*m.x12 + 5.38*m.x2*m.x2*m.x5*m.x10 + 5.3*m.x2*m.x2*m.x11*m.x11 + 9.69*m.x2*m.x2*m.x12*m.x12
                         + 0.93*m.x2*m.x3*m.x8*m.x9 + 8.99*m.x2*m.x4*m.x5*m.x7 + 2.14*m.x2*m.x4*m.x6*m.x10 + 5.47*m.x2*
                        m.x4*m.x7*m.x10 + 1.82*m.x2*m.x4*m.x8*m.x8 + 3.31*m.x2*m.x5*m.x5*m.x9 + 1.31*m.x2*m.x5*m.x6*m.x7
                         + 9.86*m.x2*m.x5*m.x6*m.x10 - 4.14*m.x2*m.x5*m.x8*m.x12 + 1.67*m.x2*m.x6*m.x6*m.x7 + 2.1*m.x2*
                        m.x6*m.x9*m.x11 + 1.65*m.x2*m.x7*m.x8*m.x9 + 2.75*m.x2*m.x8*m.x8*m.x11 + 9.17*m.x2*m.x8*m.x10*
                        m.x10 + 2.42*m.x2*m.x8*m.x11*m.x12 + 9.48*m.x2*m.x8*m.x12*m.x12 + 3.72*m.x2*m.x9*m.x12*m.x12 + 
                        4.14*m.x3*m.x3*m.x3*m.x6 + 1.76*m.x3*m.x3*m.x3*m.x7 + 8.94*m.x3*m.x3*m.x4*m.x5 - 7.93*m.x3*m.x3*
                        m.x8*m.x10 + 0.87*m.x3*m.x3*m.x9*m.x9 + 5.49*m.x3*m.x4*m.x4*m.x12 + 0.84*m.x3*m.x4*m.x5*m.x10 + 
                        5.96*m.x3*m.x4*m.x9*m.x12 + 3.48*m.x3*m.x5*m.x6*m.x6 - 0.33*m.x3*m.x5*m.x7*m.x10 + 0.82*m.x3*
                        m.x5*m.x8*m.x11 - 4.25*m.x3*m.x5*m.x8*m.x12 - 1.2*m.x3*m.x5*m.x9*m.x10 - 1.14*m.x3*m.x6*m.x7*
                        m.x8 + 0.15*m.x3*m.x6*m.x8*m.x11 + 2.45*m.x3*m.x6*m.x10*m.x10 + 4.74*m.x3*m.x6*m.x11*m.x12 + 
                        8.91*m.x3*m.x7*m.x9*m.x10 + 7.82*m.x3*m.x8*m.x8*m.x11 - 2.07*m.x4*m.x4*m.x4*m.x4 + 4.04*m.x4*
                        m.x4*m.x4*m.x5 + 0.01*m.x4*m.x4*m.x5*m.x6 + 3.82*m.x4*m.x4*m.x5*m.x7 + 6.37*m.x4*m.x4*m.x8*m.x8
                         + 7.19*m.x4*m.x4*m.x8*m.x9 + 6.74*m.x4*m.x5*m.x8*m.x12 + 3.77*m.x4*m.x5*m.x9*m.x10 + 1.47*m.x4*
                        m.x5*m.x9*m.x12 + 0.65*m.x4*m.x5*m.x10*m.x12 + 9.02*m.x4*m.x7*m.x7*m.x10 + 4.67*m.x4*m.x7*m.x8*
                        m.x11 + 8.75*m.x4*m.x7*m.x8*m.x12 - 0.63*m.x4*m.x7*m.x12*m.x12 + 7.46*m.x4*m.x8*m.x8*m.x12 + 
                        2.04*m.x4*m.x8*m.x10*m.x10 + 8.48*m.x4*m.x8*m.x10*m.x11 + 5.89*m.x4*m.x9*m.x10*m.x10 + 7.59*m.x4
                        *m.x9*m.x10*m.x12 + 8.19*m.x4*m.x10*m.x11*m.x12 + 4.69*m.x4*m.x11*m.x11*m.x12 + 1.58*m.x5*m.x5*
                        m.x7*m.x8 + 5.36*m.x5*m.x5*m.x8*m.x8 + 1.81*m.x5*m.x5*m.x9*m.x10 - 1.32*m.x5*m.x6*m.x7*m.x10 + 
                        4.5*m.x5*m.x7*m.x7*m.x8 - 3.92*m.x5*m.x7*m.x7*m.x12 + 8.8*m.x5*m.x7*m.x9*m.x9 + 9.61*m.x5*m.x8*
                        m.x8*m.x8 + 9.53*m.x5*m.x8*m.x8*m.x12 + 1.61*m.x5*m.x8*m.x10*m.x11 + 4.32*m.x5*m.x8*m.x12*m.x12
                         + 6.69*m.x5*m.x11*m.x11*m.x12 + 7.32*m.x6*m.x6*m.x6*m.x9 - 1.23*m.x6*m.x6*m.x7*m.x11 - 6.11*
                        m.x6*m.x6*m.x7*m.x12 + 5.52*m.x6*m.x6*m.x10*m.x10 + 3.23*m.x6*m.x6*m.x12*m.x12 + 0.53*m.x6*m.x7*
                        m.x7*m.x7 + 9.08*m.x6*m.x8*m.x8*m.x11 + 5.99*m.x6*m.x8*m.x10*m.x11 - 7.55*m.x6*m.x8*m.x11*m.x12
                         + 4.01*m.x6*m.x8*m.x12*m.x12 + 1.13*m.x6*m.x9*m.x9*m.x11 + 7.28*m.x6*m.x9*m.x9*m.x12 + 6.92*
                        m.x6*m.x9*m.x10*m.x10 + 5.86*m.x6*m.x10*m.x10*m.x10 + 0.19*m.x7*m.x7*m.x7*m.x7 + 1.57*m.x7*m.x7*
                        m.x7*m.x9 + 7.03*m.x7*m.x7*m.x10*m.x12 + 4.27*m.x7*m.x8*m.x8*m.x10 + 2.58*m.x7*m.x8*m.x10*m.x10
                         + 8.82*m.x8*m.x8*m.x9*m.x10 + 6.56*m.x8*m.x9*m.x10*m.x10 + 6.93*m.x8*m.x9*m.x11*m.x12 + 2.53*
                        m.x8*m.x10*m.x11*m.x11 - 2.99*m.x8*m.x10*m.x12*m.x12 - 2.42*m.x9*m.x9*m.x9*m.x11 + 7.78*m.x9*
                        m.x9*m.x10*m.x11 + 3.07*m.x9*m.x9*m.x11*m.x12 + 9.38*m.x9*m.x10*m.x10*m.x10 + 6.12*m.x11*m.x11*
                        m.x11*m.x12 + 5.02*m.x12*m.x12*m.x12*m.x12 + 8.03*m.x1*m.x1*m.x1*m.x3*m.x3 - 3.27*m.x1*m.x1*m.x1
                        *m.x4*m.x4 + 1.53*m.x1*m.x1*m.x1*m.x5*m.x9 + 0.35*m.x1*m.x1*m.x1*m.x5*m.x10 + 5.4*m.x1*m.x1*m.x1
                        *m.x5*m.x11 + 9.81*m.x1*m.x1*m.x1*m.x6*m.x10 + 3.79*m.x1*m.x1*m.x1*m.x7*m.x9 + 9.52*m.x1*m.x1*
                        m.x1*m.x9*m.x10 + 1.91*m.x1*m.x1*m.x1*m.x10*m.x11 + 5.14*m.x1*m.x1*m.x2*m.x2*m.x5 + 9.52*m.x1*
                        m.x1*m.x2*m.x3*m.x10 - 4.05*m.x1*m.x1*m.x2*m.x4*m.x6 + 8.81*m.x1*m.x1*m.x2*m.x4*m.x8 + 8.79*m.x1
                        *m.x1*m.x2*m.x4*m.x9 + 8.26*m.x1*m.x1*m.x2*m.x10*m.x10 - 4.23*m.x1*m.x1*m.x2*m.x10*m.x12 + 8.97*
                        m.x1*m.x1*m.x3*m.x5*m.x11 + 7.29*m.x1*m.x1*m.x3*m.x6*m.x12 + 5.16*m.x1*m.x1*m.x3*m.x8*m.x8 + 
                        3.44*m.x1*m.x1*m.x3*m.x11*m.x12 + 5.2*m.x1*m.x1*m.x4*m.x4*m.x6 + 9.07*m.x1*m.x1*m.x4*m.x5*m.x9
                         + 4.95*m.x1*m.x1*m.x5*m.x6*m.x9 + 3.59*m.x1*m.x1*m.x5*m.x7*m.x7 - 9.8*m.x1*m.x1*m.x5*m.x8*m.x11
                         + 0.59*m.x1*m.x1*m.x5*m.x10*m.x12 + 7.09*m.x1*m.x1*m.x6*m.x8*m.x11 + 1.9*m.x1*m.x1*m.x7*m.x8*
                        m.x9 + 5.39*m.x1*m.x1*m.x7*m.x9*m.x12 + 3.74*m.x1*m.x1*m.x8*m.x8*m.x10 + 2.27*m.x1*m.x1*m.x9*
                        m.x10*m.x12 + 8.93*m.x1*m.x1*m.x10*m.x10*m.x12 + 7.02*m.x1*m.x1*m.x10*m.x12*m.x12 + 4.41*m.x1*
                        m.x2*m.x2*m.x2*m.x4 + 0.05*m.x1*m.x2*m.x2*m.x3*m.x4 + 7.81*m.x1*m.x2*m.x2*m.x7*m.x12 + 5.4*m.x1*
                        m.x2*m.x2*m.x9*m.x10 + 2.46*m.x1*m.x2*m.x3*m.x3*m.x6 + 7.87*m.x1*m.x2*m.x3*m.x4*m.x8 - 4.74*m.x1
                        *m.x2*m.x3*m.x6*m.x6 + 1.57*m.x1*m.x2*m.x3*m.x6*m.x7 + 2.79*m.x1*m.x2*m.x3*m.x6*m.x8 + 1.17*m.x1
                        *m.x2*m.x3*m.x8*m.x12 + 0.79*m.x1*m.x2*m.x3*m.x9*m.x10 + 2.65*m.x1*m.x2*m.x3*m.x10*m.x10 + 7.74*
                        m.x1*m.x2*m.x4*m.x5*m.x5 + 4.9*m.x1*m.x2*m.x4*m.x5*m.x6 + 4.88*m.x1*m.x2*m.x4*m.x6*m.x10 + 8.94*
                        m.x1*m.x2*m.x4*m.x7*m.x11 + 0.74*m.x1*m.x2*m.x5*m.x5*m.x6 + 6.17*m.x1*m.x2*m.x5*m.x5*m.x7 - 8.02
                        *m.x1*m.x2*m.x5*m.x5*m.x10 + 2.25*m.x1*m.x2*m.x5*m.x6*m.x6 + 1.17*m.x1*m.x2*m.x5*m.x6*m.x12 - 
                        8.23*m.x1*m.x2*m.x6*m.x10*m.x10 - 8.87*m.x1*m.x2*m.x7*m.x9*m.x11 + 5.42*m.x1*m.x2*m.x7*m.x10*
                        m.x11 + 0.49*m.x1*m.x2*m.x8*m.x9*m.x9 + 5.63*m.x1*m.x2*m.x8*m.x11*m.x11 + 0.44*m.x1*m.x2*m.x11*
                        m.x12*m.x12 + 3.22*m.x1*m.x3*m.x3*m.x3*m.x6 + 9.65*m.x1*m.x3*m.x3*m.x3*m.x10 + 0.72*m.x1*m.x3*
                        m.x3*m.x7*m.x8 - 8.13*m.x1*m.x3*m.x3*m.x12*m.x12 - 4.35*m.x1*m.x3*m.x4*m.x6*m.x11 + 7.7*m.x1*
                        m.x3*m.x5*m.x5*m.x7 + 1.27*m.x1*m.x3*m.x5*m.x5*m.x11 + 8.99*m.x1*m.x3*m.x5*m.x6*m.x8 + 4.79*m.x1
                        *m.x3*m.x5*m.x7*m.x10 + 1.69*m.x1*m.x3*m.x5*m.x8*m.x10 + 9.48*m.x1*m.x3*m.x5*m.x9*m.x12 + 2.22*
                        m.x1*m.x3*m.x5*m.x10*m.x12 + 2.37*m.x1*m.x3*m.x6*m.x7*m.x7 + 7.77*m.x1*m.x3*m.x6*m.x7*m.x11 + 
                        2.14*m.x1*m.x3*m.x6*m.x7*m.x12 + 0.9*m.x1*m.x3*m.x6*m.x8*m.x10 + 2.58*m.x1*m.x3*m.x7*m.x8*m.x9
                         + 3.61*m.x1*m.x3*m.x7*m.x10*m.x12 + 2.1*m.x1*m.x3*m.x8*m.x9*m.x12 + 5.07*m.x1*m.x3*m.x10*m.x10*
                        m.x10 + 5.67*m.x1*m.x3*m.x10*m.x11*m.x11 + 2.03*m.x1*m.x4*m.x4*m.x4*m.x5 + 0.93*m.x1*m.x4*m.x4*
                        m.x5*m.x8 + 5.92*m.x1*m.x4*m.x4*m.x5*m.x9 - 4.91*m.x1*m.x4*m.x4*m.x7*m.x9 + 5.84*m.x1*m.x4*m.x4*
                        m.x7*m.x11 + 2.91*m.x1*m.x4*m.x4*m.x12*m.x12 + 1.31*m.x1*m.x4*m.x5*m.x6*m.x6 + 6.23*m.x1*m.x4*
                        m.x5*m.x7*m.x7 + 4.02*m.x1*m.x4*m.x5*m.x8*m.x8 + 0.18*m.x1*m.x4*m.x6*m.x7*m.x12 + 2.55*m.x1*m.x4
                        *m.x6*m.x8*m.x12 + 9*m.x1*m.x4*m.x7*m.x7*m.x12 + 9.1*m.x1*m.x4*m.x7*m.x12*m.x12 + 9.23*m.x1*m.x4
                        *m.x8*m.x9*m.x10 + 2.4*m.x1*m.x4*m.x8*m.x11*m.x11 + 8.1*m.x1*m.x4*m.x11*m.x12*m.x12 + 5.75*m.x1*
                        m.x5*m.x5*m.x6*m.x6 + 8.55*m.x1*m.x5*m.x5*m.x9*m.x12 + 4.32*m.x1*m.x5*m.x6*m.x7*m.x7 + 7.27*m.x1
                        *m.x5*m.x6*m.x8*m.x9 + 0.73*m.x1*m.x5*m.x6*m.x8*m.x12 + 7.61*m.x1*m.x5*m.x6*m.x10*m.x10 + 2.99*
                        m.x1*m.x5*m.x7*m.x7*m.x9 + 3.63*m.x1*m.x5*m.x7*m.x7*m.x10 - 3.94*m.x1*m.x5*m.x7*m.x8*m.x8 + 7.05
                        *m.x1*m.x5*m.x7*m.x9*m.x12 + 6.05*m.x1*m.x5*m.x8*m.x11*m.x12 + 3.56*m.x1*m.x5*m.x10*m.x10*m.x12
                         - 0.88*m.x1*m.x5*m.x10*m.x11*m.x11 + 0.11*m.x1*m.x6*m.x6*m.x7*m.x12 + 7.11*m.x1*m.x6*m.x6*m.x10
                        *m.x10 + 9.71*m.x1*m.x6*m.x7*m.x7*m.x7 + 6.24*m.x1*m.x6*m.x7*m.x7*m.x9 + 5.32*m.x1*m.x6*m.x7*
                        m.x7*m.x11 + 0.04*m.x1*m.x6*m.x7*m.x8*m.x11 + 9.38*m.x1*m.x6*m.x7*m.x9*m.x9 + 8.8*m.x1*m.x6*m.x7
                        *m.x11*m.x11 + 0.5*m.x1*m.x6*m.x8*m.x8*m.x9 + 4.43*m.x1*m.x6*m.x8*m.x9*m.x10 + 4.03*m.x1*m.x6*
                        m.x9*m.x9*m.x11 + 7.53*m.x1*m.x6*m.x9*m.x9*m.x12 + 7.86*m.x1*m.x6*m.x9*m.x10*m.x11 + 2.39*m.x1*
                        m.x6*m.x11*m.x12*m.x12 + 0.16*m.x1*m.x6*m.x12*m.x12*m.x12 + 9.05*m.x1*m.x7*m.x7*m.x7*m.x7 + 0.55
                        *m.x1*m.x8*m.x8*m.x10*m.x11 + 6.52*m.x1*m.x8*m.x8*m.x10*m.x12 + 1.34*m.x1*m.x8*m.x8*m.x11*m.x11
                         + 6.15*m.x1*m.x8*m.x8*m.x11*m.x12 - 0.28*m.x1*m.x9*m.x10*m.x10*m.x11 + 9.21*m.x1*m.x9*m.x10*
                        m.x11*m.x12 + 1.53*m.x1*m.x10*m.x10*m.x10*m.x11 + 7.79*m.x1*m.x10*m.x10*m.x11*m.x11 + 6.28*m.x1*
                        m.x11*m.x11*m.x11*m.x11 + 3.1*m.x2*m.x2*m.x2*m.x2*m.x11 - 9.68*m.x2*m.x2*m.x2*m.x3*m.x3 + 0.14*
                        m.x2*m.x2*m.x2*m.x4*m.x8 + 5.54*m.x2*m.x2*m.x2*m.x5*m.x5 + 2.88*m.x2*m.x2*m.x2*m.x8*m.x8 + 5.52*
                        m.x2*m.x2*m.x2*m.x8*m.x10 + 9.01*m.x2*m.x2*m.x3*m.x5*m.x6 + 4.18*m.x2*m.x2*m.x3*m.x5*m.x9 + 8.27
                        *m.x2*m.x2*m.x3*m.x5*m.x10 + 6.64*m.x2*m.x2*m.x3*m.x5*m.x12 - 3.48*m.x2*m.x2*m.x3*m.x6*m.x7 + 
                        0.23*m.x2*m.x2*m.x3*m.x6*m.x12 + 8.29*m.x2*m.x2*m.x3*m.x7*m.x9 + 6.84*m.x2*m.x2*m.x3*m.x8*m.x12
                         + 0.77*m.x2*m.x2*m.x3*m.x12*m.x12 - 7.5*m.x2*m.x2*m.x4*m.x4*m.x4 + 6.78*m.x2*m.x2*m.x4*m.x4*
                        m.x12 + 5.64*m.x2*m.x2*m.x4*m.x6*m.x6 + 2.38*m.x2*m.x2*m.x4*m.x7*m.x12 + 0.81*m.x2*m.x2*m.x4*
                        m.x8*m.x8 + 9.13*m.x2*m.x2*m.x4*m.x10*m.x10 + 9.15*m.x2*m.x2*m.x4*m.x10*m.x11 + 1.47*m.x2*m.x2*
                        m.x4*m.x11*m.x11 + 2.44*m.x2*m.x2*m.x4*m.x11*m.x12 + 0.29*m.x2*m.x2*m.x4*m.x12*m.x12 + 2.11*m.x2
                        *m.x2*m.x5*m.x5*m.x8 + 1.5*m.x2*m.x2*m.x5*m.x5*m.x10 + 9.83*m.x2*m.x2*m.x5*m.x6*m.x6 + 4.06*m.x2
                        *m.x2*m.x5*m.x7*m.x8 + 1.25*m.x2*m.x2*m.x5*m.x7*m.x12 - 6.1*m.x2*m.x2*m.x5*m.x8*m.x8 + 4.49*m.x2
                        *m.x2*m.x6*m.x9*m.x9 + 3.58*m.x2*m.x2*m.x7*m.x7*m.x11 + 9.81*m.x2*m.x2*m.x7*m.x8*m.x8 + 0.22*
                        m.x2*m.x2*m.x7*m.x11*m.x11 + 2.22*m.x2*m.x2*m.x8*m.x8*m.x11 + 3.06*m.x2*m.x2*m.x8*m.x9*m.x12 + 
                        3.39*m.x2*m.x2*m.x8*m.x10*m.x11 + 2.47*m.x2*m.x2*m.x9*m.x12*m.x12 + 4.58*m.x2*m.x2*m.x11*m.x11*
                        m.x11 + 0.83*m.x2*m.x3*m.x3*m.x3*m.x5 + 7.03*m.x2*m.x3*m.x3*m.x3*m.x10 + 8.84*m.x2*m.x3*m.x3*
                        m.x4*m.x4 + 1.53*m.x2*m.x3*m.x3*m.x7*m.x12 + 3.59*m.x2*m.x3*m.x3*m.x10*m.x10 + 3.5*m.x2*m.x3*
                        m.x4*m.x4*m.x8 + 7.48*m.x2*m.x3*m.x4*m.x4*m.x12 - 5.41*m.x2*m.x3*m.x4*m.x11*m.x12 + 1.89*m.x2*
                        m.x3*m.x5*m.x6*m.x11 + 2.88*m.x2*m.x3*m.x5*m.x6*m.x12 + 4.91*m.x2*m.x3*m.x5*m.x11*m.x11 + 6.14*
                        m.x2*m.x3*m.x6*m.x8*m.x11 + 6.92*m.x2*m.x3*m.x7*m.x7*m.x7 + 3.4*m.x2*m.x3*m.x7*m.x8*m.x9 + 3.35*
                        m.x2*m.x3*m.x7*m.x9*m.x10 + 7.66*m.x2*m.x3*m.x8*m.x9*m.x10 - 8.48*m.x2*m.x3*m.x8*m.x10*m.x11 + 
                        3.5*m.x2*m.x3*m.x9*m.x11*m.x11 + 9.4*m.x2*m.x3*m.x10*m.x10*m.x10 + 5.59*m.x2*m.x3*m.x11*m.x11*
                        m.x12 + 4.29*m.x2*m.x3*m.x12*m.x12*m.x12 + 5.14*m.x2*m.x4*m.x4*m.x4*m.x5 + 3.89*m.x2*m.x4*m.x4*
                        m.x4*m.x8 + 6.23*m.x2*m.x4*m.x4*m.x5*m.x12 + 0.46*m.x2*m.x4*m.x4*m.x8*m.x9 + 8.36*m.x2*m.x4*m.x4
                        *m.x9*m.x11 + 3.02*m.x2*m.x4*m.x4*m.x10*m.x11 + 6.74*m.x2*m.x4*m.x4*m.x11*m.x11 + 3.25*m.x2*m.x4
                        *m.x5*m.x5*m.x10 + 7.14*m.x2*m.x4*m.x5*m.x7*m.x8 + 0.75*m.x2*m.x4*m.x5*m.x9*m.x10 + 6.55*m.x2*
                        m.x4*m.x6*m.x8*m.x8 - 2.09*m.x2*m.x4*m.x6*m.x9*m.x10 + 6.44*m.x2*m.x4*m.x6*m.x10*m.x12 + 2.42*
                        m.x2*m.x4*m.x6*m.x11*m.x11 + 0.09*m.x2*m.x4*m.x7*m.x7*m.x7 + 3.85*m.x2*m.x4*m.x8*m.x10*m.x11 + 
                        0.53*m.x2*m.x4*m.x9*m.x10*m.x10 + 9.65*m.x2*m.x5*m.x5*m.x5*m.x10 + 0.74*m.x2*m.x5*m.x5*m.x6*m.x9
                         - 8.3*m.x2*m.x5*m.x5*m.x7*m.x10 - 2.56*m.x2*m.x5*m.x6*m.x6*m.x7 - 6.46*m.x2*m.x5*m.x6*m.x6*m.x8
                         + 6*m.x2*m.x5*m.x6*m.x8*m.x8 + 4.92*m.x2*m.x5*m.x6*m.x9*m.x9 + 5.37*m.x2*m.x5*m.x6*m.x10*m.x11
                         + 6.65*m.x2*m.x5*m.x7*m.x7*m.x10 - 3.94*m.x2*m.x5*m.x7*m.x7*m.x11 + 0.88*m.x2*m.x5*m.x10*m.x11*
                        m.x11 + 3.57*m.x2*m.x5*m.x10*m.x11*m.x12 + 2.44*m.x2*m.x5*m.x10*m.x12*m.x12 + 0.93*m.x2*m.x6*
                        m.x6*m.x6*m.x10 + 0.3*m.x2*m.x6*m.x6*m.x8*m.x9 + 6.87*m.x2*m.x6*m.x6*m.x9*m.x12 + 4.38*m.x2*m.x6
                        *m.x7*m.x7*m.x7 + 0.53*m.x2*m.x6*m.x7*m.x8*m.x10 + 4.77*m.x2*m.x6*m.x7*m.x10*m.x11 + 4.63*m.x2*
                        m.x6*m.x8*m.x8*m.x11 + 2.41*m.x2*m.x6*m.x8*m.x8*m.x12 + 3.72*m.x2*m.x6*m.x8*m.x9*m.x9 + 5.11*
                        m.x2*m.x6*m.x9*m.x10*m.x11 + 1.69*m.x2*m.x6*m.x9*m.x11*m.x11 + 8.31*m.x2*m.x6*m.x9*m.x12*m.x12
                         + 0.35*m.x2*m.x6*m.x10*m.x10*m.x12 + 4.33*m.x2*m.x6*m.x11*m.x12*m.x12 + 5.44*m.x2*m.x7*m.x7*
                        m.x7*m.x8 + 9.32*m.x2*m.x7*m.x7*m.x7*m.x11 + 1.81*m.x2*m.x7*m.x7*m.x10*m.x12 + 1.97*m.x2*m.x7*
                        m.x7*m.x11*m.x12 - 4.14*m.x2*m.x7*m.x7*m.x12*m.x12 + 3*m.x2*m.x7*m.x8*m.x10*m.x11 + 5*m.x2*m.x7*
                        m.x9*m.x11*m.x12 - 9.54*m.x2*m.x8*m.x8*m.x9*m.x9 + 6.51*m.x2*m.x8*m.x8*m.x9*m.x10 + 3.38*m.x2*
                        m.x8*m.x9*m.x10*m.x12 + 7.51*m.x2*m.x8*m.x11*m.x11*m.x12 + 7.3*m.x2*m.x9*m.x9*m.x11*m.x11 + 2.49
                        *m.x2*m.x9*m.x10*m.x11*m.x11 + 8.34*m.x2*m.x9*m.x10*m.x12*m.x12 + 4.06*m.x2*m.x11*m.x11*m.x12*
                        m.x12 + 2.27*m.x3*m.x3*m.x3*m.x3*m.x5 + 5.39*m.x3*m.x3*m.x3*m.x3*m.x6 + 8.23*m.x3*m.x3*m.x3*m.x3
                        *m.x9 + 4.24*m.x3*m.x3*m.x3*m.x10*m.x10 + 7.51*m.x3*m.x3*m.x3*m.x12*m.x12 + 5.15*m.x3*m.x3*m.x4*
                        m.x4*m.x4 + 5.78*m.x3*m.x3*m.x5*m.x5*m.x8 + 1.37*m.x3*m.x3*m.x5*m.x8*m.x9 + 2.57*m.x3*m.x3*m.x5*
                        m.x9*m.x10 + 2.95*m.x3*m.x3*m.x6*m.x6*m.x8 + 7.21*m.x3*m.x3*m.x6*m.x6*m.x12 + 2.78*m.x3*m.x3*
                        m.x6*m.x7*m.x11 + 5.3*m.x3*m.x3*m.x6*m.x9*m.x10 + 6.99*m.x3*m.x3*m.x7*m.x7*m.x7 + 4.63*m.x3*m.x3
                        *m.x7*m.x12*m.x12 + 1.22*m.x3*m.x3*m.x9*m.x11*m.x12 + 4.83*m.x3*m.x3*m.x11*m.x12*m.x12 + 9.59*
                        m.x3*m.x4*m.x4*m.x4*m.x9 + 9.64*m.x3*m.x4*m.x4*m.x5*m.x6 + 7.55*m.x3*m.x4*m.x4*m.x6*m.x7 + 5.87*
                        m.x3*m.x4*m.x5*m.x7*m.x10 + 5.52*m.x3*m.x4*m.x5*m.x8*m.x8 + 8.26*m.x3*m.x4*m.x5*m.x8*m.x12 + 
                        4.68*m.x3*m.x4*m.x6*m.x6*m.x12 + 4.14*m.x3*m.x4*m.x6*m.x8*m.x10 + 1.53*m.x3*m.x4*m.x7*m.x7*m.x9
                         + 7.03*m.x3*m.x4*m.x7*m.x10*m.x10 + 2.79*m.x3*m.x4*m.x8*m.x9*m.x10 + 3.21*m.x3*m.x4*m.x8*m.x9*
                        m.x11 + 7.2*m.x3*m.x4*m.x8*m.x11*m.x12 + 0.4*m.x3*m.x4*m.x9*m.x9*m.x12 + 5.76*m.x3*m.x4*m.x9*
                        m.x11*m.x12 + 2.45*m.x3*m.x4*m.x10*m.x12*m.x12 + 7.02*m.x3*m.x4*m.x11*m.x12*m.x12 - 9.35*m.x3*
                        m.x5*m.x5*m.x7*m.x8 + 8.88*m.x3*m.x5*m.x5*m.x7*m.x12 + 6.32*m.x3*m.x5*m.x5*m.x8*m.x12 + 3.67*
                        m.x3*m.x5*m.x6*m.x10*m.x10 + 1.32*m.x3*m.x5*m.x7*m.x8*m.x8 - 7.76*m.x3*m.x5*m.x7*m.x9*m.x11 + 
                        4.87*m.x3*m.x5*m.x7*m.x10*m.x11 + 2.63*m.x3*m.x5*m.x8*m.x9*m.x10 - 1.29*m.x3*m.x5*m.x11*m.x11*
                        m.x11 + 8.57*m.x3*m.x5*m.x11*m.x12*m.x12 + 5.47*m.x3*m.x6*m.x8*m.x9*m.x11 + 7.97*m.x3*m.x6*m.x8*
                        m.x10*m.x11 + 4.17*m.x3*m.x7*m.x7*m.x8*m.x8 - 9.44*m.x3*m.x7*m.x7*m.x11*m.x11 + 5.89*m.x3*m.x7*
                        m.x8*m.x10*m.x12 - 9.46*m.x3*m.x7*m.x9*m.x12*m.x12 + 8.47*m.x3*m.x8*m.x8*m.x9*m.x9 + 3.19*m.x3*
                        m.x8*m.x8*m.x11*m.x12 + 8.45*m.x3*m.x8*m.x9*m.x9*m.x10 - 0.85*m.x3*m.x8*m.x9*m.x9*m.x11 + 1.15*
                        m.x3*m.x8*m.x9*m.x11*m.x11 - 1.29*m.x3*m.x8*m.x10*m.x12*m.x12 + 5.65*m.x3*m.x9*m.x9*m.x10*m.x10
                         + 9.44*m.x3*m.x10*m.x10*m.x12*m.x12 + 3.75*m.x4*m.x4*m.x4*m.x5*m.x6 + 8.98*m.x4*m.x4*m.x4*m.x5*
                        m.x7 + 6.82*m.x4*m.x4*m.x4*m.x6*m.x6 + 6.95*m.x4*m.x4*m.x4*m.x6*m.x7 + 9.79*m.x4*m.x4*m.x4*m.x7*
                        m.x9 + 1.8*m.x4*m.x4*m.x4*m.x7*m.x10 + 6.2*m.x4*m.x4*m.x4*m.x9*m.x9 + 1.52*m.x4*m.x4*m.x5*m.x5*
                        m.x5 + 3.41*m.x4*m.x4*m.x5*m.x5*m.x8 + 3.25*m.x4*m.x4*m.x5*m.x6*m.x9 - 2.15*m.x4*m.x4*m.x5*m.x6*
                        m.x10 + 1.11*m.x4*m.x4*m.x6*m.x6*m.x6 + 9.23*m.x4*m.x4*m.x7*m.x11*m.x11 - 3.72*m.x4*m.x4*m.x8*
                        m.x8*m.x9 + 7.71*m.x4*m.x5*m.x5*m.x9*m.x11 + 7.98*m.x4*m.x5*m.x5*m.x9*m.x12 + 3.48*m.x4*m.x5*
                        m.x5*m.x10*m.x11 + 0.7*m.x4*m.x5*m.x6*m.x9*m.x9 + 2.3*m.x4*m.x5*m.x6*m.x10*m.x10 + 4.59*m.x4*
                        m.x5*m.x6*m.x10*m.x11 + 6.42*m.x4*m.x5*m.x7*m.x10*m.x10 + 0.24*m.x4*m.x5*m.x7*m.x11*m.x12 + 4.77
                        *m.x4*m.x5*m.x8*m.x8*m.x12 + 0.62*m.x4*m.x5*m.x8*m.x10*m.x11 - 5.91*m.x4*m.x6*m.x7*m.x8*m.x12 + 
                        9.63*m.x4*m.x6*m.x8*m.x8*m.x10 + 7.63*m.x4*m.x6*m.x8*m.x9*m.x9 + 1.32*m.x4*m.x7*m.x7*m.x7*m.x12
                         + 2.38*m.x4*m.x7*m.x7*m.x9*m.x9 + 1.33*m.x4*m.x7*m.x7*m.x11*m.x11 + 2.59*m.x4*m.x7*m.x7*m.x12*
                        m.x12 - 7.06*m.x4*m.x7*m.x8*m.x10*m.x10 - 4.88*m.x4*m.x7*m.x10*m.x10*m.x10 + 8.21*m.x4*m.x7*
                        m.x12*m.x12*m.x12 + 7.28*m.x4*m.x8*m.x8*m.x10*m.x11 + 4.17*m.x4*m.x8*m.x8*m.x11*m.x12 + 8.5*m.x4
                        *m.x8*m.x9*m.x12*m.x12 + 9.93*m.x4*m.x8*m.x10*m.x10*m.x10 + 3.29*m.x4*m.x9*m.x10*m.x12*m.x12 + 
                        6.97*m.x4*m.x9*m.x11*m.x11*m.x11 + 3.01*m.x4*m.x9*m.x12*m.x12*m.x12 + 0.72*m.x4*m.x10*m.x10*
                        m.x10*m.x12 + 5.41*m.x5*m.x5*m.x5*m.x7*m.x11 + 1.16*m.x5*m.x5*m.x5*m.x10*m.x10 + 2.73*m.x5*m.x5*
                        m.x6*m.x7*m.x9 - 8.23*m.x5*m.x5*m.x6*m.x10*m.x11 + 2.14*m.x5*m.x5*m.x6*m.x11*m.x12 + 8.32*m.x5*
                        m.x5*m.x7*m.x7*m.x7 + 7.64*m.x5*m.x5*m.x7*m.x7*m.x10 + 3.8*m.x5*m.x5*m.x8*m.x8*m.x8 + 7.44*m.x5*
                        m.x5*m.x8*m.x8*m.x10 + 1.77*m.x5*m.x5*m.x8*m.x9*m.x9 - 5.83*m.x5*m.x5*m.x9*m.x10*m.x11 - 3.89*
                        m.x5*m.x5*m.x11*m.x12*m.x12 + 3.77*m.x5*m.x6*m.x6*m.x11*m.x11 + 3.63*m.x5*m.x6*m.x6*m.x11*m.x12
                         - 7.07*m.x5*m.x6*m.x7*m.x7*m.x10 + 2.72*m.x5*m.x6*m.x7*m.x8*m.x8 + 6.32*m.x5*m.x6*m.x9*m.x10*
                        m.x11 + 3.13*m.x5*m.x7*m.x7*m.x8*m.x11 + 7.69*m.x5*m.x7*m.x8*m.x10*m.x12 + 6.31*m.x5*m.x7*m.x9*
                        m.x12*m.x12 + 8.51*m.x5*m.x7*m.x10*m.x10*m.x12 + 6.21*m.x5*m.x7*m.x10*m.x11*m.x11 - 6.78*m.x5*
                        m.x7*m.x12*m.x12*m.x12 + 7.6*m.x5*m.x8*m.x8*m.x8*m.x9 - 8.76*m.x5*m.x8*m.x8*m.x9*m.x9 + 6.31*
                        m.x5*m.x8*m.x10*m.x10*m.x11 + 3.5*m.x5*m.x9*m.x12*m.x12*m.x12 + 2.91*m.x5*m.x10*m.x10*m.x11*
                        m.x12 + 8.53*m.x6*m.x6*m.x6*m.x6*m.x11 + 6.44*m.x6*m.x6*m.x6*m.x7*m.x8 - 5.74*m.x6*m.x6*m.x6*
                        m.x10*m.x10 - 9.66*m.x6*m.x6*m.x7*m.x8*m.x8 + 1.5*m.x6*m.x6*m.x7*m.x8*m.x10 + 2.53*m.x6*m.x6*
                        m.x7*m.x8*m.x12 + 0.03*m.x6*m.x6*m.x8*m.x10*m.x12 + 5.31*m.x6*m.x6*m.x9*m.x11*m.x11 + 4.17*m.x6*
                        m.x6*m.x10*m.x10*m.x12 + 7.98*m.x6*m.x6*m.x11*m.x12*m.x12 + 2.62*m.x6*m.x7*m.x7*m.x8*m.x10 + 
                        7.51*m.x6*m.x7*m.x9*m.x10*m.x10 + 7.55*m.x6*m.x8*m.x11*m.x11*m.x11 + 9.47*m.x6*m.x9*m.x9*m.x9*
                        m.x11 + 1.9*m.x6*m.x9*m.x9*m.x10*m.x11 + 5.63*m.x6*m.x9*m.x9*m.x10*m.x12 - 0.18*m.x6*m.x9*m.x9*
                        m.x12*m.x12 + 4.06*m.x6*m.x9*m.x10*m.x10*m.x10 + 2.02*m.x6*m.x9*m.x10*m.x10*m.x12 - 3.36*m.x6*
                        m.x10*m.x10*m.x10*m.x12 + 2.42*m.x6*m.x11*m.x11*m.x11*m.x11 + 7.47*m.x6*m.x11*m.x11*m.x12*m.x12
                         + 7.8*m.x7*m.x7*m.x7*m.x8*m.x8 + 2.74*m.x7*m.x7*m.x8*m.x8*m.x11 + 1.93*m.x7*m.x7*m.x8*m.x9*
                        m.x10 + 3.7*m.x7*m.x7*m.x8*m.x9*m.x11 + 0.79*m.x7*m.x7*m.x8*m.x11*m.x11 + 9.28*m.x7*m.x7*m.x9*
                        m.x11*m.x12 + 0.41*m.x7*m.x8*m.x8*m.x12*m.x12 + 5.8*m.x7*m.x9*m.x9*m.x11*m.x11 - 6.75*m.x7*m.x9*
                        m.x10*m.x11*m.x11 + 8.48*m.x8*m.x8*m.x9*m.x9*m.x11 + 1.68*m.x8*m.x8*m.x10*m.x12*m.x12 + 7.98*
                        m.x8*m.x9*m.x9*m.x10*m.x11 + 4.2*m.x8*m.x9*m.x9*m.x10*m.x12 + 3.46*m.x8*m.x9*m.x9*m.x11*m.x11 + 
                        0.84*m.x8*m.x9*m.x10*m.x11*m.x11 + 8.9*m.x8*m.x10*m.x10*m.x10*m.x10 + 4.36*m.x8*m.x10*m.x12*
                        m.x12*m.x12 + 3.95*m.x9*m.x9*m.x9*m.x10*m.x11 + 4.86*m.x9*m.x9*m.x10*m.x11*m.x12 + 6.26*m.x9*
                        m.x9*m.x11*m.x12*m.x12 + 2.25*m.x9*m.x10*m.x10*m.x10*m.x11 - 6.46*m.x9*m.x10*m.x10*m.x11*m.x12
                         + 4.29*m.x10*m.x10*m.x10*m.x10*m.x10 + 2.63*m.x10*m.x10*m.x11*m.x12*m.x12 + 9.08*m.x10*m.x11*
                        m.x12*m.x12*m.x12 + 5.72*m.x11*m.x11*m.x11*m.x11*m.x11 >= 83070.524)

m.c12 = Constraint(expr=   6.28*m.x1 - 2.48*m.x2 + 5.89*m.x3 + 7.42*m.x4 + 8.85*m.x5 + 0.54*m.x6 + 8.42*m.x7 - 2.11*m.x8
                         + 6.39*m.x9 + 1.35*m.x10 + 3.26*m.x11 - 0.39*m.x12 >= 62.289)
