#  RMINLP written by GAMS Convert at 05/24/17 14:05:47
#  
#  Equation counts
#      Total        E        G        L        N        X        C        B
#         22        7        4       11        0        0        0        0
#  
#  Variable counts
#                   x        b        i      s1s      s2s       sc       si
#      Total     cont   binary  integer     sos1     sos2    scont     sint
#         11        7        0        4        0        0        0        0
#  FX      0        0        0        0        0        0        0        0
#  
#  Nonzero counts
#      Total    const       NL      DLL
#         73       17       56        0
# 
#  Reformulation has removed 1 variable and 1 equation
# 
#  Please note that the model below has been relaxed


from pyomo.environ import *

model = m = ConcreteModel()


m.i1 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i2 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i3 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.i4 = Var(within=CannotHandle,bounds=(0,100),initialize=0)
m.x6 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x7 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x8 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x9 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x10 = Var(within=CannotHandle,bounds=(None,None),initialize=0)
m.x11 = Var(within=CannotHandle,bounds=(None,None),initialize=0)

m.obj = Objective(expr=13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*m.i4 + 687*m.i2*m.i3
                        - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 1051*m.i4**2
                        - 96655, sense=maximize)

m.c2 = Constraint(expr=-(-3*m.i1*m.i2 - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2) + m.x6 == 464)

m.c3 = Constraint(expr=-(4*m.i1*m.i2 - 712*m.i1 - 9*m.i2 - 6*m.i1*m.i3 - 11*m.i1*m.i4 + 437*m.i4 - 162*m.i2*m.i3 + 171*
                       m.i2*m.i4 - 3*m.i3*m.i4 + 24*m.i1**2 + 4*m.i2**2 + 140*m.i3**2 - 187*m.i4**2) + m.x7 == 5197)

m.c4 = Constraint(expr=-(119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                       798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2) + m.x8 == 173)

m.c5 = Constraint(expr=-(15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                       274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2) + m.x9 == 25778)

m.c6 = Constraint(expr=-(-0.15*m.i1*m.i2 - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89*
                       m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2) + m.x10
                        == 0.7772)

m.c7 = Constraint(expr=-(0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*
                       m.i2*m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2) + m.x11
                        == -1.87)

m.c8 = Constraint(expr=(-3*m.i1*m.i2) - 23*m.i1 + 118*m.i2 + 12*m.i1*m.i3 + 11*m.i1*m.i4 - 474*m.i4 + 196*m.i2*m.i3 - 
                       180*m.i2*m.i4 - 8*m.i3*m.i4 - 19*m.i2**2 - 173*m.i3**2 + 207*m.i4**2 <= -364)

m.c9 = Constraint(expr=4*m.i1*m.i2 - 712*m.i1 - 9*m.i2 - 6*m.i1*m.i3 - 11*m.i1*m.i4 + 437*m.i4 - 162*m.i2*m.i3 + 171*
                       m.i2*m.i4 - 3*m.i3*m.i4 + 24*m.i1**2 + 4*m.i2**2 + 140*m.i3**2 - 187*m.i4**2 <= -4997)

m.c10 = Constraint(expr=119*m.i1 - 6*m.i1*m.i2 + 263*m.i2 + 45*m.i1*m.i3 + 37*m.i1*m.i4 - 1609*m.i4 + 810*m.i2*m.i3 - 
                        798*m.i2*m.i4 - 31*m.i3*m.i4 - 7*m.i1**2 - 36*m.i2**2 - 712*m.i3**2 + 857*m.i4**2 <= 127)

m.c11 = Constraint(expr=15*m.i1*m.i2 - 3460*m.i1 + 236*m.i2 + 11*m.i1*m.i3 - 12*m.i1*m.i4 + 744*m.i4 + 174*m.i2*m.i3 - 
                        274*m.i2*m.i4 + 61*m.i3*m.i4 + 112*m.i1**2 - m.i2**2 - 215*m.i3**2 + 47*m.i4**2 <= -25678)

m.c12 = Constraint(expr=(-0.15*m.i1*m.i2) - 0.05*m.i1 + 2.83*m.i2 + 0.098*m.i1*m.i3 + 0.098*m.i1*m.i4 - 3.53*m.i4 + 0.89
                        *m.i2*m.i3 - 2.65*m.i2*m.i4 + 0.59*m.i3*m.i4 + 0.59*m.i2**2 - 1.47*m.i3**2 + 2.06*m.i4**2
                         <= 9.2228)

m.c13 = Constraint(expr=0.36*m.i1*m.i2 + 0.12*m.i1 - 4.19*m.i2 - 0.24*m.i1*m.i3 - 0.24*m.i1*m.i4 + 5.88*m.i4 - 4.81*m.i2
                        *m.i3 + 1.06*m.i2*m.i4 + 1.25*m.i3*m.i4 + 1.25*m.i2**2 + 3.56*m.i3**2 - 2.31*m.i4**2 <= 5001.87)

m.c14 = Constraint(expr=(-347.958 + 0.0036*(13895*m.i1 - 92*m.i1*m.i2 - 2669*m.i2 - 15*m.i1*m.i3 + 20*m.i1*m.i4 - 2050*
                        m.i4 + 687*m.i2*m.i3 - 867*m.i2*m.i4 + 40*m.i3*m.i4 - 451*m.i1**2 + 691*m.i2**2 - 487*m.i3**2 + 
                        1051*m.i4**2))*(0.1356 + 0.01332*m.i2) + 0.085*m.i1 <= 5)

m.c15 = Constraint(expr=   m.i1 >= 14)

m.c16 = Constraint(expr=   m.i1 <= 16)

m.c17 = Constraint(expr=   m.i2 >= 2)

m.c18 = Constraint(expr=   m.i2 <= 3)

m.c19 = Constraint(expr=   m.i3 >= 1)

m.c20 = Constraint(expr= - m.i2 + m.i3 <= 0)

m.c21 = Constraint(expr=   m.i4 >= 1)

m.c22 = Constraint(expr= - m.i2 + m.i4 <= 0)
